2011-03-15  Petr Mladek  <pmladek@suse.cz>  [9aefb334af6d118177b8882ea5cbada7dcdebbec]

Version 3.3.2.2, tag libreoffice-3.3.2.2 (3.3.2-rc2)


2011-03-08  Petr Mladek  <pmladek@suse.cz>  [3a094cef5f2b024c17f31c970662513ee0571a63]

Branch libreoffice-3-3-2

This is 'libreoffice-3-3-2' - the stable branch for the 3.3.2 release.
Only very safe changes, reviewed by three people are allowed.

If you want to commit more complicated fix for the next 3.3.x release,
please use the 'libreoffice-3-3' branch.

If you want to build something cool, unstable, and risky, use master.

2011-03-08  Petr Mladek  <pmladek@suse.cz>  [c1dd3ce52a040abfcb47d1514669b90232b53a9e]

Version 3.3.2.1, tag libreoffice-3.3.2.1 (3.3.2-rc1)


2011-03-06  Andras Timar  <timar@fsf.hu>  [757a1bf6fec44991a620598dfa81810880019ad3]

l10n: Updated translations from Pootle


2011-02-13  Andras Timar  <timar@fsf.hu>  [e66669ef6836a5dfc48bcdd765078b55c998188e]

l10n: don't extract strings from localized NLPSolver properties


2011-02-12  Andras Timar  <timar@fsf.hu>  [8da80b0c24eb81bdc36e92400ad3dda982fd6c1d]

l10n: typo fix in Dutch (nl) nlpsolver translation


2011-02-07  Andras Timar  <timar@fsf.hu>  [2e2455211219b734eb6aacd3f3ce6ad0af9a632e]

Added/modified NLPsolver translations from Pootle


2011-01-12  Rene Engelhard  <rene@debian.org>  [6e673b3b275a5008c654c4bbfb41709d30cd62af]

fix presenter screens description.xml build


2011-01-11  Petr Mladek  <pmladek@suse.cz>  [c6d30578f94bebfe154237496eceedd338d5982b]

Please, ignore the previous message; it was for the libreoffice-3-3-0 branch

This is 'libreoffice-3-3' - the stable branch for the 3.3.x releases.
Only safe changes, reviewed by anoter person are allowed.

If you want to build something cool, unstable, and risky, use master.

2011-01-11  Petr Mladek  <pmladek@suse.cz>  [d36f5922c12c793b156396d68daffb55feb3b182]

Branch libreoffice-3-3-0

This is 'libreoffice-3-3-0' - the stable branch for the 3.3.0 release.
Only very safe changes, reviewed by three people are allowed.

If you want to commit more complicated fix for the next 3.3.x release,
please use the 'libreoffice-3-3' branch.

If you want to build something cool, unstable, and risky, use master.

2011-01-10  Petr Mladek  <pmladek@suse.cz>  [e2e31176c1aeba85f9a5ee4cc5a925d408f74cbc]

Version 3.3.0.3, tag libreoffice-3.3.0.3 (3.3-rc3)


2011-01-07  Andras Timar  <timar@fsf.hu>  [43af36e94a5dc3925018c5a5453a26311d48589e]

Added nplsolver translations from Pootle

de, en_GB, es, fa, fi, ja, ko, nb, zh_CN, zh_TW

2011-01-07  Petr Mladek  <pmladek@suse.cz>  [ec5f38a2226bfc5e703eb711f9ecabc72bda32aa]

Merge commit 'ooo/OOO330_m19' into libreoffice-3-3


2011-01-06  Kurt Zenker  <kz@openoffice.org>  [62c3f9fe80c65e1e6cea447eefba7e3aa552bec9]

CWS-TOOLING: integrate CWS impress208


2011-01-04  Christian Lippka  <christian.lippka@oracle.com>  [8cdda010620a019aa5203c7d0422fad654e503b8]

impress208: #164351# patching xpdf to patchlevel 3.02pl5


2010-12-19  Olivier Hallot  <olivier.hallot@documentfoundation.org>  [a248774253dd59f35f409b651e73728c897d612a]

Brazilian Portoguese (pt-BR) nlpsolver translation


2010-12-19  Paolo Pozzan  <paolo@z2z.it>  [039e56fbb9f11040369c417e4ba11fae55fae412]

Italian (it) nlpsolver translation


2010-12-19  Xuacu Saturio  <xuacusk8@gmail.com>  [d4c20f99df007f867c26b320dcc6ec176bb8cbc4]

Asturian (ast) nlpsolver translation


2010-12-19  Freek de Kruijf  <f.de.kruijf@gmail.com>  [8c1e5538fd8be22c307df13ab4eeea3bb46f65c7]

Dutch (nl) nlpsolver translation


2010-12-19  Jesús Corrius  <jesus@softcatala.org>  [a01046e2e75d442904d82199e2f85ecee5aa711a]

Catalan (ca) nlpsolver translation


2010-12-19  Sophie Gautier  <gautier.sophie@gmail.com>  [e1598f578d223e8a85146f7a35cb5edae61ad858]

French (fr) nlpsolver translation


2010-12-19  Martin Srebotnjak  <miles@filmsi.net>  [f380763a71a5f1d01d349ab106ea5836d272e4c0]

Slovenian (sl) nlpsolver translation


2010-12-19  Andras Timar  <timar@fsf.hu>  [230c0228552ce2de4c9e6c1390c308c8ec48231c]

Enabling l10n of nlpsolver fdo#30839

Extra translations will be commited to extensions/nlpsolver/locale.
Hungarian translation is provided as a sample - more to come soon.
Also fixed a typo in en-US text.
Signed off by Kohei.

2010-12-18  Petr Mladek  <pmladek@suse.cz>  [64f237d17d28af99bfab19628afedbc1aaae8135]

Version 3.3.0.2, tag libreoffice-3.3.0.2 (3.3-rc2)


2010-12-15  Thorsten Behrens  <tbehrens@novell.com>  [2b7dfb20b1d82981604972b69477ba0ba922d077]

Fix filled polygons on pdfimport

This fixes fdo#32330, by explicitely closing filled polygons on
ODF streaming-out. LibO does not fill polygons, even if specifically
asked to - unless they're closed on coordinate level.

2010-12-14  Rene Engelhard  <rene@debian.org>  [e76befda7ccf15bb6f60de1916157d36e6e1331a]

generate hash.cxx in $(INCCOM)


2010-12-14  Petr Mladek  <pmladek@suse.cz>  [0e9a144ec399c348c91125defd1c252711a05212]

Revert "Stopgap help for the CPU-bound long hang in bug fdo#31716"

We the proper fix now.

This reverts commit e0913f3c3740453ea1570896d20140b92663ce3f.

2010-12-14  Rene Engelhard  <rene@debian.org>  [f86830f4e74489bec8431a23897d03f6da4071dc]

build hash.cxx using gperf instead of having it prebuilt


2010-12-13  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [dffdb2c6d18435360b05a4fbf111fcd86cca4248]

Don't bundle MSVC runtime + don't dupplicate licenses


2010-12-01  Petr Mladek  <pmladek@suse.cz>  [ce266a281b2d6a86507566fef749385915d33e70]

Version 3.3.0.1, tag LIBREOFFICE_3_3_0_1 (3.3-rc1)


2010-11-30  Tor Lillqvist  <tlillqvist@novell.com>  [e0913f3c3740453ea1570896d20140b92663ce3f]

Stopgap help for the CPU-bound long hang in bug fdo#31716

As the hang seems to be causes by the code messing around in extension
help file directories, of which there are lots in a multi-lingual
build, just build en-US help for the Presenter Console
(a.k.a. presenter-screen) extension for now.

Why such a change is needed both here and in
solenv/inc/extension_helplink.mk (see commit
4e40f4ea586f240f38aa6856eda64619f505294a in the "bootstrap" repo) I
don't know, but that's how it seemed in my testing.

2010-11-21  Rene Engelhard  <rene@debian.org>  [a810a1b8b27d4631f1119f0dd561b18e68b18e39]

Merge commit 'ooo/OOO330_m16' into libreoffice-3-3


2010-11-18  obo  <obo@openoffice.org>  [c6467fef2f500993eef15fdf5d52ea6229597602]

masterfix OOO330: #i114049# Presentation minimizer 1.0.1 does not install on OOO330m15, #i113990# presenter console does not work with multiple screens


2010-11-11  Petr Mladek  <pmladek@suse.cz>  [6275333089df51d5fe7dc972f061b26e2e9f5f94]

Version 3.2.99.3, tag LIBREOFFICE_3_2_99_3 (3.3-beta3)


2010-11-09  Bernhard Rosenkraenzer  <br@blankpage.ch>  [2a13604b219f2b13702111e8e5add455ad0a4956]

Fix build of presenter with many languages enabled (bug #31409)


2010-10-31  Kalman Szalai - KAMI  <kami911@gmail.com>  [3ef2551d8e33d29a608f03ab2abcfb905a0ce491]

Less warning with apache-common


2010-10-27  Caolán McNamara  <caolanm@redhat.com>  [41c2d204f8f287ae838bc92cde2abad564e5c892]

add modelines to .hxx files as well


2010-10-27  Norbert Thiebaud  <nthiebaud@gmail.com>  [c413c645b711fc316b7aae569654db0a1dbf579c]

remove vos reference from uno xml descriptions


2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [aa70c887d221e56fe17c0d33eba844f8b823c5af]

replace a residual use of vos::TTimeValue by salhelper::TTimeValue


2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [e2dbeb0160936d184dfda2ba3598fbe1388285d8]

merge vosremoval-timer.diff


2010-10-18  Povilas Kanapickas  <povilas.kanapickas@gmail.com>  [51b3b7ca8c71e86e5fc6da76a95b8c6bc1aecdc9]

remove non-compiled code


2010-10-16  Kenneth Venken  <kenneth.venken@gmail.com>  [0d8c6e022fbb87ace5dfdfebdc18049d12483f78]

some patches that replace sizeof(a)/sizeof(a[0]) with SAL_N_ELEMENTS(a)


2010-10-13  Jan Holesovsky  <kendy@suse.cz>  [6b3c101e0f0b4387a565855451435b899f535fca]

Merge commit 'ooo/OOO330_m10'


2010-10-13  Sebastian Spaeth  <Sebastian@SSpaeth.de>  [cabb0818a6737ba3be878abdae4bc98141714577]

Add vim/emacs modelines to all source files

Fixes #fdo30794
Based on bin/add-modelines script (originally posted in mail
1286706307.1871.1399280959@webmail.messagingengine.com)

Signed-off-by: Sebastian Spaeth <Sebastian@SSpaeth.de>

2010-10-12  Caolán McNamara  <caolanm@redhat.com>  [0e3f461562eced501d48eaabb9a0830623083630]

add some brackets to silence warnings


2010-10-08  Petr Mladek  <pmladek@suse.cz>  [b63696bc329e00a476ba73082aedf351fbccd87d]

Version 3.2.99.2, tag LIBREOFFICE_3_2_99_2 (3.3-beta2)


2010-10-08  obo  <obo@openoffice.org>  [6f71b2b3129763f356bb36d53dfdf13bd9a41a3a]

CWS-TOOLING: integrate CWS fwk159


2010-10-06  Jan Holesovsky  <kendy@suse.cz>  [8855b7b173d6e3769e89c5d41df10793cda2e4f2]

Merge branch 'master' of ssh://git.freedesktop.org/git/libreoffice/extensions


2010-10-06  Jan Holesovsky  <kendy@suse.cz>  [268c5e95cadc46f05a4e57be42693a5e0a629add]

Merge commit 'ooo/OOO330_m9'

Conflicts:
	swext/mediawiki/build.xml
	swext/prj/build.lst

2010-10-06  Caolán McNamara  <caolanm@redhat.com>  [7b26ee5470ec5901c4d88c3c3d394c6fb3e2ce0b]

#i113503# cppunit stl wrapper headers


2010-10-06  Caolán McNamara  <caolanm@redhat.com>  [d1bbebdcfe1056953b9aab58354ec0ef5cab7f3c]

silence warnings


2010-10-06  Caolán McNamara  <caolanm@redhat.com>  [0e378f9fd0b868e81463070bbdfd0b0e3c73915a]

silence warning


2010-10-05  Petr Mladek  <pmladek@suse.cz>  [c1b73114e506660a237fb613858d63ec785c8806]

fix nlpsolver/nlpsolver-0.9.patch to apply

there are needed DOS end of lines for some files

2010-10-05  Petr Mladek  <pmladek@suse.cz>  [9cb5985fa7bd855f042d9bc2cd3ba5c103b7375b]

more removed include guards using fixguard.py


2010-10-05  Petr Mladek  <pmladek@suse.cz>  [a39ab85d8c6d3baa47092d6eb2825917e1ed096e]

remove include guards using fixguard.py


2010-10-05  Caolán McNamara  <caolanm@redhat.com>  [d3fd461f11787f825529aa204e586c9fcef4af42]

allow building against later pentaho libraries


2010-10-02  Kohei Yoshida  <kyoshida@novell.com>  [514c2168b58bb1acb1acc17305a586f34473284e]

Added new module nlpsolver.


2010-09-28  Petr Mladek  <pmladek@suse.cz>  [bbe286a746edeb54add82c736d3861fc75c02016]

Version 3.2.99.1, tag LIBREOFFICE_3_2_99_1  (3.3-beta1)


2010-09-22  Mikhail Voytenko  <mav@openoffice.org>  [3cc58ddaf37e1c0e2564dbc3296c221c9b2b9f7a]

fwk159: #i114231# use login token if there is any


2010-09-17  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [5d370da768f44f92a8e0e3329f41b79475322e15]

Move to the right directory

Fix an arror that happened when changing the place from libs-extern
to extensions

2010-09-16  Tor Lillqvist  <tlillqvist@novell.com>  [e180a865d6aecc92255ab422c8649c05755952f9]

Update .gitignore for Windows builds


2010-09-16  Thorsten Behrens  <tbehrens@novell.com>  [a69ebb6f9e5a082f2faabc151625bfa56039fa90]

framework-extra-job-config-sdext.diff: Migrated

i#107568

2010-09-16  Thorsten Behrens  <tbehrens@novell.com>  [1ebfd127ad09edb4028fa480d436a6cbc851a353]

pdfimport-lax-restrictions.diff: Lax restrictions on pdf import filter.

i#90468

2010-09-16  Thorsten Behrens  <tbehrens@novell.com>  [ef0ca59cb36d75803bf5db43671546cdc6d4ca54]

slideshow-effect-rewind-sdext.diff: allows to step back one animation effect

i#48179

2010-09-16  Petr Mladek  <pmladek@suse.cz>  [0f5f80f081126258df7fbec04885dbe984d2f3a4]

build-java-target-extensions.diff: Allow specifying java target version.

i#93115

2010-09-16  Kalman Szalai - KAMI  <kami911@gmail.com>  [07a3e44e1de6a9d0383244c7bf3b36a886e5ca01]

apache-commons-build-fix-invalid-chars.diff: Fix build

Fixing build breakage in apache-common module when you use UTF-8 based locale in the build system

2010-09-16  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e384da1732bbe387724b028671e77471ab011c9f]

redirect-extensions-reportbuilder.diff: Migrated


2010-09-16  obo  <obo@openoffice.org>  [4582083268fb25b6a0d0d80aaad5439c4232f62a]

masterfix OOO330: #i10000# build problem with cygwin shell (Windows)


2010-09-16  obo  <obo@openoffice.org>  [208f8ee15f93c37cbb9ff5b196492f725f56b529]

masterfix OOO330: #i10000# build problem with cygwin shell (Windows)


2010-09-15  Rene Engelhard  <rene@debian.org>  [ae732302e60c7b1d8324e05b0669b3afa0581353]

remove useless license prompt for extensions


2010-09-14  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f0ba077fb96691d302489a28c1cb67c9bf150f39]

moving languagetool to the right repository


2010-09-14  Kalman Szalai - KAMI  <kamihir@freemail.hu>  [f62b698d7387ddd78bf205bc44af3fb3adbed295]

extensions_deliver.diff: Deliver extensions to the solver


2010-09-14  obo  <obo@openoffice.org>  [ebf34a04bbd094b700f6dd8b3bd3558e98fd6294]

CWS-TOOLING: integrate CWS jl158


2010-09-14  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [7553ed5a48ee9d1eff4dce30509ce0d682687b20]

win32-pdfimport-use-temporary-file.diff: avoid locking issues on win32


2010-09-14  obo  <obo@openoffice.org>  [b8449402b5ebb9caebe1621fda16e56e65f1f842]

CWS-TOOLING: integrate CWS impress199


2010-09-14  obo  <obo@openoffice.org>  [75492890fcba4ea273639e8d44820ef1badb0757]

CWS-TOOLING: integrate CWS dba33h


2010-09-10  Joachim Lingner  <jl@openoffice.org>  [ba22d069336ffb358f54f613dbc9048eda58a2d7]

jl158 #i114008#  sed problem on solaris fixed


2010-09-07  Jan Holesovsky  <kendy@suse.cz>  [8483892bd836c37b4e4a171745e37ceae88d0a16]

Merge commit 'ooo/OOO330_m6'


2010-09-06  sj  <sj@openoffice.org>  [335647bd76392de5dd5ea10a927433500337013a]

impress199: #i114275# unbranding presentation minimizer extension


2010-09-01  Hans-Joachim Lankenau  <hjs@openoffice.org>  [2c361a10602b93d07fb912658ebbff242d112daf]

jl158: #i114008# add dependency on xmlhelp


2010-09-01  Hans-Joachim Lankenau  <hjs@openoffice.org>  [cdff8d95870b7c39ae7457a3fdd3b9bbec60dd13]

jl158: #i114008# pre-indexing of extension help


2010-08-30  Ocke Janssen [oj]  <Ocke.Janssen@oracle.com>  [bedf0cc12cf628517b40c169a6a458cf5baf4aff]

dba3h:  #i114111#: reportbuilder: do not use Double.toString() when writing the 2  column-width attribute, it may write an exponent, which is invalid..


2010-08-30  Ocke Janssen [oj]  <Ocke.Janssen@oracle.com>  [244032fd853a253188810c560a9ea2eb6a499638]

dba33h: #i114106# fix missing value-type


2010-08-30  Ocke Janssen [oj]  <Ocke.Janssen@oracle.com>  [b40a860f62ccd7f097a716af05042dfc7fdd2ecc]

dba33h: #i114106# fix invalid root element for styles


2010-08-30  Ocke Janssen [oj]  <Ocke.Janssen@oracle.com>  [27bf1d57468097b6ebe924a18d400c98b62c5d7f]

dba33h: #i114105# fix version number


2010-08-27  Michael Stahl  <mst@openoffice.org>  [2b4a0df57372f5ea822ed2a496e04d4932198e9f]

dba33h: #i112652#: reportbuilder: write XMLSchema-2 conformant NaN


2010-08-27  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [d5c0295c9ce51577724ec0ffd9b3b809e58b7b31]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/dba33h


2010-08-27  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [3ae9145027f02c77a674e01aa26ebb234c9f4f4e]

commit after merge


2010-08-24  Jan Holesovsky  <kendy@suse.cz>  [6a13c46baab267005237811400cfeea961989e20]

Update .gitignore.


2010-08-24  Jan Holesovsky  <kendy@suse.cz>  [668df1d77bc7e9bb382bc352c9ace697857263bd]

Fix parallel build in swext.


2010-08-24  Joachim Lingner  <jl@openoffice.org>  [56026f7ab0fcf8a9a9dd8e1ba05840f880844c26]

jl158 merging with OOO330_m5


2010-08-20  Jan Holesovsky  <kendy@suse.cz>  [413c49426ce5acebb9c461f11c5824af85e833e0]

Create .gitignore.


2010-08-18  Jan Holesovsky  <kendy@suse.cz>  [6b4936ec3e5d196ddc122880bda257c8824bc1f6]

Merge commit 'ooo/OOO330_m4'


2010-08-18  Kurt Zenker  <kz@openoffice.org>  [89ba628baeac602f71f4b096e08d50b16c715c47]

CWS-TOOLING: integrate CWS txtl10n


2010-07-27  Ivo Hinkelmann  <ihi@openoffice.org>  [ed494241621de2f1c37b632d2d970f259df8deef]

merged OOO330 m2


2010-07-23  Ivo Hinkelmann  <ihi@openoffice.org>  [f1aba18563ab79ae2c3ca594d43130adf70f72c1]

txtl10n: removal of verbose switch


2010-07-22  Jens-Heiner Rechtien  <hr@openoffice.org>  [4571732e98f64af583564bf4e09aeea328de011b]

CWS-TOOLING: integrate CWS dba33g


2010-07-09  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [07892e1e3f0882e1a17cfd16099edaaecd153648]

dba33g: #i112274# throw exception when trying to insert, update or delete rows, which is currently not supported at the driver


2010-07-08  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [1b151132389776eb8965fc4fbbde2dad9269a0f4]

dba33g: #i110535# add order with realname and table name


2010-07-08  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [ead243b07ab8c73c0e34c7953a08b5059f584fa9]

dba33g: #i108954# handle value for string and date like value-type is defined


2010-07-07  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [2b20809c3e6c69e6e7c846fd346d3e54578fbe7b]

dba33g: #i112620# add new namespace for chartooo


2010-07-07  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [3710460e5d934f8a428e869f989073443f7bf6ee]

dba33g: #i112440# make teh version final for 33


2010-07-06  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [ff20536b3f1b4f7ecd8394c463e4d5dc976f1c40]

Automated merge with http://hg.services.openoffice.org/OOO330


2010-06-23  obo  <obo@openoffice.org>  [00a7b6a40f56997b3f7635a1ed1d68ee523bb495]

#i112575# Exclude migrationanalysis strings from l10n process


2010-06-22  obo  <obo@openoffice.org>  [0794bd4227b9ae1b300a5a9687a7792e8519d611]

CWS-TOOLING: integrate CWS mingwport30


2010-06-22  obo  <obo@openoffice.org>  [16c5ae18e2c364dbbbf789883131175e21d748dd]

CWS-TOOLING: integrate CWS jpropenable


2010-06-18  obo  <obo@openoffice.org>  [9a508feb6656def68bf380594c439379b94fb155]

CWS-TOOLING: integrate CWS consolidatereadme


2010-06-17  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [49d8e46fe25d76c0639d3cee8d50ff2a376c59a2]

dba33g: merge


2010-06-16  Ivo Hinkelmann  <ihi@openoffice.org>  [dd926f30e9f1432e571d6532daf59f55dc960f96]

jpropenable: #i112445# exclude this file from l10n process


2010-06-15  Frank Peters  <fpe@openoffice.org>  [3d2f64fdf694a0fec74f7a4f4b2559e8b7a47c6b]

consolidatereadme: #i111849#


2010-06-15  obo  <obo@openoffice.org>  [fd0aac45304834b4006583a6a05d1179ce74daea]

CWS-TOOLING: integrate CWS impress190


2010-06-14  Christian Lippka  <christian.lippka@sun.com>  [1e692c0dedb2c5672741376000f4b52741eb05f7]

cws impress190: rebase m82


2010-06-14  obo  <obo@openoffice.org>  [ea8d4e0b26e60ec18c4c4ad4cd4e268a85611ddc]

CWS-TOOLING: integrate CWS pdfextfix03


2010-06-10  Frank Peters  <fpe@openoffice.org>  [978c4100af37b1877ce746d978efea4ae45de5e3]

consolidatereadme: merge with DEV300_m81


2010-06-10  Ivo Hinkelmann  <ihi@openoffice.org>  [16ed79ee71781410ed5af45dc286d3ca1f81175d]

consolidatereadme: merge


2010-06-09  Frank Peters  <fpe@openoffice.org>  [8b9b9fa64a8e3f61b6a3054521a932a52ba189f5]

#i111849#


2010-06-08  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [89e6b158c60623196d7f3a98bda17ee635255cc3]

rebase to DEV300_m80


2010-06-07  Christian Lippka  <christian.lippka@sun.com>  [ef7b28ba96718e19df12235d1a6a7b4eef3563c8]

cws impress190: merging


2010-06-05  sj  <sj@openoffice.org>  [baf370f59ee37be52e9110699dcbe832087e2ae1]

impress190: #111838# fixed UI name


2010-06-04  sj  <sj@openoffice.org>  [9212cb7ab75cc35b3b3920039d21abd45c0092b0]

impress190: merge with dev300_m80


2010-06-04  Ivo Hinkelmann  <ihi@openoffice.org>  [1640f4894ffe2a37236ec6b678308aef4accdf43]

CWS-TOOLING: integrate CWS rt38


2010-06-04  Ivo Hinkelmann  <ihi@openoffice.org>  [1387891eda377066af83d10db7cb69a7bdebce2f]

CWS-TOOLING: integrate CWS dba33f


2010-06-04  Ivo Hinkelmann  <ihi@openoffice.org>  [8f576ecc609bdbd93d4028a58d9cc73a8ac69988]

CWS-TOOLING: integrate CWS slidecopy


2010-06-03  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [d9f938eac78d7cedc18b6a34e7a0b7790c4c117c]

slidecopy: merge after copying in CWS renaissance2


2010-06-03  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [add8a0f37107275c8fafdcec1336d6b500e914e3]

slidecopy: merged latest DEV300.m80 changes


2010-06-01  Christian Lippka  <christian.lippka@sun.com>  [394d8b4121b8b7a4219f8e00977df4cc2ce97373]

cws renaissance2: rebase m80


2010-05-31  tono  <tono@openoffice.org>  [c30a7f3380d424a688e92ced4fdcfe6ea005055e]

i#111958: MinGW port enhancement: runtime-pseude-reloc-v2


2010-05-28  Ruediger Timm  <rt@openoffice.org>  [dbb3044425e7235c1bb595d53dc27fb005cd1020]

Merge CWS rt38 to DEV300 m79


2010-05-26  Caolán McNamara  <cmc@openoffice.org>  [1cb1354dffe44ddf630343cdf9ccee4cbc9a4252]

cmcfixes74: merge with DEV300 m79


2010-05-26  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [27b39943ebaff94d1435fc8ecbb455a14dc4c80e]

dba33g: #i111550# change name


2010-04-29  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [11616355306fa9337b5cce91cf8cbac7ca0630ee]

pdfextfix03: #i110871# increase micro version to reflect bugfixes


2010-04-28  Ruediger Timm  <rt@openoffice.org>  [c924378fbab57097ab76a30439a473c304627efe]

rt38: #i110940#: Cleaned some deliver lists - do not try to copy non-existing files.


2010-04-28  Christian Lippka  <christian.lippka@sun.com>  [499e5ef7b56e8f75373a070666859ff6a821b5f1]

renaissance2: rebase m77


2010-04-28  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [6392949310d74bc56c83a1d4a009b3eb581e8b2c]

pdfextfix03: #i90800# improvments for font recognition, RTL (thanks ayaniger !)


2010-04-28  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [4c8b3c1d7965c829857c1a54fe6b5c61391c6c8d]

pdfextfix03: #i110871# use DocumentPasswordRequest, PasswordRequest is deprecated


2010-04-27  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [e6d84448b42e175f9fdaf46d3c8a69283311a83b]

pdfextfix03: #i110871# pdf literal strings may contain nested parantheses


2010-04-21  Caolán McNamara  <cmc@openoffice.org>  [35342c1246952a4bccfc753cf857fd29199f2d38]

cmcfixes74: merge with DEV300 m75


2010-04-21  Dirk Voelzke  <dv@openoffice.org>  [664904ea5b3b4ee5a7d1734113a81fac3453d7c6]

nativeb: #i111039#: changed extension description


2010-04-21  Dirk Voelzke  <dv@openoffice.org>  [deae417b474ea18421a4f2223d0df5f7a5b1b513]

nativeb: #i110985#: changed extension icons again


2010-05-10  Ivo Hinkelmann  <ihi@openoffice.org>  [0f0db200420a131acacac2bcb0c1cbfd93fc7269]

CWS-TOOLING: integrate CWS vcl110


2010-04-19  Jens-Heiner Rechtien  <hr@openoffice.org>  [d85257a241a0adf5915bf74219d6db9fc06de457]

DEV300 masterfix: #i10000#: juggle inclusion order to make mysqlc compilable on STLPort platforms


2010-04-16  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [0982ee22235e36f910e8363653e9c5e9b64dc569]

dba33f: merge with m76-branch


2010-04-16  Jens-Heiner Rechtien  <hr@openoffice.org>  [a11f3f5a7ef96d3863a20663a492db2fedb97017]

DEV300: merge masterfix ea9085d6db4c@DEV300


2010-04-16  Jens-Heiner Rechtien  <hr@openoffice.org>  [296b14af499dfc20a63118a9b7d1c690e78ffb8a]

CWS-TOOLING: integrate CWS sb118


2010-04-14  sb  <sb@openoffice.org>  [2580202287d191c9767ceef306b583cb78d590bd]

sb118: merged in backout


2010-04-12  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [d3acf7d34a71ed7b6bd9f1f51c8ee7d31157972c]

slidecopy: merge


2010-04-11  sb  <sb@openoffice.org>  [e110ef4cb527176834a08a447b68f66e96ae12f3]

sb118: merged in DEV300_m76


2010-04-09  Caolán McNamara  <cmc@openoffice.org>  [7873ad02866dd5d549e9ebc955b20a4f3cd62e52]

cmcfixes74: merge with DEV300 m76


2010-04-09  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [6439b57244c028ee380b267bb68f142ccdb5d547]

slidecopy: merge CWS wth MWS-m76


2010-04-07  sb  <sb@openoffice.org>  [3b35bc30201472de8901ff01f806a5486d63a777]

sb118: merged in re/DEV300_next towards DEV300_m76


2010-04-06  Vladimir Glazunov  <vg@openoffice.org>  [5797d6d07cc79c0853efb6d949eb59d4311b26bd]

#i10000# fix for extension registration


2010-04-06  Vladimir Glazunov  <vg@openoffice.org>  [b3f7067caa3820068ccee568229e3b1cd88f4cf0]

#100000# added missing ProtocolHandler.xcu


2010-04-01  Dirk Voelzke  <dv@openoffice.org>  [8671420fdddc0692f17c4b1629daa1c6b837db9f]

nativea: #161849#:Changed high contrast extension icons


2010-03-31  Vladimir Glazunov  <vg@openoffice.org>  [7fc320330ac0ed80792c8d4ce9f2f09c3535a9be]

native0: Help changes - transplanted from 9e8dffd0a10f@native0


2010-03-30  Vladimir Glazunov  <vg@openoffice.org>  [40458af7e560310c20ed3345caf54514e1026543]

native0ext: rebranding minimizer - transplanted from changeset b8c3a04c0dcb@native0


2010-03-30  Dirk Voelzke  <dv@openoffice.org>  [c8fc80818eb272a3b375a06fe0857039861275e7]

 nativea: #161692# Changed provider link for some extensions


2010-04-13  Jens-Heiner Rechtien  <hr@openoffice.org>  [d1fad1e80087af025cf1d78cff351674a280b46c]

CWS-TOOLING: integrate CWS cmcfixes73


2010-04-13  Jens-Heiner Rechtien  <hr@openoffice.org>  [95d5955f9746dedf0c04904d7a2e5fa8efac0d13]

CWS-TOOLING: integrate CWS ause110


2010-04-12  Jens-Heiner Rechtien  <hr@openoffice.org>  [a08167d7a56e102eaa145816349bea8005b47601]

CWS-TOOLING: integrate CWS thbfixes10


2010-04-12  thb  <thb@openoffice.org>  [042e831e157aeead1316e30c847911caf5a3ee77]

Merged DEV300_m76


2010-03-31  thb  <thb@openoffice.org>  [e7afb558eba972ebc9f28ae1a73de7e0b52a48f8]

Merge DEV300_m75

 * resolved two conflicts caused by lineend changes in
   canvashelper_texturefill.cxx and implrenderer.cxx. Took the cws
   version, which uses new texture fill semantics, and fixes clipping
   bug
 * binned file header changes from head for deleted files
2010-03-22  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [d4805bf5640706f535a0156d7d70a06ee3db6768]

removed unused dependency to VCL


2010-03-19  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [8b7fc002922b8bc256c278348ce2f49f9211b253]

slidecopy: XResourceFactory::createResource now allows to raise IllegalArgument/WrappedTargetException


2010-03-18  sj  <sj@openoffice.org>  [4b4d462444861ad143b4e723e906b4c625e89701]

native0ext: rebranding minimizer


2010-03-16  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [378e8d87640ab233562db71217547ea57d34b615]

merge with DEV300_m75


2010-03-15  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [2bde856c50d95c2c5f78fbcafed0f5f08b86e2c7]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/dba33f


2010-03-12  Caolán McNamara  <cmc@openoffice.org>  [bf6f75052217522f8cd25b680be2bce54999a3aa]

cmcfixes73: #i110068# unify headers in one place


2010-03-11  Dirk Voelzke  <dv@openoffice.org>  [6cd8a9e96e1277232081ebc41c8d631681627fb1]

native0ext:#161688# changed some extension descriptions, part 2


2010-03-30  Vladimir Glazunov  <vg@openoffice.org>  [fec3a1d92822691237f11045465b0908106960a3]

native0ext:#161688# rebranding extensions, part 2 - transplanted from 7e1d416e40bf@native0


2010-03-29  Vladimir Glazunov  <vg@openoffice.org>  [254152519230e5d7d5e4fb22326d0d6e217d6438]

#i10000# commit repaired changeset - transplanted from b562f62892bf@native0


2010-03-29  Vladimir Glazunov  <vg@openoffice.org>  [aa68d7e692220cea21cc128e721451b63b940dc7]

native0ext:#161688# rebranding extensions, part 2 - transplanted from 3d9497740c41@native0


2010-03-10  Hans-Joachim Lankenau  <hjs@openoffice.org>  [c47ad5b3869d9d3a07dd02414e5823ebaba8dcf5]

ause110: update to DEV300_m74


2010-03-04  sb  <sb@openoffice.org>  [f408a44febdc02bbebceb29b5896afdb4495ccd4]

merged in re/DEV300_next towards DEV300_m74


2010-03-04  sb  <sb@openoffice.org>  [54b593b4ee5e69df7fac50740783ef01868c58df]

sb118: #i109791# improved CPPUNIT_CFLAGS handling


2010-03-04  sj  <sj@openoffice.org>  [cf8c53c80452b0d9b3b1eac2f4786a83dc76776a]

native0ext: Presentation Minimizer: automatic file name extension is now per default on


2010-03-29  Vladimir Glazunov  <vg@openoffice.org>  [5d0797be912e2b4e0434fc3e56d3298aa6a7874c]

native0ext:#161688# rebranding extensions - transplanted from 28f77bc32e70@native0


2010-03-23  Vladimir Glazunov  <vg@openoffice.org>  [c13a3a07b0966e9890af56cb7c93269aa6e5eb40]

CWS-TOOLING: integrate CWS autorecovery


2010-03-22  Vladimir Glazunov  <vg@openoffice.org>  [42f3ca0aacdd684d35456dcb447eabe273b68313]

CWS-TOOLING: integrate CWS vcl109


2010-03-11  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [b9b0fdd264bd7e00d9b66c0f6ac4c21c4cf2999b]

autorecovery: merged changes from m74. Still need to find out how to re-do two patches (to module_hidden_ooo.scp and file_ooo.scp in scp2/source/ooo) which do not apply anymore.


2010-03-04  Rene Engelhard  <rene@openoffice.org>  [0ac1f9897a8d1e1b3db058013e423175b577cbe3]

sb118: add missing CFLAGS+= $(CPPUNIT_CFLAGS) to loads of other makefiles, too


2010-03-02  Ivo Hinkelmann  <ihi@openoffice.org>  [b98dce54ff2a4ea21325338f4900f792e7c84f61]

CWS-TOOLING: integrate CWS sb111


2010-03-02  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [b459c1fbd11ae515aad66fcf0a4fb208f1e06544]

dba33f: #i108943# make ooSetupFactoryUIName not to be localized


2010-02-25  sb  <sb@openoffice.org>  [c573b103185507d5a86b1e9c0f5058d79c885c64]

sb111: merged in DEV300_m72


2010-02-25  sb  <sb@openoffice.org>  [6c12759b1cdc85caf5dd945f63eaae42189a155e]

sb118: merged in DEV300_m72


2010-02-23  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [2cfcbf30e3cbd6770de5408cdb2b70359f9697db]

vcl110: #i109406# escape newline and carriage return (thanks thb)


2010-02-19  thb  <thb@openoffice.org>  [cc111e1ed972717ed2b3173f5d9916cbd34628c4]

Merged with dev300_m71


2010-02-17  Vladimir Glazunov  <vg@openoffice.org>  [4cc4ed4774b1a75feb0a665bf645cbc75efd4b75]

CWS-TOOLING: integrate CWS changefileheader2


2010-02-15  Vladimir Glazunov  <vg@openoffice.org>  [4ede5885ead0014f746e15a7b32016ba0523a43e]

CWS-TOOLING: integrate CWS mysqlconnector


2010-02-15  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [03992bccf093ab8bf1980637e4773767eca4dd6b]

Automated merge with http://hg.services.openoffice.org/cws/dba33f


2010-02-15  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [a6c2d5af3e09bf65956e78763a5d3946dfac7708]

dba33f: fix import order


2010-02-12  Jens-Heiner Rechtien  <hr@openoffice.org>  [b0f46a98e5f9afdf50ef14e89ac63fd509cb68b8]

changefileheader2: #i10000#: convert files with CR/LF characters to CR only


2010-02-12  Jens-Heiner Rechtien  <hr@openoffice.org>  [55b82cbc8a77a981cb05ec92216aba0230b7490f]

changefileheader2: #i109125#: change source file copyright notice from Sun Microsystems to Oracle; remove CVS style keywords (RCSfile, Revision)


2010-02-11  sb  <sb@openoffice.org>  [99e92856f757220363a545273243b40e83dbd43d]

sb118: #i109112# re-purpose EXTRAJARFILES


2010-02-08  Hans-Joachim Lankenau  <hjs@openoffice.org>  [bfa37563bad4eb80c7622ab81e913dfb09ee34ec]

ause110: update to DEV300_m71


2010-02-08  sb  <sb@openoffice.org>  [2ddd8c01d959c39f05b86705177a80d83f949b64]

sb118: merged in DEV300_m71


2010-02-05  sb  <sb@openoffice.org>  [14b4cbfff21a034e87a8460d03ec4c0ffd32c2cc]

sb111: merged in DEV300_m71


2010-02-04  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [fc79ea032a237e222e198b030fdcf99c9a8ffe43]

Merge from DEv300:m71


2010-02-03  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [ef4e425c0505274b13a0f0e7a3816d200e5282eb]

merge with DEV300_m71


2010-01-29  sb  <sb@openoffice.org>  [6fecb12f662183689d01f39cdc71189d1f2efe6f]

sb118: #i108776# changed addsym.awk to also export STLport num_put symbols, and simplified it by requiring that first section is labeled UDK_3_0_0; adapted map files accordingly, replacing many individual ones with solenv/src templates


2010-01-29  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [60654ee423335d7b21011bd62e3861d1c9d55315]

improve deflate recognition, fix debug output


2010-01-27  Ivo Hinkelmann  <ihi@openoffice.org>  [28decc2ded75bd6915e4f7295e5cce38ba46173b]

CWS-TOOLING: integrate CWS dba33d


2010-01-26  Hans-Joachim Lankenau  <hjs@openoffice.org>  [91f42a288e02df5ac2adc5b7a570d52c12429bea]

ause110: update to DEV300m70


2010-01-26  Ivo Hinkelmann  <ihi@openoffice.org>  [61f54dafb95e3ce44c2ea67afe7522cdd38087aa]

CWS-TOOLING: integrate CWS vcl108


2010-01-21  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [21b6e2871f1f1075a4e39702af81c577f8616004]

Automated merge with file:///net/so-cwsserv01/export/cws/dba33d/DEV300/ooo


2010-01-21  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [154405838126106cead9479a7a8092be1863268b]

Automated merge with http://hg.services.openoffice.org/cws/dba33e


2010-01-21  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [a04ae941c9fbb8d6c40aff5357292f5a76aa8610]

rebase to DEV300m70


2010-01-21  sb  <sb@openoffice.org>  [52826b058202dd9b2791b2e9c72162ab60c557d7]

sb118: merged in DEV300_m70


2010-01-21  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [49a43ffcb76acd74d72eca9df43ff04c14085979]

dba33e: merge to m70


2010-01-21  sb  <sb@openoffice.org>  [2d7bedf7017563af8995ae784909df6f41ecd4b9]

sb111: merged in DEV300_m70


2010-01-18  thb  <thb@openoffice.org>  [536ca4fd5d79758d7d7b7d30ff63429561ad8f17]

#i105937# Post-merge fixes

 * nicer gradient poly setup, made code more self-explanatory
 * corrected order of rotation matrix multiplication
 * fixed build breakage in presenter screen, type only implicitely
   included
2010-01-18  thb  <thb@openoffice.org>  [d73d332ca7d5e50d2eede1e9d09b42852a01a6bb]

thbfixes10: merge with DEV300 m69


2010-01-15  Hans-Joachim Lankenau  <hjs@openoffice.org>  [8eef3ba00a1c2cd9c88020c6fbe83ed785944740]

ause110: #i106731# remove tarballs from scm and find them in download cache dir


2010-01-15  Kurt Zenker  <kz@openoffice.org>  [fb8fbe50f81b92ad508446c822b3204319fc096b]

CWS-TOOLING: integrate CWS dba33b


2010-01-15  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [21355088a60d861bc1440b8e2c797ef430f27296]

Automated merge with file:///net/so-cwsserv01/export/cws/dba33e/DEV300/ooo


2010-01-15  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [0b58ca98df5738c12097bfc652e058dbcf924add]

Automated merge with file:///net/so-cwsserv01/export/cws/dba33d/DEV300/ooo


2010-01-15  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [385059a9a9bd581f96ac46bcb12754de69a74c82]

dba33b: merge


2010-01-15  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [bee107d0cc788bd6e0bf8dced505311bfb35f776]

dba33b: merge m69


2010-01-14  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [a14c44061587a1413835e0ce3dff8e163f5d66c2]

Automated merge with file:///net/so-cwsserv01/export/cws/dba33e/DEV300/ooo


2010-01-14  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [47324badd9d29fa211cd81e3935587fa22c299ad]

Automated merge with file:///net/so-cwsserv01/export/cws/dba33d/DEV300/ooo


2010-01-14  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [81986882dc08c0e5bd1f89d585c85e3dc2028ada]

Automated merge with file:///net/so-cwsserv01/export/cws/dba33d/DEV300/ooo


2010-01-14  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [b9f575f88b8e4a914583ff4066b5af0142a74865]

Automated merge with file:///net/so-cwsserv01/export/cws/dba33e/DEV300/ooo


2010-01-14  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [ddbf44f85f0db4977916472719be24f96ad2cd8c]

Automated merge with file:///net/so-cwsserv01/export/cws/dba33d/DEV300/ooo


2010-01-12  Joerg Skottke [jsk]  <jsk@openoffice.org>  [f6e25fd75007e40582318c28b8821f7e20c371cb]

sb111: Local merge


2010-01-11  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [966c993221b8a26f1ebe4a2079c3477806a1723e]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/dba33d


2010-01-11  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [4716cbab91418f7e8f072530821c6984ebf06607]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/dba33b


2010-01-09  sb  <sb@openoffice.org>  [25dada16ff225723d37637d5d6bf743ab387f448]

sb118: merged in DEV300_m69


2010-01-08  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [5437dd5fe44029ce5a64720fcd45b83d24a3dbd2]

dba33f: merge from dba33e


2010-01-08  sb  <sb@openoffice.org>  [8da1d1ea8d886901705819f18d2d8a29894d16a6]

sb111: merged in DEV300_m69


2010-01-08  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [a8012fc4f4ae3b87b8dcf7e37ce65c44b8653e18]

Automated merge with http://hg.services.openoffice.org/cws/dba33e


2010-01-08  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [d653bc1e59291b8c6a5db2dcb4145a23f784f4a8]

dba33e: #i108092# set NAN when double value is NULL


2010-01-08  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [330e5a9e03ccc30a8a4eac07c64e21337520f384]

dba33e: #i107472# correct class param for ConnectionTools


2010-01-07  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [02409fb59ce879391f1a9ecf4f65a10b79636531]

Automated merge with http://hg.services.openoffice.org/cws/dba33e


2010-01-07  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [5c668bcc43442fc1ba8a8828246cc9e27433d3cb]

check already quoted expression


2010-01-05  Jens-Heiner Rechtien  <hr@openoffice.org>  [0a0f1f1031389662727087d214a1fdba9c246bbf]

CWS-TOOLING: integrate CWS aus111


2010-01-05  sb  <sb@openoffice.org>  [e5d5660682abace66d055bdd3a41184fbe905f03]

sb111: merged in DEV300_m68


2010-01-04  Jens-Heiner Rechtien  <hr@openoffice.org>  [62d76158f45b3f8cc05e499202ee7bf3845ca39b]

CWS-TOOLING: integrate CWS aw078


2010-01-04  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [e0f62eaa97749a79b8e44f81abf8b1b0f9338e41]

merge with DEV300_m68


2009-12-21  Armin Le Grand  <Armin.Le.Grand@Sun.COM>  [87a05cfbe9c9634c8fc9bb4499121c90ff5f8aeb]

aw078: resync to DEV300m68for integration


2009-12-16  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [5173692bc942db7e6dc05ddcc7313b2e30a8b3cb]

mysqlconnector: #i107391# bump version to 1.0.1 Alpha


2009-12-11  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [cab354a5054d0a8d511d53a62545fd64001dbdb1]

merge with DEV300m67


2009-12-11  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [d087c8adeb8cc5b4fafa18de4394d8bdc2c52258]

mysqlconnector: initial import from CWS mysqlnative


2009-12-10  Hans-Joachim Lankenau  <hjs@openoffice.org>  [b8b2e142f5ebd24a3936b7e140e550f45d0c9986]

aus111: #i107498# - xhp localization outside helpcontent2 and the according cleanup in sdext


2009-12-10  sb  <sb@openoffice.org>  [a93584261ed9a97ca7d961dc757681409b0633e2]

sb111: merged in DEV300_m67


2009-12-10  Hans-Joachim Lankenau  <hjs@openoffice.org>  [68db5716dc67272f24d2f21e91c7073723646f52]

aus111: #i107498# - xhp localization outside helpcontent2 and the according cleanup in sdext


2009-12-10  sb  <sb@openoffice.org>  [7b282bb2d20e12637fbef4688f6485b7bfe2a771]

sb111: #i107578# for backward compatibility, support hexadecimal configuration values; however, change uses to decimal notation, anyway


2009-12-10  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [af0d8f84c4700c60b6c092e6bf3c8519dab678a7]

dba33d: merge with DEV300_m67


2009-12-09  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [2fa814d0de5c592e198c08aee2def4a91c4dd3db]

dba33b: merge CWS head with head resulting from pulling DEV300_m67


2009-12-09  Vladimir Glazunov  <vg@openoffice.org>  [fe8108920dc4665ff1c49650aac9b8aa4ed9e9c5]

CWS-TOOLING: integrate CWS killnonpro


2009-12-08  Kurt Zenker  <kz@openoffice.org>  [39d7d75bded48b594907d8a5f8be9f85ea8281a0]

masterfix: #i10000# help of presenter added for missing platforms


2009-12-07  Mathias Bauer  <mba@openoffice.org>  [3d62b54c98fb6577d2fda40a4ce696e416fac0c3]

next merge


2009-12-07  Kurt Zenker  <kz@openoffice.org>  [9e6d81c4785085373a4ad7f2e004d366b2afe7a6]

masterfix: #i10000# build error fixed


2009-12-05  Mathias Bauer  <mba@openoffice.org>  [98d899e899edbd6bf92c856adfc1b9992db3f305]

merge to m67


2009-12-03  Kurt Zenker  <kz@openoffice.org>  [19f66908ea19188917891b9d33af5903e2de279f]

update to current version


2009-12-03  Kurt Zenker  <kz@openoffice.org>  [5a28a1118641ec7196a0da46515f6a1bbfe95f1d]

CWS-TOOLING: integrate CWS impressaccessibility5_DEV300


2009-12-03  Kurt Zenker  <kz@openoffice.org>  [1c0c3ed99d2b40bd6a3cbda293b298836b87591c]

CWS-TOOLING: integrate CWS slideshow1


2009-12-02  Kurt Zenker  <kz@openoffice.org>  [5afaa580a6ad43a7d6b4dcae2276d2d640a9dab0]

CWS-TOOLING: integrate CWS dba32i_DEV300


2009-12-01  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [86c12f6d05b5754b9d5fb2f37feca0f918746456]

vcl108: #i106853# work around broken file_iterator on Windows


2009-11-30  Jens-Heiner Rechtien  <hr@openoffice.org>  [63d002b5ea3eb6761aa78a0bda4730fdeee1f016]

slideshow1: merge with DEV300 m63


2009-11-25  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [42fccbe946939769f686fcca07142739c4af6545]

dba33d: #i104712# qurtal expression fixed


2009-11-24  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [a13c80a4af06ea47fc5ae2bed9d40395c30c45e4]

dba33d: #i104949# show cell value when set field text nodes exits


2009-11-23  Mathias Bauer  <mba@openoffice.org>  [1d20b27673f6aeef15ecef3c6e7dc5daa44d426d]

merge commit for m65


2009-11-19  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [141143da3769a1cc2599866a92bedbcdeca3d0a4]

vcl108: #i106742# update xpdf to 3.02pl4


2009-11-19  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [dfe72439e51d93781db480b1aa6486c50a64b79a]

dba33d: #i102563# use rootURL to resolve the given URI and some refactoring


2009-11-17  Armin Le Grand  <Armin.Le.Grand@Sun.COM>  [fab04ed1d3f392457dda3bb5947a13f0af125392]

#i106541# commit afer merge


2009-11-16  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [99c27f4d99b4200b01ffc8679a91d9b34bcd31cb]

dba33d: pull from dba33b


2009-11-11  Ocke Janssen  <Ocke.Janssen@sun.com>  [383f9cbcd9d6eea78eb623adaa0f7d0de82f04d7]

#i105585# applay build patch


2009-11-04  mb93783  <mb93783@macpro-dev1>  [f57dacf1e39eed57cd303c1558a58af38d21aeec]

#i106432#, #i103496#: some fixes found while building on more platforms


2009-10-30  Vladimir Glazunov  <vg@openoffice.org>  [600f2071986f6d82ad3289fd79eb50579a7b6d3f]

CWS-TOOLING: integrate CWS ause108


2009-10-29  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [e52750e7239415d2c7a47150f41315aff2e78942]

merging latest changes (pushed to cwsserv by oj)


2009-10-29  Ocke Janssen  <Ocke.Janssen@sun.com>  [ea0bf93cbb2457ee3e1aab3576626d975e4e21b2]

Automated merge with file:///z:\so-cwsserv02\dba33b\DEV300\ooo


2009-10-28  Ocke Janssen  <Ocke.Janssen@sun.com>  [127df1e98a705a6dc87d4475a1bbd37e4a65b0ba]

#i104836# add accelerator for AddField command


2009-10-27  Release Engineers  <releng@openoffice.org>  [83fa08dda07020c80dc3eada8d056890f31e3f22]

Create DEV300_m63 milestone tag from trunk@277194


2009-10-26  Mathias Bauer  <mba@openoffice.org>  [3674db4c3dd7ce7ecc12ffedfb88b73191f9ed58]

merge commit for m62


2009-10-22  Armin Le Grand  <Armin.Le.Grand@Sun.COM>  [5723a019469fd8b5c124386ab1047b70802302bc]

commit after rebase to DEV300m62


2009-10-20  Release Engineers  <releng@openoffice.org>  [34a217019a52376f6384709cd70bc556ff4cb89f]

Create DEV300_m62 milestone tag from trunk@277034


2009-10-16  Andre Fischer  <af@openoffice.org>  [849aa5add8859a4391c8a1219839255a9b34f625]

#i105185# Added notification for transformation change on resize.


2009-10-16  Andre Fischer  <af@openoffice.org>  [fa475e5b4abe7b0795c6a04a98f9fd80a7dde04e]

#i48179# Fixed wrong resolution of merge conflict.


2009-11-30  Jens-Heiner Rechtien  <hr@openoffice.org>  [53df433b2bd1f7065c8a6c0f5575a9675f09ce03]

slideshow1: merge with DEV300 m61


2009-11-30  Jens-Heiner Rechtien  <hr@openoffice.org>  [9cacf489a5a09ddbe83c8c6837c4b9c231a82322]

slideshow1: merge with DEV300 m56


2009-11-30  Jens-Heiner Rechtien  <hr@openoffice.org>  [4f0b2503e4f27f7dad63fa77a7182fff186693e0]

slideshow1: merge with DEV300 m49


2009-11-30  Jens-Heiner Rechtien  <hr@openoffice.org>  [c0a6dbeaf0f051173876eca2d1353f1b1ef89f8f]

slideshow1: merge with DEV300 m45


2009-11-30  Jens-Heiner Rechtien  <hr@openoffice.org>  [b9de196a4c18910811b2441baa752fe9da4119c6]

slideshow1: merge with DEV300 m44


2009-10-16  Hans-Joachim Lankenau  <hjs@openoffice.org>  [de1e284f406735f73c9940847ff2084d83c0f465]

ause108: #i105954# - missing dependency on template dir


2009-10-14  Kurt Zenker  <kz@openoffice.org>  [640183e1076d8da8eae1bb8f4abaea7e88c329c7]

CWS-TOOLING: integrate CWS dba32h 2009-10-12 12:21:44 +0200 msc  r276827 : remove warning for issue 102712 because the issue is fixed 2009-10-05 07:14:20 +0200 oj  r276658 : #105585# add missing dependency for OOO_UI 2009-10-02 12:50:19 +0200 fs  r276632 : #i105505# If a model is created, and is a revenant of a previous incarnation, then ensure it is properly initialized. In particular, in its ctor, set the state to "Initializing", not "Initialized", and then let the ModelImpl call attachResource. This ensures that the model is initialized completely, including firing the necessary events. 2009-10-02 12:46:12 +0200 fs  r276631 : #i105505# always do an attachResource at the newly loaded model, even if it (internally) was not really loaded, but only a revenant of a previous incarnation of this document 2009-10-01 13:09:07 +0200 fs  r276596 : do not rely on the name 'Standard' for the one and only form in a document 2009-10-01 12:35:56 +0200 fs  r276589 : #i105509# don't rely on default form component names, use indexes 2009-10-01 11:19:18 +0200 fs  r276584 : copying the fix for #i105082# into this CWS 2009-10-01 11:13:22 +0200 fs  r276583 : improved logs 2009-10-01 11:10:44 +0200 fs  r276581 : #i105505# 2009-10-01 08:07:57 +0200 fs  r276575 : manual merge of trunk, to allow cwslocalize to run 2009-09-30 22:48:30 +0200 fs  r276574 : removed that strange ONLOAD definition 2009-09-30 12:58:18 +0200 fs  r276553 : copy fix for #i105387# into this CWS, as the issue prevents us from finalizing the CWS 2009-09-30 12:56:45 +0200 fs  r276552 : copy fix for #i105387# into this CWS, as the issue prevents us from finalizing the CWS 2009-09-30 11:47:45 +0200 fs  r276549 : #i105235# 2009-09-29 12:27:40 +0200 fs  r276521 : #i105367# 2009-09-28 12:08:17 +0200 oj  r276485 : #i105371# export version in manifest.xml as well 2009-09-28 12:07:02 +0200 oj  r276484 : #i105371# export version in manifest.xml as well 2009-09-28 09:48:01 +0200 oj  r276481 : #i105366# init drivers when not empty 2009-09-25 14:31:27 +0200 fs  r276466 : CWS-TOOLING: rebase CWS dba32h to trunk@276429 (milestone: DEV300:m60) 2009-09-24 13:52:54 +0200 fs  r276422 : #i105234# do not zoom the control when they view information is still uninitialized (happens at least in Writer when opening a form document) 2009-09-24 11:42:03 +0200 fs  r276413 : #i105234# proper zoom handling for the nav bar 2009-09-24 11:41:40 +0200 fs  r276412 : #i105234# setZoom: care for precision errors caused by implicit conversion float->double 2009-09-23 12:21:22 +0200 oj  r276377 : remove dos lineends 2009-09-23 11:44:52 +0200 oj  r276376 : #i105216# load config on demand 2009-09-23 11:44:19 +0200 oj  r276375 : #i105216# load config on demand 2009-09-23 11:43:35 +0200 oj  r276374 : #i105216# load config on demand 2009-09-21 09:13:03 +0200 oj  r276307 : #i105158# use Thread support 2009-09-18 13:06:50 +0200 fs  r276277 : #i105147# 2009-09-18 11:48:23 +0200 oj  r276271 : #i105158# new method for thread safety 2009-09-18 10:42:56 +0200 fs  r276266 : CWS-TOOLING: rebase CWS dba32h to trunk@276192 (milestone: DEV300:m59) 2009-09-18 08:30:03 +0200 oj  r276263 : #i105016# load correct ldap so 2009-09-17 13:42:31 +0200 oj  r276240 : change count of check boxes 2009-09-17 13:32:59 +0200 oj  r276239 : revert false to true for currency 2009-09-17 09:14:46 +0200 oj  r276220 : #i104901# add patch for every issue 2009-09-17 09:10:29 +0200 oj  r276219 : #i104901# add patch for every issue 2009-09-11 13:47:49 +0200 oj  r276060 : #i104901# fix for indentity 2009-09-11 12:14:14 +0200 fs  r276056 : #i104594# allow to render controls without an SdrPageView 2009-09-11 11:49:31 +0200 fs  r276055 : CWS-TOOLING: rebase CWS dba32h to trunk@276043 (milestone: DEV300:m58) 2009-09-10 08:41:40 +0200 oj  r276021 : #i104911# export variable-set not for repeating sections


2009-10-14  Kurt Zenker  <kz@openoffice.org>  [7c553cab1555a1f859150a345da2850383945241]

CWS-TOOLING: integrate CWS mav55 2009-09-25 13:53:12 +0200 mav  r276452 : #i102895# fix the tab order; introduce fallback strings for the case that configuration is currupt


2009-10-12  Ocke Janssen  <oj@openoffice.org>  [03387d4065fea0446469398dabe6dafe3557cb82]

#i105724# check tDisplayCondition


2009-10-06  Release Engineers  <releng@openoffice.org>  [2d5dddbdb5a9ff4b38b8dacb0e05ba7cf29b53cf]

Create DEV300_m61 milestone tag from trunk@276697


2009-09-25  Mathias Bauer  <mba@openoffice.org>  [56b99267b37015feea3861d4167e7eafd861f3d5]

merge commit


2009-09-24  Release Engineers  <releng@openoffice.org>  [eaa32256f2e7e832a14d78229bc973a0b391fb1f]

Create DEV300_m60 milestone tag from trunk@276428


2009-09-23  Ivo Hinkelmann  <ihi@openoffice.org>  [2864795ba5971454c7d32057f5f8ead3f90a308c]

#i10000# line ends converted


2009-09-23  Ivo Hinkelmann  <ihi@openoffice.org>  [8b79b20bb3d991e4559211bd6a0572dbd213043d]

#i10000# #i105297#  use common configure action


2009-09-22  Armin Le Grand  <Armin.Le.Grand@Sun.COM>  [bd44dbc37ad4d1742aad138783893a5dfaa27c61]

#i97509# continued matrix tooling and adapting the usages now to all the ooo code


2009-09-22  Andre Fischer  <af@openoffice.org>  [3e0c3c55bdad9342d15a38fba1daa1dede1584fd]

#i105185# Increased version number to 1.0.3


2009-09-21  Andre Fischer  <af@openoffice.org>  [be42c1e87a087481e30f43b2ae27b41f4ddc44b6]

#i105185# Added help files.


2009-09-21  Release Engineers  <releng@openoffice.org>  [0b81a0ce709a933de3f1f66cddce86a389686eb8]

#i10000# we also like to build in non mac plattforms ...


2009-09-18  Ivo Hinkelmann  <ihi@openoffice.org>  [cd1e1297ecc0406f470e4ae68f09331e3becbda0]

CWS-TOOLING: integrate CWS impressaccessibility3 2009-09-18 16:10:59 +0200 af  r276289 : #i102525# Fixed some minor compilation problems. 2009-09-17 14:11:23 +0200 af  r276243 : #i102525# Fixed F1 shortcut for help view. 2009-09-16 16:20:58 +0200 af  r276205 : #i102525# Removing const to make Solaris linker happy. 2009-09-16 16:13:25 +0200 af  r276204 : #i90690# Initializing variable to avoid compilation problem. 2009-09-15 19:10:04 +0200 af  r276186 : #i90825# Replace edit source proxy when an outliner object is set. 2009-09-15 11:12:07 +0200 af  r276160 : #i90690# Broadcast accessibility events when the current slide is changed. 2009-09-15 09:37:48 +0200 af  r276148 : #i102525# Fixed Solaris compilation problem. 2009-09-14 18:12:40 +0200 af  r276142 : #i102525# Added missing implementation for some font related functions. 2009-09-14 18:02:05 +0200 af  r276139 : #i102525# Added accessibility support. 2009-09-14 17:30:13 +0200 af  r276136 : #i102525# Added support for interface XPane2 to panes. 2009-09-14 17:00:27 +0200 af  r276133 : #i102525# Added XPane2 interface. 2009-09-14 16:13:04 +0200 af  r276131 : #i50376# Make the focus indicator visible when the slide sorter has the focus.


2009-09-17  Ivo Hinkelmann  <ihi@openoffice.org>  [101020e52ed064f875e89d841076b15cd8ed3dee]

CWS-TOOLING: integrate CWS boost134 2009-09-09 10:30:24 +0200 fs  r275970 : #i100127# provided by rene: check whether system-boost's function.hpp compiles without exception support 2009-09-04 21:58:00 +0200 fs  r275832 : indention 2009-09-04 21:57:10 +0200 fs  r275831 : #i10000# type in boost/spirit check. Thanks to thb 2009-09-04 10:58:54 +0200 fs  r275787 : #i100127# provided by tono@openoffice.org: mingw needs using directives for std::min/max 2009-09-04 10:31:54 +0200 fs  r275782 : #i100127# (approved by hjs) on Solaris, set GNUTAR to /usr/sfw/bin/gtar, this is available on baseline machines (Solaris 10.x), but not necessarily available in LD_LIBRARY_PATH 2009-08-19 21:47:55 +0200 rene  r275161 : #i10000# check for the header actually used now 2009-08-17 21:55:31 +0200 fs  r275073 : CWS-TOOLING: rebase CWS boost134 to trunk@275001 (milestone: DEV300:m55) 2009-07-16 09:39:25 +0200 fs  r274031 : #i100127# extract download/% with GNUTAR instead of TAR 2009-07-14 09:18:15 +0200 fs  r273960 : CWS-TOOLING: rebase CWS boost134 to trunk@273858 (milestone: DEV300:m52) 2009-07-13 09:55:14 +0200 fs  r273919 : #i100127# use boost 1.39, not 1.34 2009-07-13 09:45:57 +0200 fs  r273918 : use GNUTAR when extracting download/%.tar.gz, not TAR (necessary with boost 1.39 tarball) 2009-07-10 21:10:52 +0200 fs  r273905 : #i100127# spirit now part of boost 2009-07-06 12:12:13 +0200 fs  r273732 : #i10000# lngconvex, used in src/wizards, is built in shell => added missing module dependency 2009-07-02 15:34:51 +0200 fs  r273660 : #i100127# 2009-07-02 13:35:24 +0200 fs  r273645 : #i100127# MSVC needs some hinting when using boost::bind on (some) member functions 2009-07-02 10:33:59 +0200 fs  r273625 : removed unused include (lead to an internal compiler error with MSVC and boost 1.34+) 2009-07-02 09:44:35 +0200 fs  r273619 : change some include orders, prevents 'internal compiler errors' with MSVC 2009-07-01 09:19:25 +0200 fs  r273547 : #i100127# who the heck is defining max as something unusable? 2009-07-01 09:17:28 +0200 fs  r273546 : #i100127# defining min/max is causing trouble now 2009-07-01 09:15:40 +0200 fs  r273545 : #i100127# reverted previous patch, and properly fixed the problem by defining BOOST_MEM_FN_ENABLE_CDECL, and disabling warning 4180 2009-07-01 09:14:23 +0200 fs  r273544 : #i100127# re-disable warning 4180, still needed for some files 2009-07-01 09:07:33 +0200 fs  r273543 : #i100127# reverted previous patch, and properly fixed the problem by defining BOOST_MEM_FN_ENABLE_CDECL 2009-06-24 11:00:32 +0200 fs  r273319 : oops, re-introduced some inc locations 2009-06-23 22:10:02 +0200 fs  r273304 : #i100127# disable warning C4180 2009-06-23 22:08:36 +0200 fs  r273303 : #i100127# disable warning C4180 2009-06-16 12:26:49 +0200 fs  r273015 : #i10000# (provided by mst@openoffice.org) 2009-06-15 09:10:27 +0200 fs  r272962 : #i10000# use -r instead of -a when copying the include files, this prevents the spurious 'failed to preserve ownership' errors 2009-06-11 23:55:06 +0200 fs  r272902 : #i100127# 2009-06-11 23:54:47 +0200 fs  r272901 : #i100127# 2009-06-11 23:54:05 +0200 fs  r272900 : make compile on unxsol[i|s]4 2009-06-10 10:12:22 +0200 fs  r272798 : #i100127# don't deliver from within unxlngi6/misc/build/boost, but from a 'normalized' location unxlngi6/inc 2009-06-10 09:48:00 +0200 fs  r272795 : #i100127# use 1.34.1 unconditionally on all platforms


2009-09-16  Jens-Heiner Rechtien  <hr@openoffice.org>  [10f22a17f452f8e388156f6bb1bf548085616156]

CWS-TOOLING: integrate CWS cloph13 2009-09-01  #i104566# also use syslibroot/isysroot for external components 2009-08-28  #i104568# clean up duplicated definitions of OBJCXXFLAGS 2009-08-28  #i104567# add ccache-detection to configure (to skip to objcxx-flags) 2009-08-28  #i104566# use Mac OS X 10.4-SDK to ensure backwards compatibility use MACOSX_DEPLOYMENT_TARGET and sysroot/syslibroot switches ignore "-isysroot /Developer/..." arguments for OOo's cpp


2009-09-16  Ivo Hinkelmann  <ihi@openoffice.org>  [13c3668a0a8d33923f41de604138be5b72ca751e]

CWS-TOOLING: integrate CWS l10nframework01


2009-09-15  Mathias Bauer  <mba@openoffice.org>  [302db11b932551d5edf2a4a8f483a0e965207497]

obvious c/p error fixed


2009-09-14  Mathias Bauer  <mba@openoffice.org>  [4d12fe2f0344450b117b8bfd4972c64622232229]

#i103496#: split cppunit in a pure external lib and a lib depending on sal -> testshl2


2009-09-14  Kurt Zenker  <kz@openoffice.org>  [35d8197cba906028b1526ed520484530c9258ca0]

CWS-TOOLING: integrate CWS dba32g 2009-09-09 07:53:55 +0200 oj  r275964 : replace strlen with rtl_str_getLength 2009-09-07 20:59:10 +0200 fs  r275913 : disable the CopyTableWizard test until issue 104869 is fixed 2009-09-07 12:17:31 +0200 oj  r275885 : #i104810# remove de as lang 2009-09-05 22:26:21 +0200 fs  r275857 : protect StateChanged against re-entrance 2009-09-05 22:25:52 +0200 fs  r275856 : don't attempt to classify the parent of a form as control 2009-09-05 22:25:29 +0200 fs  r275855 : protect against re-entrance 2009-09-05 00:11:40 +0200 fs  r275835 : #i10000# 2009-09-04 23:25:50 +0200 fs  r275834 : #i10000# 2009-09-04 23:23:47 +0200 fs  r275833 : #i10000# 2009-09-04 21:49:37 +0200 fs  r275830 : #i10000# correct wrong conflict resolution 2009-09-04 20:59:51 +0200 fs  r275829 : CWS-TOOLING: rebase CWS dba32g to trunk@275801 (milestone: DEV300:m57) 2009-09-04 11:08:32 +0200 oj  r275791 : #i104780# new version 1.2.0 2009-09-03 22:29:21 +0200 fs  r275775 : OSL_TRACE doesn't need \n anymore 2009-09-03 08:33:21 +0200 fs  r275743 : CWS-TOOLING: rebase CWS dba32g to trunk@275331 (milestone: DEV300:m56) 2009-09-02 13:48:12 +0200 fs  r275708 : removed useless include 2009-09-02 13:45:43 +0200 fs  r275707 : more since tags, which are used across offapi/udkapi 2009-09-02 13:23:04 +0200 fs  r275705 : should *not* have the dtor, copy ctor, and assignment operator compiler-generated, else we run into trouble as soon as the compiler creates different versions of our singleton member's static data in different libraries 2009-09-02 12:32:45 +0200 fs  r275704 : AutoIncrementIsPrimaryKey is a driver setting, not a data source setting 2009-09-02 11:42:49 +0200 fs  r275701 : URL meta data are meta data which are valid for all connections of this type, not per-data-source properties. Settings them as data source properties is a hack. 2009-09-02 08:43:34 +0200 fs  r275696 : 3.x.x is not a valid 'since' tag 2009-09-01 16:05:24 +0200 fs  r275665 : #i104686# don't treat controls bound to read-only columns as required 2009-09-01 13:10:22 +0200 fs  r275657 : #i104574# use PageUp/Down to scroll through the complete page 2009-09-01 07:04:48 +0200 oj  r275641 : #i104104# correct line ends 2009-08-31 15:52:34 +0200 fs  r275612 : #i104410# 2009-08-31 12:29:05 +0200 fs  r275596 : #i104364# 2009-08-31 12:28:56 +0200 fs  r275595 : #i104364# 2009-08-31 11:43:09 +0200 fs  r275593 : #i104649# JavaDriverClassPath is also a known JDBC-bridge setting 2009-08-31 11:41:37 +0200 fs  r275592 : #i104649# 2009-08-28 21:48:27 +0200 fs  r275552 : during #i96862#: renamed the configuration data which controls availability of certain DBA-related UI 2009-08-28 21:48:17 +0200 fs  r275551 : #i96862# do not show the 'Create a new database' option when a) no embedded/dBase driver is installed or b) the configuration requests to hide the option 2009-08-28 21:47:19 +0200 fs  r275550 : during #i96862#: renamed the configuration data which controls availability of certain DBA-related UI 2009-08-28 21:46:41 +0200 fs  r275549 : #i96862# renamed and extended the configuration data which controls availability of certain DBA-related UI 2009-08-28 15:10:19 +0200 fs  r275535 : #i96862# if no embedded driver is installed, use dBase for creating new DBs. If no dBase driver is installed, too, do not offer the 'Create new database' option 2009-08-28 14:03:04 +0200 fs  r275532 : #i104454# allow multiple fields to display the same column 2009-08-28 13:14:00 +0200 fs  r275528 : #i104584# driver meta data do not belong into a data source's settings 2009-08-28 13:09:57 +0200 fs  r275527 : properly chech the MySQL type buttons (else next/back in the wizard leads to state with two buttons checked) 2009-08-28 13:09:17 +0200 fs  r275526 : #i104584# driver meta data do not belong into a data source's settings 2009-08-28 13:07:18 +0200 fs  r275525 : BooleanComparisonMode is a property, or a feature - but not a driver meta data 2009-08-28 11:00:31 +0200 fs  r275521 : #i104580# 2009-08-28 10:40:05 +0200 fs  r275519 : #i104577# correct assertion: If the template node type is ANY, then any value type is allowed 2009-08-28 10:09:30 +0200 fs  r275518 : #i104575# implement Named Pipe UI 2009-08-28 10:09:07 +0200 fs  r275517 : pass the trigger-event to IWindowOperator::operateOn / work with VclWindowEvents, not VclSimpleEvents 2009-08-27 14:27:36 +0200 fs  r275484 : ImplPosTabPage: respect mbEmptyViewMargin for WINDOWALIGN_LEFT 2009-08-27 13:43:56 +0200 fs  r275480 : merging latest changes from CWS dba32f herein 2009-08-27 13:23:07 +0200 fs  r275475 : #i103882# 2009-08-27 11:56:55 +0200 fs  r275466 : #i104544# SetState: Do not call Update at the window which we just set text for. It should (sic\!) not be needed, but causes trouble 2009-08-27 11:55:34 +0200 fs  r275465 : #i104544# do not allow re-entrance for impl_ensureControl_nothrow Actually, this is part of the fix only. I also removed the code which triggered this re-entrance (from the grid control implementation), but to ensure it won't happen, again, I added some safety herein. 2009-08-27 10:14:11 +0200 fs  r275459 : preparations for supporting a 'NamedPipe' parameter for the MySQL Connector/OOo 2009-08-27 10:13:21 +0200 fs  r275458 : preparations for supporting a 'NamedPipe' setting for the MySQL Connector/OOo 2009-08-27 10:11:14 +0200 fs  r275456 : outsourced the MySQLNative settings into a dedicated class, to not duplicate all the code in two tab page implementations 2009-08-26 14:18:13 +0200 fs  r275422 : #i10000# 2009-08-26 13:26:36 +0200 fs  r275419 : ignore output paths 2009-08-26 13:23:38 +0200 fs  r275417 : support the LocalSocket property for the MySQL native driver 2009-08-26 13:17:05 +0200 fs  r275416 : some re-factoring, to outsource the tab page for setting up the MySQLNative connection, into a dedicated class (needed later) 2009-08-26 13:15:15 +0200 fs  r275415 : support a NoThousandSep property for NumericFormatters - I'm tired of correcting this at runtime, instead of controlling it in the resource 2009-08-26 11:45:08 +0200 fs  r275410 : oops, 'flat' shouldn't have got lost 2009-08-26 09:38:57 +0200 fs  r275398 : #i102631# when saving the document fails, ensure that the interaction handler really can handle/display the error 2009-08-26 09:37:05 +0200 fs  r275397 : #i102631# don't let non-IO/RuntimeExceptions escape from DatabaseDocument::store*, wrap them into an IOException 2009-08-26 09:35:39 +0200 fs  r275395 : let the default interaction handler implement XInteractionHandler2 2009-08-25 13:51:34 +0200 fs  r275352 : #i102631# createTempFile: pass URL through FileHelper.getOOoCompatibleFileURL 2009-08-25 13:49:23 +0200 fs  r275351 : #i102631# createTempFileURL: immediately delete the file implicitly created by createTempFile, we really only need the URL 2009-08-24 14:49:07 +0200 fs  r275318 : #i10000# 2009-08-24 14:36:03 +0200 fs  r275315 : properly terminate message with 0 character 2009-08-24 14:35:45 +0200 fs  r275314 : trace method concepts in non-pro, if special flag is enabled 2009-08-24 14:24:17 +0200 fs  r275312 : #i98973# filter some more events for grid control columns 2009-08-24 14:15:23 +0200 fs  r275311 : #i98973# implement XComboBox for combo box cells 2009-08-24 13:39:24 +0200 fs  r275308 : #i98973# do not display the 'actionPerformed' event for grid combo box columns 2009-08-24 12:52:03 +0200 fs  r275303 : #i98973# implement XCheckBox and XButton for check box cells 2009-08-24 11:56:05 +0200 oj  r275300 : #i104447# wrong default for orientation 2009-08-24 10:51:21 +0200 fs  r275296 : in the script selector dialog, interpret a double click onto a function as OK 2009-08-24 10:50:56 +0200 fs  r275295 : localize some to-be-displayed names, consolidate some code regarding form/control naming 2009-08-21 14:28:05 +0200 fs  r275255 : #i98973# implement KeyListeners 2009-08-21 14:27:20 +0200 fs  r275254 : #i98973# move the conversion VCL[Mouse|Key]Event->Awt[Mouse|Key]Event from vclxwindow.cxx to VCLUnoHelper 2009-08-21 14:08:50 +0200 fs  r275248 : #i98973# implement Mouse- and MouseMotion-broadcasting 2009-08-21 13:31:08 +0200 fs  r275244 : #i98973# implement text and change listeners at text cells 2009-08-21 12:47:38 +0200 fs  r275234 : #i104399# some refactoring: If the MySQL Connector/OOo is installed, it registers for the sdbc:mysqlc: protocol (now known as DST_MYSQL_NATIVE_DIRECT). However, we do not want to display this in the UI, instead we display "MySQL" only, which collects DST_MYSQL_ODBC, DST_MYSQL_JDBC, and DST_MYSQL_NATIVE. 2009-08-21 12:45:18 +0200 fs  r275232 : #i104399# also register for the sdbc:mysql:mysqlc protocol, decide at runtime (depending on the availability of sdbc:mysqlc:), whether it is really accepted. This prevents that the C/OOo extension needs to register *our* implementation name for the sdbc:mysql:mysqlc: protocol, which would be somewhat weird 2009-08-20 16:18:48 +0200 fs  r275190 : merging the latest changes from CWS dba32f (which this CWS was created from) 2009-08-19 20:19:59 +0200 fs  r275160 : add some spacing between the radios 2009-08-19 14:50:15 +0200 fs  r275150 : #i98973# slightly refactoring the grid cell implementations, to prepare for proper events being fired. Implement focus events for the moment, more to come. 2009-08-19 10:53:38 +0200 fs  r275142 : #i99936# initialize newly created models 2009-08-18 23:03:48 +0200 fs  r275132 : merging latest changes from CWS dba32f 2009-08-18 15:14:08 +0200 fs  r275110 : #i102819# SetColumnPos: SCROLL_CLIP is deadly here


2009-09-11  Mathias Bauer  <mba@openoffice.org>  [f1021d31bddd84befa4b513f51649e07381d8d1a]

#i103496#: get rid of filter dependency in swext by moving wiki filter into extension


2009-09-09  Mathias Bauer  <mba@openoffice.org>  [4a2a2cc28a8d9e1eb805f7e175d0058613ac1a76]

#i103496#: remove superfluous includes of sal headers


2009-09-09  Mathias Bauer  <mba@openoffice.org>  [0d17480098d10bb45a7dea3ffbcafa672dfd16cb]

merge commit to DEV300_m57


2009-09-04  Release Engineers  <releng@openoffice.org>  [04d1e0e4bcfd0b8ee7b9bcdbcec7b991f6ed50fa]

Create DEV300_m57 milestone tag from trunk@275796


2009-08-26  Vladimir Glazounov  <vg@openoffice.org>  [2d41aa38bbf55372f9dc8aff45cc6352d1bcdc9f]

CWS-TOOLING: integrate CWS dba32e 2009-08-10 13:16:25 +0200 fs  r274805 : #i84390# typo corrected 2009-08-10 13:04:28 +0200 fs  r274804 : #i103741# properly terminate the last token in a string with a 0 byte 2009-07-24 08:54:05 +0200 msc  r274286 : #103219# changed long name 2009-07-24 08:42:28 +0200 msc  r274285 : #i79649# changed behaviour of the wizard 2009-07-22 14:17:49 +0200 oj  r274238 : GrabFocus 2009-07-22 13:38:01 +0200 oj  r274232 : #i102934# mixed up 2009-07-22 13:37:16 +0200 oj  r274231 : #i102934# mixed up 2009-07-21 12:30:36 +0200 oj  r274176 : crash when using distinct 2009-07-21 10:03:44 +0200 oj  r274163 : set last char to 0 2009-07-21 09:31:22 +0200 oj  r274161 : mediatype corrected 2009-07-20 11:45:33 +0200 fs  r274118 : typo in formatting string 2009-07-20 11:40:39 +0200 fs  r274117 : removed unused include 2009-07-20 11:40:01 +0200 fs  r274116 : class name corrected 2009-07-16 13:41:45 +0200 oj  r274046 : i101587 wrong check for embeddeddatabase url in confguration, have to check path 2009-07-16 13:12:05 +0200 tbo  r274044 : #i103219# adjust declarion to new hid.lst 2009-07-16 12:43:48 +0200 oj  r274041 : #i102497# check also fot longvarchar 2009-07-16 12:15:41 +0200 oj  r274039 : #i103030# handle type description and exceptions as well 2009-07-16 11:14:26 +0200 fs  r274035 : let SVN ignore output paths 2009-07-16 09:23:43 +0200 fs  r274030 : TransforFormComponentProperties: no need to check for attribute equality 2009-07-10 14:16:23 +0200 oj  r273892 : CWS-TOOLING: rebase CWS dba32e to trunk@273858 (milestone: DEV300:m52) 2009-07-01 21:41:50 +0200 fs  r273614 : #i10000# 2009-07-01 15:01:10 +0200 fs  r273589 : Input required doesn't make sense at all in XML form documents 2009-07-01 12:10:31 +0200 fs  r273562 : updated 2009-07-01 11:46:12 +0200 fs  r273560 : #i103219# add about 100 missing long names 2009-07-01 10:11:41 +0200 fs  r273551 : moved from socket/port usage to pipe/name usage, which is more common nowadays 2009-07-01 09:50:03 +0200 fs  r273549 : removed obsolete (empty) folder 2009-07-01 09:47:35 +0200 fs  r273548 : copied the code for the Accessibility Workbench herein, formerly located in the old CVS repository, at gsl/awb 2009-06-30 10:07:47 +0200 fs  r273493 : merging latest changes from CWS dba32d 2009-06-29 20:46:31 +0200 fs  r273482 : #i103138# Rectangle conversions 2009-06-29 10:01:13 +0200 fs  r273453 : #i103138# refactored the code for positioning/zooming the control Basically, we now allow adjustControlGeometry_throw (formerly known as positionControl_throw and setControlZoom) to take an additional ViewTransformation parameter, describing the transformation to obtain the actual control position/size. Consequently, positionControl itself also allows for a ViewTransformation parameter. This has become necessary since during painting, the device which we created our control for might not necessarily have a proper MapMode set. In this case, if we would use this map mode for calculating the control's position/size, this would lead to wrong results. Note that this problem was introduced by the fix for #i101398#: During the fix, we postponed the control creation to a later time (when it is really needed). At this later time, the MapMode at the device is broken, at the earlier time where we formerly crearted the control (createPrimitive2DSequence), it is not yet broken. Whether or not the MapMode is defined as "broken" might depend on one's point of view, however ... I consider it broken, since: - we need the map mode to obtain the proper zoom level, which is to be forwarded to the control - there are scenarios where the MapMode is *not* set to MAP_PIXEL (in those scenarios, everything works   fine), and there are scenarios where it *is* set to MAP_PIXEL (in those the bug 103138 appears).   It somehow feels wrong that one cannot rely on the device's map mode this way, but on the other hand   one has no possibility to obtain the current zoom by other means. Note that one issue (still to be submitted) is left: In the page pane of a Draw/Impress document, controls have a wrong text size. This is because in this pane, the above-mentioned "broken" map mode is used, which means the controls have a zoom of "1:1" set, which is wrong here. 2009-06-29 09:52:13 +0200 fs  r273452 : during #i103138#: belongsToDevice is unused nowadays 2009-06-24 12:40:06 +0200 fs  r273329 : #i102888# #i102899# 2009-06-24 12:10:29 +0200 oj  r273327 : #i103030# some code changes 2009-06-24 09:44:14 +0200 oj  r273311 : #i103030# some code changes 2009-06-24 09:24:42 +0200 oj  r273309 : #i103030# add log 2009-06-24 09:03:29 +0200 fs  r273308 : if a col's table name is schema.table, properly quote all parts 2009-06-24 08:56:06 +0200 oj  r273307 : #i102691# changed string 2009-06-23 13:31:43 +0200 oj  r273280 : #i102479# fix date, time and datetime 2009-06-23 12:51:28 +0200 oj  r273277 : #i103020# clear old expression when updating to avoid dead pointers in treelist userdata 2009-06-23 12:17:16 +0200 oj  r273275 : #i103030# add LogBridge 2009-06-23 11:53:10 +0200 oj  r273272 : shawdowed var resolved 2009-06-23 11:48:49 +0200 oj  r273270 : #i103030# add :log to uno env if var UNO_ENV_LOG is set 2009-06-23 11:47:47 +0200 oj  r273269 : #i103030# add LogBridge 2009-06-23 11:47:11 +0200 oj  r273268 : #i103030# add LogBridge 2009-06-23 08:05:08 +0200 oj  r273253 : #i102934# add key for collapsing 2009-06-22 13:21:33 +0200 fs  r273225 : merging latest changes from CWS dba32d 2009-06-22 13:15:22 +0200 fs  r273221 : why restrict to 12 entries? 2009-06-22 08:12:21 +0200 oj  r273196 : #i102655# choosen > chosen typo fixed 2009-06-22 08:08:04 +0200 oj  r273195 : #i102657# typo fix 2009-06-22 08:06:28 +0200 oj  r273194 : #i102934# expanding and collasping of section 2009-06-22 08:05:52 +0200 oj  r273193 : #i102930# set focus in treelistbox 2009-06-22 08:04:56 +0200 oj  r273192 : #i102929# enable tabstop 2009-06-19 13:18:26 +0200 oj  r273157 : remove unused param 2009-06-19 10:07:05 +0200 oj  r273149 : CWS-TOOLING: rebase CWS dba32e to trunk@272827 (milestone: DEV300:m50) 2009-06-19 07:32:40 +0200 oj  r273146 : merge from dba32d to dba32e 2009-06-19 07:22:56 +0200 oj  r273145 : merge from dba32d to dba32e 2009-06-19 07:22:33 +0200 oj  r273144 : merge from dba32d to dba32e 2009-06-18 14:09:34 +0200 fs  r273116 : merging the latest changes from CWS dba32d (up to revision 273108) herein, which effectively is a rebase to DEV300.m50 2009-06-18 08:50:35 +0200 oj  r273098 : #i102894# fix for new line in text 2009-06-18 08:28:48 +0200 oj  r273097 : #i102892# check any 2009-06-18 08:21:34 +0200 oj  r273096 : check if error is valid 2009-06-16 13:49:28 +0200 fs  r273019 : why make a drop down control by default? The form control factory in SVX does this better those days ... 2009-06-10 09:53:20 +0200 oj  r272797 : add lic text 2009-06-10 09:48:55 +0200 oj  r272796 : test added for i101618 2009-06-09 14:57:39 +0200 oj  r272771 : #i101618# access database document only when script container is needed 2009-06-09 12:42:25 +0200 oj  r272765 : #i102497# check type property 2009-06-09 12:32:49 +0200 oj  r272764 : adjust test cases 2009-06-09 12:31:58 +0200 oj  r272763 : adjust test cases 2009-06-09 12:31:22 +0200 oj  r272762 : adjust test cases 2009-06-09 11:35:42 +0200 oj  r272761 : check if error is valid 2009-06-09 11:29:42 +0200 oj  r272760 : #i102497# longvarchar was missing 2009-06-08 14:52:49 +0200 fs  r272733 : #i102564# when setting a new field, also set m_nFieldType 2009-06-08 13:51:20 +0200 oj  r272730 : add tests 2009-06-05 14:38:01 +0200 oj  r272686 : add dep 2009-06-05 14:35:00 +0200 oj  r272684 : add new tests 2009-06-05 13:41:18 +0200 oj  r272681 : code clean ups 2009-06-05 12:40:51 +0200 oj  r272678 : code cleanup 2009-06-05 12:02:57 +0200 oj  r272677 : code cleanup 2009-06-05 10:42:38 +0200 oj  r272670 : #i49320# impl export of single rows and as RTF and HTML 2009-06-03 14:30:37 +0200 oj  r272576 : #i79649# check if file matches filter wildcard 2009-06-03 13:41:57 +0200 oj  r272560 : #i102470# impl not b like 'c'


2009-08-24  Release Engineers  <releng@openoffice.org>  [4ad2c3addffa4030a975419f65a06f809a20a591]

Create DEV300_m56 milestone tag from trunk@275330


2009-07-30  Mathias Bauer  <mba@openoffice.org>  [bbcbe228bdb500ffc0dddbcecf07e307325c8b1c]

more dependencies fixed


2009-07-30  Mathias Bauer  <mba@openoffice.org>  [0977de1408e4c30a784466b96a75a9f6b566edce]

more dependencies fixed


2009-07-29  Jens-Heiner Rechtien  <hr@openoffice.org>  [c2813041d269312f12e847d194149a63b3e55b92]

CWS-TOOLING: integrate CWS dr71 2009-07-07 16:26:00 +0200 dr  r273805 : #i10000# unused variables 2009-07-07 10:27:14 +0200 dr  r273780 : CWS-TOOLING: rebase CWS dr71 to trunk@273468 (milestone: DEV300:m51) 2009-07-01 11:28:24 +0200 dr  r273559 : #101471# special handling for XL library functions in ODF formulas (EUROCONVERT) 2009-06-29 17:48:46 +0200 dr  r273478 : #i101471# typo 2009-06-29 17:35:16 +0200 dr  r273477 : #i101471# import msoxl: formulas from conditional formatting and data validation 2009-06-18 13:45:17 +0200 dr  r273115 : #101471# changed interface css.sheet.XFormulaParser 2009-06-18 13:44:43 +0200 dr  r273114 : #101471# changed interface css.sheet.XFormulaParser 2009-06-17 17:29:23 +0200 dr  r273089 : #i101471# extend the XFormulaParser interface with a ReferencePosition parameter, make rel-refs from msoxl: namespace working 2009-06-17 17:28:39 +0200 dr  r273088 : #i101471# extend the XFormulaParser interface with a ReferencePosition parameter 2009-06-17 17:28:19 +0200 dr  r273087 : #i101471# extend the XFormulaParser interface with a ReferencePosition parameter 2009-06-17 17:27:19 +0200 dr  r273086 : #i101471# extend the XFormulaParser interface with a ReferencePosition parameter, remove that property from FormulaParser service 2009-06-17 12:52:20 +0200 dr  r273059 : #i101471# import cell formulas from msoxl: namespace 2009-06-16 11:40:50 +0200 dr  r273013 : #i101471# import formula namespace from xml elements 2009-06-12 18:34:13 +0200 dr  r272935 : #i101471# external formula parser for oox in odf 2009-06-12 18:33:13 +0200 dr  r272934 : #i101471# external formula parsers 2009-06-12 18:29:46 +0200 dr  r272933 : #i101471# external formula parsers 2009-06-05 15:53:47 +0200 dr  r272705 : #i101471# provide OOX formula parser as UNO service


2009-07-28  Mathias Bauer  <mba@openoffice.org>  [64ad4fcd4278ccee406404a6240c17c643d6d8c0]

#i103496#: remove superfluous dependencies in external libraries


2009-07-15  Ivo Hinkelmann  <ihi@openoffice.org>  [16704c2f571fd601f765d44c17b0ffc0a1655599]

CWS-TOOLING: integrate CWS ause105 2009-07-08 17:57:23 +0200 hjs  r273843 : #i103418# add missing dependency on localized .hrc files 2009-07-08 17:28:46 +0200 hjs  r273841 : #i103416# handle new solver subdir sdf 2009-07-08 11:27:47 +0200 hjs  r273823 : #i103409# disable cmd.exe autorun 2009-07-07 19:23:23 +0200 hjs  r273813 : #i103394# fix path handling of files failed in first run of rebase.exe


2009-07-10  Mathias Bauer  <mba@openoffice.org>  [4e5159596c87abf0f8e8330fb0c0997a814cd02a]

#i103452#: replace PRODUCT by !DBG_UTIL; replace assert by OSL_ASSERT where possible


2009-07-06  Oliver Bolte  <obo@openoffice.org>  [00c5facf99ac7ea453fb0e40f29e98e51f42d3fe]

#i102679# build fix


2009-07-06  Vladimir Glazounov  <vg@openoffice.org>  [6f7c254df0cbc39be19f3dbb43bbf1f3bdd9766b]

CWS-TOOLING: integrate CWS dba32d 2009-06-30 08:58:13 +0200 fs  r273488 : merging latest changes from CWS dba32c 2009-06-29 11:40:42 +0200 oj  r273459 : #i101652# fix token handling 2009-06-26 09:27:30 +0200 oj  r273394 : #i101994# wrong condition checked 2009-06-22 12:09:04 +0200 fs  r273210 : merging latest changes from CWS dba32c 2009-06-18 11:01:06 +0200 fs  r273108 : merge latest changes from CWS dba32c 2009-06-17 14:19:33 +0200 oj  r273072 : handle images at the correct position 2009-06-17 13:37:19 +0200 oj  r273067 : compile error 2009-06-17 13:35:58 +0200 oj  r273066 : #i102201# handle images 2009-06-17 13:27:21 +0200 oj  r273065 : #i80917# disable checkbox for internal copy 2009-06-17 13:25:38 +0200 oj  r273064 : #i80917# disable checkbox for internal copy 2009-06-15 12:59:16 +0200 fs  r272978 : merging latest changes from CWS dba32c 2009-06-15 10:45:58 +0200 fs  r272967 : CWS-TOOLING: rebase CWS dba32d to trunk@272827 (milestone: DEV300:m50) 2009-06-15 08:41:05 +0200 fs  r272960 : merging changes from CWS dba32c (resulting from rebasing dba32c to m50) 2009-06-03 12:22:32 +0200 fs  r272554 : merging latest changes from CWS dba32c 2009-06-03 11:11:27 +0200 fs  r272549 : #i100818# special treatment for DataAwareness not needed anymore 2009-06-03 11:07:01 +0200 fs  r272548 : #i10000# removed package declaration 2009-06-03 09:21:03 +0200 oj  r272537 : #i93465# save window states 2009-06-03 08:56:25 +0200 oj  r272535 : solve compiler warnings 2009-06-03 08:55:02 +0200 oj  r272534 : #i102295# export shapes i the first cell 2009-06-03 07:35:18 +0200 oj  r272533 : #i101994# check for - and + prefix 2009-06-03 06:51:38 +0200 oj  r272531 : #i101463# use uncomposed table name 2009-06-03 06:33:06 +0200 oj  r272530 : #i102019# word corrected 2009-06-02 14:58:28 +0200 fs  r272507 : #i102443# call initializeParser from LoadFinished 2009-06-02 14:30:10 +0200 oj  r272504 : #i102019# introduce static ints 2009-06-02 13:51:02 +0200 oj  r272501 : #i102439# wrong method used 2009-06-02 13:44:09 +0200 fs  r272500 : #i102440# when tampering with Order/GroupBy, reset the cached columns 2009-06-02 10:53:01 +0200 fs  r272487 : #i102234# preserve the original filter when using a 0=1 filter 2009-06-02 10:21:21 +0200 oj  r272486 : #i100535# handle time values as float 2009-06-02 10:19:07 +0200 fs  r272485 : merging latest changes from CWS dba32c 2009-05-29 16:00:15 +0200 fs  r272467 : merging latest changes from dba32c 2009-05-29 15:31:25 +0200 fs  r272462 : merging latest changes from dba32c 2009-05-29 10:58:03 +0200 oj  r272438 : #101135# export embedded-text 2009-05-29 08:17:57 +0200 oj  r272431 : #i80917# make attribute not optional 2009-05-29 08:17:32 +0200 oj  r272430 : remoe unused token 2009-05-29 07:17:15 +0200 oj  r272429 : #i80917# make attribute not optional 2009-05-28 12:48:14 +0200 oj  r272401 : #i102201# insert images in context menu 2009-05-28 12:47:44 +0200 oj  r272400 : #i80917# add new attribute to handle first line 2009-05-28 12:16:12 +0200 oj  r272397 : #i96134# add / to path when it doesn't exist 2009-05-28 12:11:08 +0200 oj  r272390 : #i80917# add new attribute to handle first line 2009-05-28 11:33:35 +0200 oj  r272388 : #i101652# add new checkbox to handle header line as column names 2009-05-28 11:30:15 +0200 oj  r272387 : #i101652# add localize 2009-05-28 11:15:53 +0200 oj  r272386 : merge from dba32c 2009-05-28 09:08:25 +0200 fs  r272378 : merged a build fix from CWS dba32c


2009-06-29  Release Engineers  <releng@openoffice.org>  [c8fd9b6b50151eaf9239f6e1b54eb9e592c9386a]

Create DEV300_m51 milestone tag from trunk@273467


2009-06-24  Release Engineers  <releng@openoffice.org>  [4f1703c108660c0d8e7f886ac28bb87751c922eb]

#i10000# build fix


2009-06-22  Ivo Hinkelmann  <ihi@openoffice.org>  [54439e09e8024e0198932a010e16ff6a97da332b]

#i10000# build fix


2009-06-22  Ivo Hinkelmann  <ihi@openoffice.org>  [1fbf1dc2bc1d451616e31530e0da15383d47aafb]

#i10000# build fix


2009-06-17  Ivo Hinkelmann  <ihi@openoffice.org>  [7f6d3cfdc31f69247cee4241b31d354caaf7f4c3]

CWS-TOOLING: integrate CWS l10ncleanup04 2009-05-28 13:46:54 +0200 ihi  r272407 : remove forgotten sdf's 2009-05-25 22:32:35 +0200 ihi  r272273 : no WITH_LANG fix 2009-05-25 20:45:58 +0200 ihi  r272272 : remove some comments 2009-05-25 19:55:21 +0200 ihi  r272271 : svx dialog -> cui l10n move 2009-05-25 18:30:58 +0200 ihi  r272268 : build fix 2009-05-18 16:32:02 +0200 ihi  r272033 : bash fix 2009-05-18 16:31:32 +0200 ihi  r272032 : bash fix 2009-05-14 16:23:39 +0200 ihi  r271901 : #i79750# Translation moved to l10n module 2009-05-11 23:36:05 +0200 ihi  r271793 : #i79750# Translation moved into own module


2009-06-16  Ivo Hinkelmann  <ihi@openoffice.org>  [91619b23bf508a342d2babf79cc0d07b540e6740]

CWS-TOOLING: integrate CWS ause102 2009-06-16 19:22:59 +0200 hjs  r273039 : #i102607# don't kill mingw 2009-06-12 15:17:22 +0200 ihi  r272921 : #i102607# add path before calling l10n tool 2009-06-11 14:25:20 +0200 hjs  r272873 : #i102607# on EPM=internal call binary with full path 2009-06-10 13:35:48 +0200 hjs  r272807 : #i102607# remove solver PATH entry from OOo env. 2009-06-10 12:10:44 +0200 hjs  r272802 : #i102635# correct dependencies for all 2009-06-10 11:58:53 +0200 hjs  r272801 : #i102607# call tools from solver with absolute path


2009-06-15  Ivo Hinkelmann  <ihi@openoffice.org>  [0a95901dc53fa6c0cdd89205ad7540f46b357d77]

CWS-TOOLING: integrate CWS pdfextfix02_DEV300 2009-05-10 11:23:59 +0200 pl  r271736 : #i94755# adjust extension version, add extension icon 2009-05-08 17:06:50 +0200 pl  r271726 : #i92909# handle some cases of mirroring 2009-05-08 14:51:37 +0200 pl  r271720 : #i95270# cope with some rotated images 2009-05-08 11:37:46 +0200 pl  r271709 : #i101327# recognize non breaking space also (thanks ayaniger) 2009-05-07 13:39:06 +0200 pl  r271658 : #i92598# still more masked bitmap support 2009-05-07 10:44:41 +0200 pl  r271638 : remove some compiler warnings 2009-05-07 09:59:56 +0200 pl  r271633 : make test compile again 2009-05-06 21:12:55 +0200 pl  r271612 : #i92903# handle two color images 2009-05-06 19:48:19 +0200 pl  r271610 : soft masked images 2009-05-06 16:30:36 +0200 pl  r271600 : #i92598# use masked PNG images for drawMask 2009-05-05 18:40:06 +0200 pl  r271550 : #i90617# #i92598# some workarounds for mask bitmaps 2009-05-04 18:53:09 +0200 pl  r271479 : #i94755# add supported for encrypted PDF files


2009-06-05  Kurt Zenker  <kz@openoffice.org>  [65c47921dc008eedeb0f3eb3fec67261280f6f1e]

CWS-TOOLING: integrate CWS dba32b 2009-06-03 14:58:08 +0200 fs  r272581 : #i102439# 2009-05-29 13:56:18 +0200 fs  r272456 : remove the sub form when the 'add subform' setting changes from <true/> to <false/>, not only its controls 2009-05-29 13:19:27 +0200 fs  r272454 : display '(Default)' instead of an empty string when a control has the default font 2009-05-28 20:49:18 +0200 fs  r272428 : #i98162# getFirstSelectedValue: do not return reference to a temporary 2009-05-27 15:30:22 +0200 msc  r272353 : #102303# 2009-05-26 13:03:06 +0200 fs  r272295 : spelling 2009-05-26 12:59:54 +0200 fs  r272294 : merge m48 version to get latest cygwin related fixes 2009-05-25 14:02:06 +0200 fs  r272239 : remove references to local files, needed for debugging sessions only 2009-05-25 14:01:16 +0200 fs  r272238 : #i102021# ensure members such as bNumberFormat are initialized before actually returning them 2009-05-25 13:10:20 +0200 fs  r272236 : #i10000# reset ENABLE_EVOAB2 2009-05-22 06:44:45 +0200 oj  r272167 : #i99104# add import handler for calc-sett 2009-05-22 06:42:27 +0200 oj  r272166 : #i99104# impl NullDate as member 2009-05-22 06:36:22 +0200 oj  r272165 : #i99104# handle nulldate from parent model 2009-05-22 06:33:13 +0200 oj  r272164 : #i99104# export and import calculation-settings and nulldate 2009-05-22 06:27:50 +0200 oj  r272163 : #i99104# export and import calculation-settings and nulldate 2009-05-20 13:29:58 +0200 oj  r272118 : #i99911# handle invalid name 2009-05-20 13:28:49 +0200 oj  r272117 : #i101261# handle different rowsets 2009-05-20 11:29:55 +0200 msc  r272111 : #i100000# 2009-05-20 11:28:27 +0200 msc  r272110 : merge in change from dba32a 2009-05-20 11:27:38 +0200 msc  r272109 : #102082# CTRL + C does not work 2009-05-20 09:43:36 +0200 oj  r272106 : clean up includes 2009-05-20 09:32:15 +0200 oj  r272105 : #i99060# merge error resovled now VERTICAL_ALIGN is in both stmt 2009-05-20 08:37:21 +0200 msc  r272104 : add workaround for issue #102010# 2009-05-20 08:10:12 +0200 oj  r272103 : #i99104# use numberformatkey 2009-05-20 08:07:02 +0200 oj  r272102 : #i99104# use column info from rowset 2009-05-20 08:04:43 +0200 oj  r272101 : #i102032# use a special column type where prec and scale are the values currently set at the column 2009-05-20 08:03:04 +0200 oj  r272100 : #i102032# correct type info, we have to use SQL defined type names 2009-05-19 10:27:02 +0200 oj  r272061 : #i99104# export null-date 2009-05-19 08:26:53 +0200 oj  r272056 : #i99104# export null-date 2009-05-18 13:15:10 +0200 msc  r272014 : add issue #102019# 2009-05-18 11:33:07 +0200 msc  r272005 : add issue #102019# 2009-05-18 08:59:45 +0200 msc  r271996 : add workaroud for issue #102010# 2009-05-15 10:21:24 +0200 msc  r271929 : #101944# 2009-05-11 21:18:30 +0200 fs  r271792 : #i99914# 2009-05-08 13:52:06 +0200 oj  r271715 : #i96423# remember column span 2009-05-08 11:26:19 +0200 oj  r271708 : #i98605# impl new scale mode 2009-05-08 10:33:35 +0200 fs  r271706 : SendUserCall: only call into the shape notification routine for UserCall types where this is necessary (performance issue) 2009-05-07 20:52:44 +0200 fs  r271698 : outsource ShapeProperty from shapepropertynotifier.hxx 2009-05-07 20:43:33 +0200 fs  r271697 : #i99056# use notifyShapePropertyChange, instead of getShapePropertyChangeNotifier - the latter throws if no shape exists, yet 2009-05-07 20:33:58 +0200 fs  r271696 : #i99056# +notifyShapePropertyChange: allow notifying chages without checking whether there actually already exists an SvxShape 2009-05-07 16:22:15 +0200 fs  r271679 : #i10000# cygwin needs quotes around the classpath 2009-05-07 16:21:37 +0200 fs  r271678 : #i10000# cygwin needs quotes around the classpath 2009-05-07 16:01:11 +0200 oj  r271677 : #i99914# notify parent handler 2009-05-07 15:54:54 +0200 fs  r271676 : #i10000# cygwin needs some quoting 2009-05-07 14:49:48 +0200 oj  r271672 : #i99277# quote alias name 2009-05-07 14:48:12 +0200 oj  r271671 : #i92538# add ~ in front of type 2009-05-07 14:37:13 +0200 oj  r271667 : #i99118# change type from char to varchar 2009-05-07 14:36:23 +0200 oj  r271666 : #i99118# clear dest columns when changing to create new table 2009-05-07 13:35:32 +0200 oj  r271657 : #i94467# handle type 0 as double as well 2009-05-07 13:20:49 +0200 oj  r271655 : i99743# setNull when varchar is no text 2009-05-07 12:58:06 +0200 fs  r271651 : initialize the SdrObject's property change notifier after the ctor, if necessary 2009-05-07 11:47:18 +0200 fs  r271647 : #i10000# 2009-05-07 10:57:16 +0200 fs  r271639 : OPropertyBrowserController::propertyChange: care for the current property state, too, and properly forward it to the UI 2009-05-07 10:18:14 +0200 fs  r271636 : onNewComponent: do not ask the map for grid columns, it will throw 2009-05-07 10:09:55 +0200 fs  r271634 : #i101623# 2009-05-07 09:53:44 +0200 fs  r271631 : #i101622# 2009-05-06 21:55:53 +0200 fs  r271615 : #i10000# 2009-05-06 21:10:42 +0200 fs  r271611 : #i10000# 2009-05-06 13:11:48 +0200 fs  r271583 : #i10000# 2009-05-05 22:29:31 +0200 fs  r271559 : proper assertion message 2009-05-05 22:29:03 +0200 fs  r271558 : diagnostics 2009-05-05 22:16:16 +0200 fs  r271557 : #i10000# 2009-05-05 13:50:32 +0200 fs  r271513 : #i10000# 2009-05-05 10:21:50 +0200 fs  r271503 : #i10000# 2009-05-05 09:30:26 +0200 fs  r271501 : why did those survive the rebase -C step? 2009-05-05 09:18:12 +0200 fs  r271500 : #i10000# 2009-05-04 17:08:17 +0200 fs  r271475 : CWS-TOOLING: rebase CWS dba32b to trunk@271427 (milestone: DEV300:m47) 2009-05-04 14:51:26 +0200 fs  r271456 : line ends 2009-04-30 15:55:27 +0200 fs  r271418 : NewURL -> PublicConnectionURL 2009-04-22 21:18:34 +0200 fs  r271141 : #i100944# 2009-04-22 09:12:26 +0200 oj  r271071 : #i101261# little code change 2009-04-22 09:11:43 +0200 oj  r271070 : #i101261# only ask for parameters which aren't set before 2009-04-22 09:11:25 +0200 oj  r271069 : #i101261# new grabage container for nodes 2009-04-22 09:11:02 +0200 oj  r271068 : #i101261# new grabage container for nodes 2009-04-22 09:10:44 +0200 oj  r271067 : #i101261# new grabage container for nodes 2009-04-22 09:10:21 +0200 oj  r271066 : #i101261# only ask for parameters which aren't set before 2009-04-22 09:08:24 +0200 oj  r271065 : #i101261# only ask for parameters which aren't set before 2009-04-22 09:07:25 +0200 oj  r271064 : #i101261# only ask for parameters which aren't set before 2009-04-22 08:49:07 +0200 oj  r271062 : #i77501# preview only when needed 2009-04-22 08:45:44 +0200 oj  r271061 : #i101261# new prop max rows 2009-04-22 08:44:18 +0200 oj  r271060 : #i101261# create dataprovider earlier to avoid the wrong legend in chart 2009-04-22 08:42:48 +0200 oj  r271059 : #i101261# handle parameter 2009-04-17 21:00:23 +0200 fs  r270954 : #i98350# 2009-04-17 13:54:19 +0200 fs  r270942 : #i99565# 2009-04-17 13:51:34 +0200 fs  r270940 : #i101153# only localize the (potentially) localizable properties when there really is support at the control model 2009-04-17 11:43:14 +0200 fs  r270932 : removed superfluous include 2009-04-17 10:10:15 +0200 fs  r270926 : #i10000# 2009-04-17 10:02:36 +0200 fs  r270925 : #i10000# 2009-04-17 09:15:13 +0200 fs  r270918 : #i99056# some more refactoring of the recently introduced property change notification mechanism for UNO shapes 2009-04-17 09:14:56 +0200 fs  r270917 : #i99056# some more refactoring of the recently introduced property change notification mechanism for UNO shapes 2009-04-17 09:13:25 +0200 fs  r270915 : #i99056# some more refactoring of the recently introduced property change notification mechanism for UNO shapes 2009-04-17 08:30:34 +0200 fs  r270914 : removed unotools/servicehelper.hxx in favour of the (duplicated) comphelper/servicehelper.hxx 2009-04-16 21:05:25 +0200 fs  r270903 : #i10000# 2009-04-16 20:43:43 +0200 fs  r270902 : #i99056# shape notification outsourced to the SdrObject, this is what all other shape implementations (which only aggregate an SvxShape) have access to, too 2009-04-16 15:57:36 +0200 fs  r270891 : #i99056# make SetUnoControlModel virtual 2009-04-16 15:44:02 +0200 fs  r270890 : #i99056# let the ScShapeObj notify changes in its Anchor property 2009-04-16 15:36:47 +0200 fs  r270889 : #i99056# enable the sheet anchor type property, too 2009-04-16 15:33:45 +0200 fs  r270887 : #i99056# shape notification outsourced to the SdrObject, this is what all other shape implementations (which only aggregate an SvxShape) have access to, too 2009-04-15 14:53:13 +0200 fs  r270844 : #i10000# 2009-04-15 13:08:29 +0200 fs  r270836 : #i10000# 2009-04-15 12:28:14 +0200 fs  r270832 : #i10000# 2009-04-15 10:59:14 +0200 fs  r270827 : #i10000# 2009-04-15 09:41:08 +0200 oj  r270823 : fix issues found with findbugs and pmd 2009-04-14 21:08:04 +0200 fs  r270808 : #i99056# implement SheetAnchorType - now the only thing missing to enable it is the proper notification when it is modified 2009-04-14 17:09:00 +0200 fs  r270799 : #i99056# implement XServiceInfo for the ScShapeObj 2009-04-14 17:07:55 +0200 fs  r270798 : #i99056# implement TextAnchorType, partially implement SheetAnchorType 2009-04-14 15:54:05 +0200 fs  r270786 : #i99056# SwXShape: notify changes of the AnchorType property 2009-04-14 15:47:32 +0200 fs  r270785 : #i99056# deliver shapepropertynotifier.hxx 2009-04-14 15:46:54 +0200 fs  r270784 : diagnostics 2009-04-14 15:08:28 +0200 fs  r270781 : #i99056# outsourced the SvxShape's property change notification code into a dedicated class 2009-04-14 14:41:09 +0200 fs  r270773 : #i99056# outsourced the SvxShape's property change notification code into a dedicated class 2009-04-14 14:37:23 +0200 fs  r270772 : in dtor, remove the properties from the temporary component context 2009-04-14 14:36:34 +0200 fs  r270771 : getWeakUnoShape made const 2009-04-14 12:23:08 +0200 oj  r270757 : #i101064# add missing braces 2009-04-14 12:21:25 +0200 oj  r270756 : #i101065# add braces for gcc 4.3.2 2009-04-14 12:17:45 +0200 oj  r270755 : #i101059# add dep for manifest 2009-04-09 12:06:58 +0200 oj  r270686 : #i93100# use OptimalSize from control to get height 2009-04-08 09:56:55 +0200 oj  r270619 : #i92537# handle calculations in the select columns as well 2009-04-08 09:30:39 +0200 oj  r270615 : #i96657# throw error message when the key doesn't have any columns 2009-04-07 12:08:26 +0200 oj  r270592 : #i77501# impl preview of the executed report 2009-04-07 12:01:56 +0200 oj  r270591 : #i77501# impl preview of the executed report 2009-04-07 11:41:03 +0200 oj  r270590 : #i77501# impl preview of the executed report 2009-04-07 11:39:32 +0200 oj  r270589 : #i77501# impl preview of the executed report 2009-04-07 11:29:25 +0200 oj  r270588 : #i77501# convert dos to unix lineends 2009-04-07 11:28:23 +0200 oj  r270587 : #i77501# impl preview of the executed report 2009-04-07 11:16:50 +0200 oj  r270586 : #i77501# impl preview of the executed report 2009-04-07 11:16:00 +0200 oj  r270585 : #i77501# impl preview of the executed report 2009-04-07 11:15:44 +0200 oj  r270584 : #i77501# impl preview of the executed report 2009-04-07 11:15:28 +0200 oj  r270583 : #i77501# impl preview of the executed report 2009-04-07 11:15:04 +0200 oj  r270582 : #i77501# impl preview of the executed report 2009-04-06 15:38:54 +0200 fs  r270559 : merge changes from CWS dba32a herein 2009-04-03 15:56:16 +0200 fs  r270494 : ImpSvMEdit::Resize: do multiple iterations, if necessary 2009-04-03 14:35:49 +0200 fs  r270487 : #i10000# 2009-04-03 13:17:16 +0200 fs  r270476 : #i99056# display geometry information for controls, too 2009-04-03 13:16:37 +0200 fs  r270475 : #i99056# better ordering of the geometry properties 2009-04-03 13:16:07 +0200 fs  r270473 : #i99056# now that SvxShape supports property change listeners, forward add/remove requests to it 2009-04-03 13:13:18 +0200 fs  r270472 : #i99056# at SvxShape, allow for PropertyChangeListeners for Size/Position 2009-04-03 09:29:27 +0200 oj  r270456 : #i94571# use correct prop name 2009-04-03 09:14:54 +0200 fs  r270451 : merge changes from CWS dba32a herein 2009-04-02 17:00:51 +0200 fs  r270424 : better diagnostics 2009-04-02 16:35:19 +0200 fs  r270421 : diagnostics 2009-04-02 16:34:50 +0200 fs  r270420 : #i99056# mxUnoShape not accessible anymore, use impl_setUnoShape instead 2009-04-02 16:32:48 +0200 fs  r270419 : #i99056# make getUnoShape cheaper: keep the pointer to the SvxShape all the time, so there's no need to ask for it in getUnoShape. As a consequence, we will later be able to use the pointer in scenarious where performance (potentially) matters 2009-04-02 16:31:13 +0200 fs  r270417 : merge changes from CWS dba32a herein 2009-04-02 16:23:16 +0200 fs  r270414 : merge changes from CWS dba32a herein 2009-04-02 14:10:35 +0200 fs  r270405 : #i10000# 2009-04-02 14:06:26 +0200 fs  r270404 : merge changes from CWS dba32a herein 2009-04-02 14:03:03 +0200 fs  r270401 : #i10000# 2009-04-02 13:58:13 +0200 fs  r270400 : #i10000# 2009-04-02 12:59:44 +0200 fs  r270397 : merge changes from CWS dba32a herein 2009-04-02 12:46:30 +0200 fs  r270396 : #i99056# let the form page maintain a mapping between control models and control shapes 2009-04-02 12:44:07 +0200 fs  r270395 : merge changes from CWS dba32a herein 2009-04-02 12:42:06 +0200 fs  r270394 : merge changes from CWS dba32a herein 2009-04-02 12:35:20 +0200 fs  r270393 : #i10000# precompiled header 2009-04-02 12:05:31 +0200 fs  r270392 : merge changes from CWS dba32a herein 2009-04-02 12:00:42 +0200 fs  r270391 : merge changes from CWS dba32a herein 2009-04-02 11:47:26 +0200 fs  r270390 : merge changes from CWS dba32a herein 2009-04-02 11:39:15 +0200 oj  r270389 : #i94467# foxpro impl several new types 2009-04-02 11:35:58 +0200 fs  r270387 : merge changes from CWS dba32a herein 2009-04-01 14:10:51 +0200 fs  r270329 : merge changes from CWS dba32a herein 2009-03-31 17:29:50 +0200 fs  r270290 : merge changes from CWS dba32a herein 2009-03-30 14:53:56 +0200 fs  r270233 : #i100417# don't set grid column widths to 0, but to <void/> 2009-03-30 12:31:03 +0200 oj  r270213 : #i100552# wrong orb used 2009-03-30 12:19:20 +0200 oj  r270212 : #i98303# convertlike corrected to sal_Unicode 2009-03-30 11:58:25 +0200 fs  r270210 : merge changes from CWS dba32a herein 2009-03-30 11:38:16 +0200 oj  r270205 : remove duplicate code from merge 2009-03-30 11:02:27 +0200 fs  r270202 : merge changes from CWS dba32a herein 2009-03-30 11:02:19 +0200 fs  r270201 : merge changes from CWS dba32a herein 2009-03-30 10:31:26 +0200 oj  r270200 : #i100665# only throw exception and do not drop table 2009-03-30 09:36:24 +0200 fs  r270195 : assertion text 2009-03-28 20:21:58 +0100 fs  r270187 : #ii10000# 2009-03-28 20:19:54 +0100 fs  r270186 : removed unused help ids 2009-03-28 20:19:40 +0100 fs  r270185 : removed unused help ids 2009-03-28 20:19:10 +0100 fs  r270184 : #i100237# +DefaultState/XReset 2009-03-28 00:29:29 +0100 fs  r270177 : CWS-TOOLING: rebase CWS dba32b to trunk@270033 (milestone: DEV300:m45) 2009-03-27 22:56:46 +0100 fs  r270173 : #i100237# DEFAULT_CHECKED -> DEFAULT_STATE 2009-03-27 22:55:52 +0100 fs  r270172 : #i100237# DefaultState property for buttons, enabled only when Toggle=Yes 2009-03-27 22:54:15 +0100 fs  r270171 : #i100237# DEFAULT_CHECKED -> DEFAULT_STATE 2009-03-27 22:53:54 +0100 fs  r270170 : #i100237# introduce a DefaultState property for buttons, which implies buttongs supporting XReset, which needed some refactoring 2009-03-27 13:31:41 +0100 fs  r270152 : ignore output paths 2009-03-27 11:23:44 +0100 fs  r270139 : tuned behavior with respect to invalid keys/values 2009-03-27 09:57:14 +0100 fs  r270136 : don't allow Double.NaN 2009-03-27 09:56:16 +0100 fs  r270135 : talk about Double.NaN 2009-03-26 12:14:30 +0100 fs  r270067 : removed unused parameter 2009-03-26 12:14:02 +0100 fs  r270066 : removed widening conversion when checking keys 2009-03-26 09:17:34 +0100 fs  r270053 : separated the enumerator functionality into a dedicated interface, this way not burdening XMap with it 2009-03-26 09:17:11 +0100 fs  r270052 : separated the enumerator functionality into a dedicated interface, this way not burdening XMap with it 2009-03-26 09:16:49 +0100 fs  r270051 : separated the enumerator functionality into a dedicated interface, this way not burdening XMap with it 2009-03-25 21:55:20 +0100 fs  r270044 : #i100541# properly calculat bNeedScrollBox 2009-03-25 12:56:17 +0100 fs  r270019 : renamed the previously introduced error condition 2009-03-25 12:11:48 +0100 fs  r270015 : #i100095# when the error messages contain non-trivial details (SQLState/ErrorCode), then always display the 'Details' button 2009-03-25 12:10:05 +0100 fs  r270012 : renamed the previously introduced error condition 2009-03-25 12:01:04 +0100 fs  r270011 : #i100095# when no address book (or respective profile) can be found, then use a dedicated ErrorCondition 2009-03-25 10:29:07 +0100 fs  r270003 : add missing localization 2009-03-25 10:23:12 +0100 fs  r270001 : in preparation of #i1000095#: rework the error handling, allow using css.sdb.ErrorCondition values, plus allow propagating the nsresult 2009-03-25 10:21:55 +0100 fs  r270000 : in preparation of #i1000095#: rework the error handling, allow using css.sdb.ErrorCondition values, plus allow propagating the nsresult 2009-03-20 23:05:38 +0100 fs  r269829 : XMap::getSize removed 2009-03-20 23:05:19 +0100 fs  r269828 : changes as suggested by sb 2009-03-20 23:04:56 +0100 fs  r269827 : enhanced documentation 2009-03-20 15:31:40 +0100 fs  r269815 : changes as suggested by sb 2009-03-20 13:23:52 +0100 oj  r269804 : #i92538# correct the zorder that fixedtext is infront of control 2009-03-20 12:59:38 +0100 oj  r269801 : #i94571# paraadjust now supports BLOCK 2009-03-20 12:58:11 +0100 oj  r269800 : #i94571# export style with data style 2009-03-20 12:57:05 +0100 oj  r269799 : #i94571# text align is now paraadjust 2009-03-20 12:37:02 +0100 fs  r269797 : enum keys only accepted if they have the exact type, not if they have *any* enum type 2009-03-20 12:28:31 +0100 fs  r269794 : some changes requested by sb 2009-03-20 08:52:47 +0100 fs  r269780 : doc 2009-03-20 07:37:31 +0100 oj  r269779 : #i99913# only notifiy when values are different 2009-03-20 07:36:58 +0100 oj  r269778 : #i99913# add undoenv as listener at the dataprovider 2009-03-19 22:52:52 +0100 fs  r269771 : added comment 2009-03-19 22:40:06 +0100 fs  r269770 : +testEnumeration 2009-03-19 22:39:41 +0100 fs  r269769 : implemented enumeration, getKeySet, and getValues. Should be finished now. 2009-03-19 14:01:01 +0100 oj  r269743 : #i99913# reset the modified state when selecting an object 2009-03-19 12:19:54 +0100 lla  r269739 : #i72390# cleanups 2009-03-19 09:25:27 +0100 fs  r269727 : #i10000# 2009-03-18 23:37:02 +0100 fs  r269708 : extended checks for value type acceptance 2009-03-18 23:36:41 +0100 fs  r269707 : fixed value type checks 2009-03-18 14:59:56 +0100 fs  r269678 : initial complex test case for the new css.container.Map implementation 2009-03-18 14:59:24 +0100 fs  r269677 : verifyExpectedException moved to base class (in complexlib), and renamed to assureException for consistency 2009-03-18 14:58:35 +0100 fs  r269676 : removed unused imports 2009-03-18 14:58:03 +0100 fs  r269675 : first implementation of the new css.container.Map service (not completed, yet) 2009-03-18 14:57:17 +0100 fs  r269674 : base class for UNO components, freeing you from some repeating work 2009-03-18 14:55:53 +0100 fs  r269672 : +assureException: call a given method with given parameters on a given object, ensure that a given exception is thrown by the method implementation 2009-03-18 14:54:58 +0100 fs  r269671 : +getComponentContext 2009-03-18 14:54:00 +0100 fs  r269670 : isEmpty returns a boolean, not a long 2009-03-18 14:14:43 +0100 oj  r269663 : #i99743# now text also supports null 2009-03-18 13:54:14 +0100 oj  r269660 : #i99223# remove check for 2 params 2009-03-18 13:33:35 +0100 oj  r269659 : #i99060# replace text::ParagraphVertAlign with style::VerticalAlignment 2009-03-18 13:32:18 +0100 oj  r269658 : #i99060# don't set void property when void isn't allowed 2009-03-18 13:31:11 +0100 oj  r269657 : #i99060# handle vertical alignment 2009-03-18 13:28:28 +0100 oj  r269656 : #i99060# remove unused elements from sytle 2009-03-18 09:35:42 +0100 lla  r269639 : #i72390# cleanups 2009-03-18 09:31:20 +0100 lla  r269638 : #i72390# add ButtonList 2009-03-18 09:30:46 +0100 lla  r269637 : #i72390# renamed interface 2009-03-18 09:30:15 +0100 lla  r269636 : #i72390# use ButtonList instead of ImageList 2009-03-18 09:29:05 +0100 lla  r269635 : #i72390# new ButtonList, cleanups 2009-03-18 09:26:34 +0100 lla  r269634 : #i72390# cleanups 2009-03-17 12:21:20 +0100 oj  r269590 : #i99222# remove assertion 2009-03-17 12:17:22 +0100 oj  r269589 : #i98605# impl scale mode 2009-03-17 12:10:42 +0100 oj  r269588 : #i98605# impl scale mode 2009-03-17 11:40:15 +0100 oj  r269584 : #i96944# doesn't create equation for shapes 2009-03-17 11:33:16 +0100 oj  r269583 : #i96423# switch calc from float to long 2009-03-16 15:19:18 +0100 fs  r269550 : #i41930# enable zoom for embedded/outplace documents 2009-03-16 14:25:54 +0100 oj  r269542 : #i93734# remove ContextSensitive 2009-03-16 14:21:58 +0100 oj  r269541 : #i99274# page header before group header 2009-03-16 14:18:23 +0100 oj  r269539 : #i99110# fix value type 2009-03-16 14:14:16 +0100 fs  r269537 : line ends 2009-03-16 14:11:06 +0100 fs  r269535 : line ends 2009-03-16 14:08:34 +0100 fs  r269534 : #i100087# (provided my np): allow for polymorphic types with more than one parameter 2009-03-16 12:30:31 +0100 oj  r269521 : compile error 2009-03-16 12:19:12 +0100 oj  r269519 : compile error 2009-03-16 10:39:28 +0100 oj  r269511 : compile error under linux with swap 2009-03-13 10:33:04 +0100 oj  r269462 : CWS-TOOLING: rebase CWS dba32b to trunk@269297 (milestone: DEV300:m43) 2009-03-12 14:37:25 +0100 fs  r269416 : interface SequenceOutputStreamTest is unneeded, and pollutes the namespace here :) 2009-03-12 14:35:07 +0100 fs  r269414 : not needed 2009-03-12 14:34:15 +0100 fs  r269413 : preparation for multiple tests in this module 2009-03-12 14:33:02 +0100 fs  r269412 : ShowTargets was moved from module integration.forms to module complexlib 2009-03-12 14:32:48 +0100 fs  r269411 : helper class for projects containing multiple complex test cases (and following a certain structure) 2009-03-12 14:00:14 +0100 fs  r269407 : proper module after the move 2009-03-12 13:59:10 +0100 fs  r269406 : superseded by ../makefile.mk 2009-03-12 13:47:38 +0100 fs  r269403 : not needed anymore 2009-03-12 13:45:46 +0100 fs  r269402 : moved, in preparation of adding more test cases here, with a common infrastructure 2009-03-12 13:45:07 +0100 fs  r269401 : moved from ../ 2009-03-12 13:43:59 +0100 fs  r269400 : moved to ./comphelper, in preparation of adding more test cases here, with a common infrastructure 2009-03-12 13:29:47 +0100 oj  r269396 : #i99914# set parent on dataprovider 2009-03-12 13:10:35 +0100 oj  r269393 : #i99832# check thrown exception and show error 2009-03-12 13:08:10 +0100 fs  r269392 : reorganizing tests 2009-03-12 12:52:55 +0100 oj  r269390 : #i99118# convert formatkey in numberformat 2009-03-12 12:34:53 +0100 fs  r269388 : new API tests 2009-03-12 12:29:05 +0100 fs  r269386 : Map not yet committed 2009-03-12 12:28:36 +0100 fs  r269385 : oops, forgot the SequenceInputStream during the previous refactoring 2009-03-12 12:12:39 +0100 oj  r269384 : #i99104# set HasCategories prop 2009-03-12 12:12:08 +0100 oj  r269383 : #i99104# check HasCategories even for internal dataprovider 2009-03-12 12:10:40 +0100 oj  r269382 : #i99104# set HasCategories prop 2009-03-12 10:51:49 +0100 fs  r269373 : #i10000# exception specifications 2009-03-12 10:49:18 +0100 fs  r269372 : #i10000# exception specifications 2009-03-12 10:44:02 +0100 fs  r269371 : #i10000# exception specifications 2009-03-12 10:30:55 +0100 fs  r269368 : refactored the UNO service registration in this module, using the helper classes provided by comphelper itself, so you have less effort when extending the list of to-be-registered components 2009-03-12 10:30:37 +0100 fs  r269367 : module-local includes 2009-03-12 07:05:54 +0100 oj  r269357 : #i99104# database dataprovider doesn't need dataranges and diagramdata 2009-03-11 10:58:28 +0100 oj  r269306 : #i99911# check if name of the report is a valid file name 2009-03-11 10:03:23 +0100 oj  r269299 : #i99666# the report is new when the HierarchicalDocumentName is empty 2009-03-10 11:32:45 +0100 oj  r269258 : #i99221# use fallback for language 2009-03-10 10:48:40 +0100 oj  r269255 : #i99433# now use OStringBuffer 2009-03-10 10:36:21 +0100 fs  r269252 : initial version of (X)Map 2009-03-10 09:52:23 +0100 oj  r269246 : #i99433# now use OStringBuffer 2009-03-10 08:56:13 +0100 oj  r269240 : #i99655# patch applied 2009-03-09 07:35:33 +0100 lla  r269058 : #i10000# wrong variable assignment fixed 2009-03-06 17:20:40 +0100 fs  r269030 : some explicit defaults 2009-03-06 17:20:30 +0100 fs  r269029 : #i98600# 2009-03-06 14:40:34 +0100 fs  r269009 : #i87692# during reload, prevent the document being modified just because of some control content changes ... 2009-03-06 12:52:20 +0100 lla  r268997 : #i10000# ambigous problem with FontWeight fixed 2009-03-06 11:39:32 +0100 fs  r268989 : #i10000# (approved by pl): use --without-t1-library configure option 2009-03-06 10:55:43 +0100 fs  r268986 : #i99953# depends on xmlscript module now 2009-03-06 10:54:04 +0100 fs  r268985 : #i99953# also adjust the event names found in dialogs embedded in the forms 2009-03-06 09:53:41 +0100 fs  r268977 : #i10000# 2009-03-06 09:30:41 +0100 lla  r268973 : #i10000# merge problems 2009-03-05 17:52:34 +0100 fs  r268932 : #i98593# for sub components which are actually controlled by a DocumentDefinition (aka XComponentSupplier aka XCommandProcessor), close them by executing the 'close' command, not by suspending/closing the controller (which cannot be intercepted) 2009-03-05 11:41:56 +0100 fs  r268889 : default the drop down line count for list/combo boxes to 20 2009-03-05 11:39:10 +0100 fs  r268887 : do not display empty error messages 2009-03-02 10:13:57 +0100 lla  r268639 : #i91541# CWS rebase m41 to m42 2009-03-02 09:06:27 +0100 lla  r268635 : #i10000# add ';' to strings 2009-02-26 11:18:00 +0100 fs  r268492 : reportdesign depends on REPORTBUILDER, not REPORTDESIGN 2009-02-26 10:11:38 +0100 lla  r268489 : CWS-TOOLING: rebase CWS dba32b to trunk@268395 (milestone: DEV300:m42) 2009-02-26 09:04:11 +0100 lla  r268488 : CWS-TOOLING: rebase CWS dba32b to trunk@268395 (milestone: DEV300:m42) 2009-02-24 12:09:13 +0100 lla  r268392 : #i91541# #i91542# cleanups 2009-02-24 08:08:06 +0100 lla  r268382 : merge all dba32a changes into dba32b 2009-02-24 07:14:55 +0100 lla  r268381 : merge all dba32a changes into dba32b 2009-02-23 21:44:28 +0100 fs  r268377 : oops ... don't tamper with m_aListSourceValues at the end of loadData 2009-02-23 20:57:05 +0100 fs  r268376 : #i98162# don't hold the values as strings, but as ORowSetValue, this way preserving their type, and being agnostic to different result/rowset implementations doing different to-string-conversations 2009-02-23 20:55:44 +0100 fs  r268375 : getObject: throwFunctionNotSupportedException, instead of silently returning NULL 2009-02-23 20:55:20 +0100 fs  r268374 : #i98162# some more supported types 2009-02-23 20:54:43 +0100 fs  r268373 : #i98162# +operator != 2009-02-20 09:35:39 +0100 fs  r268306 : #i99422# for a font, display the font name, the style, and the size 2009-02-20 09:33:45 +0100 fs  r268305 : #i99422# in the property browser, FONT supersedes CHARFONTNAME: the aggregated FormComponentHandler displays them more nicely now 2009-02-19 16:12:06 +0100 fs  r268293 : #i99372# recognize DataType::FLOAT as numeric 2009-02-19 15:43:12 +0100 fs  r268291 : #i99415# 2009-02-19 15:40:15 +0100 fs  r268290 : #i99242# lcl_firstFocussableControl: take disabled controls into account 2009-02-19 15:34:36 +0100 fs  r268289 : #i99396# properly decode the base name of the URL when using it as title 2009-02-19 15:19:05 +0100 fs  r268287 : #i98247#


2009-06-04  Kurt Zenker  <kz@openoffice.org>  [9bd06382c4e6a65a0e44bec1df0a5c40f2fbbf59]

CWS-TOOLING: integrate CWS mav52 2009-05-27 08:05:30 +0200 mav  r272322 : #i88544# use PRODUCTNAME


2009-06-03  Kurt Zenker  <kz@openoffice.org>  [2066f2e08877e740b715d05739dc6f637b944e5f]

CWS-TOOLING: integrate CWS vcl101 2009-04-30 16:05:34 +0200 pl  r271420 : #i95591# need a poll timer so XtTimers work properly 2009-04-30 11:25:52 +0200 hdu  r271406 : #i100929# avoid unneeded colormap reallocation 2009-04-30 11:21:16 +0200 hdu  r271405 : #i100929# use improved SetDrawable() also for salframe updates 2009-04-30 11:12:41 +0200 hdu  r271404 : i100929# invalidate cached renderpic also for changed vdev 2009-04-29 14:31:40 +0200 hdu  r271375 : i100929# use cached renderpic also for alpha-rect/bitmap drawing 2009-04-29 14:16:51 +0200 hdu  r271370 : i100929# notify only GtkSalFrame's valid X11SalFrames 2009-04-29 13:58:10 +0200 hdu  r271369 : i100929# notify GtkSalFrame's X11SalGraphics that their drawables will become obsolete 2009-04-29 13:53:48 +0200 hdu  r271367 : #i100929# release cached renderpic whenever the corresponding drawable changes 2009-04-28 11:56:07 +0200 pl  r271317 : fix a snafu 2009-04-27 16:52:29 +0200 hdu  r271293 : #i100000# WAE fix for debug=true compilation 2009-04-27 12:38:11 +0200 hdu  r271260 : #i101367# disable vdev mapmode when measuring pixel size 2009-04-27 12:28:37 +0200 hdu  r271259 : #i101367# speedup svclcanvas::CanvasBitmapHelper::getSize() 2009-04-23 15:11:25 +0200 hdu  r271175 : #i91685# ignore trailing space in last cell 2009-04-23 12:55:14 +0200 pl  r271156 : #i101032# check for empty bitmap 2009-04-23 11:04:50 +0200 pl  r271144 : #101184# add a paranoia check 2009-04-21 19:12:25 +0200 pl  r271055 : #i101184# add: recognize added/removed monitors in xinerama configuration for gtk plugin (thanks cmc) 2009-04-21 17:04:44 +0200 pl  r271046 : #i101089# remove unused method (thanks cmc) 2009-04-21 16:41:38 +0200 hdu  r271042 : #i99842# set text decoration color 2009-04-20 22:57:37 +0200 pl  r271015 : #i101063# fix warnings 2009-04-20 22:55:39 +0200 pl  r271014 : #i101063# fix warnings 2009-04-20 11:35:24 +0200 hdu  r270968 : #i1001102# remove dependency to psprint module 2009-04-20 11:31:08 +0200 hdu  r270967 : #i100929# keep cached render Picture in X11SalGraphics removes 2009-04-20 11:24:57 +0200 hdu  r270966 : #i100929# cache render Picture in X11SalGraphics 2009-04-18 14:53:22 +0200 hdu  r270959 : CWS-TOOLING: rebase CWS vcl101 to trunk@270723 (milestone: DEV300:m46) 2009-04-17 12:00:50 +0200 hdu  r270934 : #i100951# b2d-polygon clipping handles bezier-segments nowadays => performance opt possible 2009-04-17 11:50:49 +0200 hdu  r270933 : #i100922# count b2d-polypoly-points to avoid priority-queue reallocations 2009-04-17 11:07:03 +0200 hdu  r270930 : #i101145# match dpi-sanity check with gnome-UI (thanks Caolan!) 2009-04-17 10:44:41 +0200 hdu  r270929 : #i100603# dingbats-encoded PDF-builtin fonts are symbol fonts too 2009-04-17 10:36:10 +0200 hdu  r270928 : #i101145# check sanity of resolution reported by Xft-dpi (thanks CMC!) 2009-04-08 13:53:35 +0200 hdu  r270644 : #i100951# avoid expensive calls to basegfx::tools::clipPolygonOnRange() if possible 2009-04-08 13:19:26 +0200 hdu  r270637 : #i100922# prevent needless stl::priority_queue reallacations by reserving 2009-04-08 11:14:30 +0200 hdu  r270627 : #i100929# use X11SalGraphics::GetXRenderPicture() also for text drawing 2009-04-08 10:00:42 +0200 hdu  r270620 : #i100929# add and use X11SalGraphics::GetXRenderPicture() for polygon drawing 2009-04-06 15:52:47 +0200 hdu  r270563 : #i100885# add and use AquaSalGraphics::copyResolution() to speed up virdev creation 2009-04-02 14:39:06 +0200 pl  r270408 : #i95873# do not set LD_LIBRARY_PATH for external apps 2009-03-31 18:43:19 +0200 pl  r270292 : #i99783# transparency of closer image changed to mask in the meantime 2009-03-27 15:42:37 +0100 hdu  r270158 : #i100591# fix binary search in dingbats encoding converter 2009-03-27 13:06:34 +0100 hdu  r270151 : #i100603# only PDF builtin text fonts use WinAnsiEncoding 2009-03-27 12:05:35 +0100 hdu  r270147 : #i100603# use correct encoding for all PDF builtin fonts 2009-03-27 09:04:07 +0100 hdu  r270133 : #i100603# use proper encoding for PDF builtin symbol fonts 2009-03-26 17:19:38 +0100 hdu  r270090 : #i100591# support RTL_TEXTENCODING_ADOBE_DINGBATS encoding 2009-03-25 09:02:18 +0100 hdu  r269995 : #i100521# prefer osl_getAsciiFunctionSymbol() when dynloading SAGE and extra USER32 symbols 2009-03-25 08:55:49 +0100 hdu  r269994 : #i100521# prefer osl_getAsciiFunctionSymbol() when dynloading LUNA symbols 2009-03-24 16:15:54 +0100 hdu  r269965 : #i100521# prefer osl_getAsciiFunctionSymbol() when dynloading vclplugin symbols 2009-03-24 16:10:29 +0100 hdu  r269963 : #i100521# prefer osl_getAsciiFunctionSymbol() when dynloading USP symbols 2009-03-24 15:54:30 +0100 hdu  r269962 : #i100521# prefer osl_getAsciiFunctionSymbol() when dynloading xrender symbols 2009-03-24 10:46:55 +0100 hdu  r269920 : #i100506# fix WAE build breakers on unxsols4 for debug=true 2009-03-23 16:36:43 +0100 hdu  r269884 : #159477# fix crash for PDFs with big zlib-chunks 2009-03-20 17:36:56 +0100 pl  r269821 : #i96568# add recent files to mac quickstarter 2009-03-20 14:39:41 +0100 pl  r269809 : #i35482# no HC mode detection, automatically done in independent part 2009-03-19 20:01:37 +0100 pl  r269768 : #i95591# do not reuse UnxPloginComm because of connection loss problems 2009-03-19 18:08:23 +0100 pl  r269765 : #i95588# change default visibility that was ignored everywhere but unix anyway


2009-05-26  Release Engineers  <releng@openoffice.org>  [3504dd34068a6d24d8fb8254b7002841b870f433]

Create DEV300_m49 milestone tag from trunk@272290


2009-05-12  Release Engineers  <releng@openoffice.org>  [cb84aba62d1ef2c4017ff5cbecf8b4bafbc2144b]

Create DEV300_m48 milestone tag from trunk@271829


2009-05-06  Release Engineers  <releng@openoffice.org>  [b8a317220f4577c6d800adfcf747782209e1915b]

CWS-TOOLING: integrate CWS mba32issues01 2009-05-05 18:23:27 +0200 mba  r271547 : apply diffs from m45->m47 for all files moved from dialog to cui 2009-05-05 18:22:02 +0200 mba  r271545 : apply diffs from m45->m47 for all files moved from dialog to cui 2009-05-05 18:16:42 +0200 mba  r271544 : apply diffs from m45->m47 for all files moved from dialog to cui 2009-04-29 19:35:58 +0200 mba  r271392 : #i73672#: unify commands for inserting special characters 2009-04-29 18:01:27 +0200 mba  r271391 : #i101337#: missing string resources 2009-04-29 18:01:10 +0200 mba  r271390 : #i101337#: missing string resources 2009-04-29 15:42:47 +0200 mba  r271380 : concurrency problem in multithreaded dmake due to missing dependency 2009-04-28 17:36:03 +0200 tbo  r271336 : #i99432# 2009-04-28 13:57:52 +0200 mba  r271322 : #i101302#: ctor might be called with pSet=0 2009-04-22 19:32:39 +0200 tbo  r271138 : #i99432# 2009-04-09 14:46:03 +0200 mba  r270709 : make sendreportw32.cxx compile with pch 2009-04-06 16:05:07 +0200 mba  r270568 : #i99432#: some tweaks for build order 2009-04-06 15:38:52 +0200 mba  r270558 : typo 2009-04-06 13:36:19 +0200 mba  r270542 : #i99432#: split of localization also 2009-04-06 13:19:06 +0200 mba  r270539 : #i99432#: split up srs files also 2009-04-03 17:57:59 +0200 mba  r270513 : #i99432#: split dialog folder into two 2009-04-03 17:56:46 +0200 mba  r270512 : #i99432#: split dialog folder into two 2009-04-01 22:15:00 +0200 mba  r270364 : warnings on Linux 2009-04-01 22:10:44 +0200 mba  r270363 : warnings on Linux 2009-04-01 21:43:54 +0200 mba  r270362 : warning fixed 2009-04-01 21:41:27 +0200 mba  r270361 : warning on Linux fixed 2009-04-01 21:35:44 +0200 mba  r270360 : warning fixed 2009-04-01 20:19:59 +0200 mba  r270358 : warning found on Linux fixed 2009-04-01 19:23:38 +0200 mba  r270354 : warning due to missing eof 2009-04-01 18:56:25 +0200 mba  r270352 : linking problem fixed that appeared only on mac 2009-04-01 18:41:30 +0200 mba  r270350 : warnings discovered on Linux fixed 2009-04-01 18:34:28 +0200 mba  r270349 : some fixes for warnings and include problems discoverd after resync and build on mac 2009-04-01 14:08:22 +0200 mba  r270328 : CWS-TOOLING: rebase CWS mba32issues01 to trunk@270033 (milestone: DEV300:m45) 2009-03-04 18:13:35 +0100 mba  r268858 : #i99432#: more dialogs moved to cui 2009-03-04 17:47:41 +0100 mba  r268854 : #i99432#: more dialogs moved to cui 2009-03-04 17:32:39 +0100 mba  r268851 : warning fixed 2009-03-04 12:59:26 +0100 mba  r268814 : #i99432#: more dialogs moved to cui 2009-03-04 11:49:03 +0100 mba  r268802 : #i99432#: CharmapDialog moved to cui 2009-03-04 10:46:00 +0100 mba  r268795 : #i99432#: CharmapDialog moved to cui 2009-03-04 10:43:50 +0100 mba  r268794 : #i99432#: CharmapDialog moved to cui 2009-03-04 10:00:29 +0100 mba  r268792 : #i99432#: CharmapDialog moved to cui 2009-03-04 10:00:03 +0100 mba  r268791 : #i99432#: CharmapDialog moved to cui 2009-03-04 09:59:43 +0100 mba  r268790 : #i99432#: CharmapDialog moved to cui 2009-03-04 09:58:51 +0100 mba  r268789 : #i99432#: CharmapDialog moved to cui 2009-03-04 09:58:16 +0100 mba  r268788 : #i99432#: CharmapDialog moved to cui 2009-03-03 16:33:14 +0100 mba  r268763 : #i99465#: new SfxAbstractDialog interface and creation methods 2009-03-03 16:32:28 +0100 mba  r268762 : #i99432#: some tabpages moved to cui 2009-03-03 16:32:09 +0100 mba  r268761 : #i99432#: some tabpages moved to cui 2009-03-03 16:29:40 +0100 mba  r268760 : #i99465#: new SfxAbstractDialog interface and creation methods 2009-03-03 16:29:08 +0100 mba  r268759 : #i99432#: MacroAssignment page moved to cui 2009-03-03 16:28:41 +0100 mba  r268758 : #i99432#: MacroAssignment page moved to cui 2009-03-03 16:28:18 +0100 mba  r268757 : #i99465#: new SfxAbstractDialog interface and creation methods 2009-03-03 16:27:36 +0100 mba  r268756 : #i99465#: replace FN_SYMBOL by SID_CHARMAP 2009-03-03 16:27:02 +0100 mba  r268755 : #i99465#: new SfxAbstractDialog interface and creation methods 2009-03-03 16:26:23 +0100 mba  r268754 : #i99465#: new SfxAbstractDialog interface and creation methods 2009-03-03 16:25:30 +0100 mba  r268753 : #i99465#: new SfxAbstractDialog interface and creation methods 2009-03-03 16:24:49 +0100 mba  r268752 : #i99465#: new SfxAbstractDialog interface and creation methods 2009-03-03 16:24:35 +0100 mba  r268751 : #i99432#: MacroAssignment page moved to cui 2009-03-03 16:23:20 +0100 mba  r268750 : #i99465#: new SfxAbstractDialog interface and creation methods 2009-03-03 16:23:04 +0100 mba  r268749 : #i99432#: MacroAssignment page moved to cui 2009-03-03 16:21:56 +0100 mba  r268748 : #i99465#: new SfxAbstractDialog interface and creation methods 2009-03-03 16:18:39 +0100 mba  r268747 : #i99432#: MacroAssignment page moved to cui 2009-03-03 16:13:14 +0100 mba  r268745 : #i99465#: replace FN_SYMBOL by SID_CHARMAP 2009-03-03 16:02:54 +0100 mba  r268738 : #i99432#: moved MacroAssignment TabPage from sfx2 2009-03-03 14:57:58 +0100 mba  r268729 : #i99465#: transport return value via ItemSet 2009-03-03 00:08:10 +0100 mba  r268701 : #i99432#: move acccfg to cuilib 2009-03-03 00:07:32 +0100 mba  r268700 : #i99432#: move acccfg to cuilib 2009-03-03 00:02:01 +0100 mba  r268699 : #i99432#: move acccfg to cuilib 2009-03-03 00:01:38 +0100 mba  r268698 : #i99432#: move acccfg to cuilib 2009-03-03 00:01:11 +0100 mba  r268697 : #i99432#: move acccfg to cuilib 2009-03-03 00:00:40 +0100 mba  r268696 : #i99432#: move acccfg to cuilib 2009-03-03 00:00:06 +0100 mba  r268695 : #i99432#: replace SfxAbstractSingleTabDialog by SfxAbstractDialog 2009-03-02 23:59:22 +0100 mba  r268694 : #i99432#: move acccfg to cuilib 2009-03-02 23:57:19 +0100 mba  r268693 : #i99432#: move acccfg to svx 2009-03-02 23:56:14 +0100 mba  r268692 : #i99432#: replace SfxAbstractSingleTabDialog by SfxAbstractDialog 2009-03-02 23:49:37 +0100 mba  r268691 : #i99785#: consolidate dialogs library 2009-03-02 17:26:40 +0100 mba  r268683 : #i99785#: consolidate dialogs library 2009-03-02 17:24:28 +0100 mba  r268682 : i99465#: consolidate slot for InsertSymbol command 2009-03-02 17:22:29 +0100 mba  r268681 : #i99785#: consolidate dialogs library 2009-03-02 17:18:11 +0100 mba  r268680 : i99432#: move accelconfig and macroassignment to cui 2009-03-02 17:08:30 +0100 mba  r268679 : #i99785#: consolidate dialogs library 2009-03-02 17:06:57 +0100 mba  r268678 : #i99785#: consolidate dialogs library 2009-03-02 17:06:30 +0100 mba  r268677 : #i99785#: consolidate dialogs library 2009-03-02 17:05:02 +0100 mba  r268676 : #i99785#: consolidate dialogs library 2009-03-02 17:04:35 +0100 mba  r268675 : #i99785#: consolidate dialogs library 2009-03-02 16:47:53 +0100 mba  r268673 : i99432#: move accelconfig and macroassignment to cui 2009-03-02 16:45:17 +0100 mba  r268671 : i99432#: move accelconfig and macroassignment to cui 2009-03-02 16:39:59 +0100 mba  r268670 : i99432#: move accelconfig and macroassignment to cui 2009-03-02 16:38:59 +0100 mba  r268668 : i99432#: move accelconfig and macroassignment to cui 2009-03-02 16:38:28 +0100 mba  r268667 : i99432#: move accelconfig and macroassignment to cui 2009-03-02 16:36:06 +0100 mba  r268666 : i99432#: move accelconfig and macroassignment to cui 2009-03-02 16:29:50 +0100 mba  r268663 : i99432#: move accelconfig and macroassignment to cui 2009-03-02 16:24:00 +0100 mba  r268659 : i99432#: move accelconfig and macroassignment to cui 2009-03-02 16:23:31 +0100 mba  r268658 : i99432#: move accelconfig and macroassignment to cui 2009-03-02 16:22:41 +0100 mba  r268657 : i99432#: move accelconfig and macroassignment to cui 2009-02-25 16:57:26 +0100 mba  r268453 : obsolete 2009-02-17 10:50:51 +0100 mba  r267846 : obsolete 2009-02-12 16:33:54 +0100 mba  r267676 : #i96834#: warning fixed 2009-02-11 19:28:47 +0100 mba  r267626 : #i91978#: unused code 2009-02-11 18:37:47 +0100 mba  r267625 : metafile output, fixes for 3 layer office 2009-02-11 12:56:28 +0100 mba  r267593 : selective trees; incomplete build lists; metafile output


2009-05-05  Release Engineers  <releng@openoffice.org>  [39cf14b259760815b31db761f2588a006c2474e0]

CWS-TOOLING: integrate CWS paw06 2009-04-15 12:26:51 +0200 dv  r270831 : CWS-TOOLING: rebase CWS paw06 to trunk@270723 (milestone: DEV300:m46) 2009-04-14 07:51:18 +0200 dv  r270745 : Prepare for opensourceing PAW


2009-05-04  Rüdiger Timm  <rt@openoffice.org>  [7fb06bc42059cd961afc1ac22966a91293f5c968]

#i101487# mediawiki depends on module 'filter' (patch by dtardon).


2009-04-29  Ivo Hinkelmann  <ihi@openoffice.org>  [f91cb748fe6d9684d71e9c1ed6afe04112deb338]

#i10000# build fix


2009-04-29  Ivo Hinkelmann  <ihi@openoffice.org>  [4aa35072f53ef14f4bc44ac952c03e56cfcc4b41]

#i10000# build fix


2009-04-24  Ivo Hinkelmann  <ihi@openoffice.org>  [ad1cbcdf3c30e2655e6750c0a2018a7c02c416df]

CWS-TOOLING: integrate CWS dba31m_DEV300 2009-04-08 21:06:02 +0200 fs  r270660 : #i100956# hold the assigned events in the ModelImpl, not in the DatabaseDocument, so they survive the model being destroyed 2009-04-08 12:40:13 +0200 b_michaelsen  r270635 : #i100928# Opening the Tools->Options->Improvement Program Tabpage on first start accidently activates Usage Tracking 2009-04-07 12:56:29 +0200 fs  r270594 : #i100866# don't call into the StatusIndicator with our mutex locked 2009-04-07 10:31:02 +0200 fs  r270581 : #i100866# impl_import_throw -> impl_import_nolck_throw 2009-04-06 22:53:10 +0200 fs  r270575 : #i100866# some more mutex lock tweaking 2009-04-06 22:01:51 +0200 fs  r270573 : #i100861# load the Show/Hide strings from the proper (an existing, in particular) resource 2009-04-06 12:43:16 +0200 fs  r270537 : #i100866# notifyEvent: instantiate the ScriptDocument only when required. 2009-04-06 12:42:03 +0200 fs  r270536 : #i100866# rework how and when it is determined whether the DBDoc or sub documents contain scripts/macros. In particular, cache this information in the ODatabaseDocument implementation, so that queryInterface does not need to lock the mutex 2009-04-03 10:21:02 +0200 oj  r270465 : #i100789# surround uno call with try catch 2009-04-03 09:18:37 +0200 oj  r270453 : #i100789# check token is not null


2009-04-24  Ivo Hinkelmann  <ihi@openoffice.org>  [bf56d873d4acb3d7de24cd316ab76be13a2855dd]

CWS-TOOLING: integrate CWS rnwinr01_DEV300 2009-04-22 20:24:51 +0200 pl  r271140 : #i101156# bring up xpdf to 3.02 patch level 3 as of 04/16/2009


2009-04-23  Ivo Hinkelmann  <ihi@openoffice.org>  [4fb2531b86a2ccf124ebf089035abc01576f6463]

CWS-TOOLING: integrate CWS ause100 2009-04-07 18:39:24 +0200 hjs  r270608 : #i100932# add chmod to ease later removal 2009-04-03 19:18:44 +0200 hjs  r270516 : #i100675# convert for now... 2009-04-03 17:40:55 +0200 hjs  r270510 : #i100837# force use of GNU tar 2009-04-03 17:32:11 +0200 hjs  r270508 : #i100837# clean tarballs and a readme 2009-04-03 17:29:35 +0200 hjs  r270507 : #i100837# introduce $(TAR) and $(GNUTAR) 2009-04-03 12:22:47 +0200 hjs  r270469 : #i100793# check for GNU tar 2009-03-30 17:30:20 +0200 hjs  r270247 : #i100675# common comp_ver.mk for both windows shells 2009-03-30 13:49:55 +0200 hjs  r270226 : #i100675# common comp_ver.mk for both windows shells 2009-03-30 13:36:00 +0200 hjs  r270223 : #i100675# no backslash in dependencies 2009-03-30 13:34:14 +0200 hjs  r270222 : #i100675# fix testhxx for cygwin 2009-03-27 16:34:33 +0100 hjs  r270162 : #i98068# move that block where it makes sense 2009-03-27 16:16:41 +0100 hjs  r270160 : #i92036# - two step move to have a simple rename in the shared dir


2009-04-22  Ivo Hinkelmann  <ihi@openoffice.org>  [38a970bef8a0c8e1aaa0f223e7922d9d9cd4bc40]

CWS-TOOLING: integrate CWS mav46 2009-04-03 13:43:02 +0200 mav  r270481 : #i81373# fix delivering 2009-04-01 09:13:45 +0200 hjs  r270299 : #i81373# a bit too specific 2009-03-31 14:55:42 +0200 mav  r270282 : #i81373# the new tarball patching mechanics from hjs 2009-03-31 12:47:18 +0200 mav  r270274 : #i81373# use the new tarball patching mechanics 2009-03-31 12:46:35 +0200 mav  r270273 : #i81373# the change from the version attached to issue 2009-03-29 19:39:21 +0200 mav  r270191 : CWS-TOOLING: rebase CWS mav46 to trunk@270033 (milestone: DEV300:m45) 2009-02-27 09:07:23 +0100 mav  r268552 : #i99703# workaround Ubuntu problem 2009-02-25 12:51:27 +0100 mav  r268434 : #i81373# change the version of the extension 2009-02-25 11:25:15 +0100 mav  r268420 : #i81373# the filter installation needs at least 3.0 to work 2009-02-23 13:04:34 +0100 mav  r268352 : #i88682# use correct representation of CR in xml 2009-02-20 16:40:25 +0100 mav  r268334 : #i88682# show a warning if the page exists already 2009-02-20 15:42:10 +0100 mav  r268330 : #i99462# remove wiki filter from OOo installation 2009-02-20 15:39:57 +0100 mav  r268329 : #i99462# remove wiki filter from OOo installation 2009-02-20 15:36:41 +0100 mav  r268328 : #i99462# remove wiki filter from OOo installation 2009-02-20 15:33:29 +0100 mav  r268326 : #i99462# remove wiki filter from OOo installation 2009-02-20 14:19:45 +0100 mav  r268320 : #i88650# fix the typo 2009-02-20 13:02:38 +0100 mav  r268315 : #i81373# add math transformation into wiki filter 2009-02-20 11:46:20 +0100 mav  r268309 : #i81373# add the tarball 2009-02-19 09:46:10 +0100 mav  r268262 : #i82560# add wiki template into the extension 2009-02-19 07:26:45 +0100 mav  r268258 : #i82560#,#i81373# add wiki filter and template into the extension 2009-02-17 12:47:16 +0100 mav  r268115 : #i81373# commit the patch 2009-02-16 14:32:34 +0100 mav  r267814 : #i82560# rename the template 2009-02-16 14:29:40 +0100 mav  r267812 : #i82560# rename the template 2009-02-16 14:29:15 +0100 mav  r267811 : #i82560# rename the template 2009-02-16 12:16:23 +0100 mav  r267788 : #i90840# integrate the patch 2009-02-16 11:48:28 +0100 mav  r267786 : #i95568#,#i95340# improve parsing of html wiki-pages while looking for the server 2009-02-13 13:46:35 +0100 mav  r267720 : #i95568# fix typos 2009-02-13 13:38:42 +0100 mav  r267719 : #i96279# integrate the patch 2009-02-13 13:37:32 +0100 mav  r267718 : #i95568# check the retrieved URL 2009-02-13 11:39:55 +0100 mav  r267706 : #i95568# allow to connect to Wikipedia successfuly


2009-04-22  Ivo Hinkelmann  <ihi@openoffice.org>  [4ce0769653368b7effdac34ba9aa3c6cca6e17d8]

CWS-TOOLING: integrate CWS dba32a 2009-04-16 13:08:19 +0200 oj  r270882 : #i14538# set property at control 2009-04-16 13:04:28 +0200 oj  r270881 : #i98557# remove binary string for SRB 2009-04-15 13:19:10 +0200 oj  r270838 : #i96782# use type set at view 2009-04-14 14:53:20 +0200 oj  r270778 : #i96782# set initialize size for custom shape 2009-04-06 14:19:14 +0200 oj  r270546 : #i88432# correct pos when < 0 while resizing 2009-04-06 13:36:13 +0200 oj  r270541 : #i96782# handle toolbar and menubar differently 2009-04-06 13:33:54 +0200 oj  r270540 : #i96782# handle toolbar and menubar differently 2009-04-06 12:28:23 +0200 oj  r270534 : #i96782# handle toolbar and menubar differently 2009-04-06 12:27:44 +0200 oj  r270533 : #i96782# handle toolbar and menubar differently 2009-04-06 12:24:32 +0200 oj  r270532 : #i96782# handle toolbar and menubar differently 2009-04-06 12:15:15 +0200 oj  r270531 : do not initialze when field is empty 2009-04-06 10:06:08 +0200 oj  r270528 : #i96782# clean up of menubar and remove duplicates 2009-04-06 09:47:49 +0200 oj  r270527 : #i96519# adjust help text dynamic 2009-04-03 13:43:20 +0200 oj  r270482 : do not need to remove section from observer they are already disposed 2009-04-03 13:27:28 +0200 fs  r270479 : #i97356# 2009-04-02 11:30:39 +0200 fs  r270386 : UNX line ends 2009-04-02 10:54:51 +0200 fs  r270379 : UNX line ends 2009-04-02 10:39:57 +0200 fs  r270378 : UNX line ends 2009-04-02 10:37:24 +0200 fs  r270377 : why did this survive the rebase? was removed on trunk ... 2009-03-31 13:31:12 +0200 fs  r270277 : component_foo should be public 2009-03-28 00:21:01 +0100 fs  r270176 : manuallly merged the changes which happened in CWS before resync to m45, where the directory had been moved from reportdesign/registry to reportbuilder/registry 2009-03-27 23:01:20 +0100 fs  r270174 : CWS-TOOLING: rebase CWS dba32a to trunk@270033 (milestone: DEV300:m45) 2009-03-11 12:23:35 +0100 fs  r269310 : #i99958# ensure the ControlModelLock doesn't release twice 2009-03-06 09:07:32 +0100 fs  r268970 : ignore output paths in SVN's status 2009-03-06 09:07:08 +0100 fs  r268969 : ignore output paths in SVN's status 2009-03-04 11:28:02 +0100 oj  r268800 : copy and paste error, check correct end now 2009-03-03 15:49:11 +0100 fs  r268736 : #i10000# those merges were lost during the rebase (m38->m42) 2009-03-03 13:25:27 +0100 lla  r268720 : #i99652# fix wrong refactoring 2009-02-27 11:12:56 +0100 fs  r268566 : beautified 2009-02-27 10:53:47 +0100 fs  r268561 : doFormListening(false) only when actually isFormListening() (found during complex test case XMLFormSettings with assertions) 2009-02-26 20:55:31 +0100 fs  r268546 : #i96530# set the Label property of the bound control, if we didn't create a dedicated label control 2009-02-26 11:53:09 +0100 fs  r268494 : #i10000# 2009-02-26 11:27:50 +0100 fs  r268493 : #i10000# 2009-02-26 11:17:08 +0100 fs  r268490 : reportdesign depends on REPORTBUILDER, not REPORTDESIGN 2009-02-25 11:39:48 +0100 fs  r268422 : #i10000# post-resync: INFO_ESCAPE_DATETIME got lost during rebase 2009-02-24 23:24:10 +0100 fs  r268411 : CWS-TOOLING: rebase CWS dba32a to trunk@268395 (milestone: DEV300:m42) 2009-02-20 15:09:48 +0100 fs  r268324 : respect ImplicitCatalog/SchemaRestriction in all necessary places 2009-02-20 13:48:10 +0100 oj  r268318 : order of initialize corrected 2009-02-14 15:07:52 +0100 fs  r267759 : #i98975# when an image does not have a bitmap, but a text, draw this (as placeholder) 2009-02-14 15:02:40 +0100 fs  r267758 : consolidated and removed some duplicate code 2009-02-14 13:52:23 +0100 fs  r267756 : #i10000# 2009-02-13 22:08:34 +0100 fs  r267750 : #i100000# 2009-02-13 22:07:25 +0100 fs  r267749 : #i10000# 2009-02-13 21:55:36 +0100 fs  r267747 : #i10000# 2009-02-13 21:54:27 +0100 fs  r267746 : use const_cast 2009-02-13 21:29:10 +0100 fs  r267745 : #i10000# 2009-02-13 21:27:39 +0100 fs  r267744 : #i10000# 2009-02-13 20:59:13 +0100 fs  r267742 : #i10000# 2009-02-13 13:21:30 +0100 fs  r267717 : better diagnostics 2009-02-13 13:17:24 +0100 fs  r267715 : #i58313# support Catalog/SchemaRestriction settings, which are applied in getTables when 'all catalogs/schemas' are to be retrieved 2009-02-13 13:16:14 +0100 fs  r267714 : filter out some more known global settings 2009-02-13 12:39:43 +0100 fs  r267713 : #i58313# ImplicitCatalog/SchemaRestriction 2009-02-13 12:36:50 +0100 fs  r267712 : when exporting data source settings, allow for properties which have a VOID default value, but are currently not VOID 2009-02-13 12:35:57 +0100 fs  r267711 : implement XSet, to allow inserting properties which have a default value of VOID 2009-02-13 12:35:03 +0100 fs  r267710 : +addVoidProperty 2009-02-13 10:20:08 +0100 fs  r267697 : removed unused variable 2009-02-13 09:46:46 +0100 fs  r267695 : refactored the table filtering code, to have a better base for introducing additional low level filters 2009-02-10 09:23:07 +0100 lla  r267537 : #i10000# wrong line feed, double named variable 2009-02-09 12:13:08 +0100 oj  r267508 : #i98605# notify hanlder 2009-02-09 11:50:34 +0100 oj  r267507 : #i98926# solve refcount problem 2009-02-09 11:50:05 +0100 oj  r267506 : #i98971# fix for simple html 2009-02-09 11:49:24 +0100 oj  r267505 : #i98971# fix for simple html 2009-02-09 11:47:27 +0100 oj  r267504 : invoke on copy 2009-02-09 09:51:00 +0100 fs  r267500 : #i98316# 2009-02-09 09:46:10 +0100 fs  r267499 : setCurrentSelection: don't reset the current form when we de-select everything 2009-02-09 09:43:45 +0100 fs  r267498 : #i98316# 2009-02-08 21:25:18 +0100 fs  r267496 : #i98272# introduce late ctor for cloning 2009-02-07 21:08:39 +0100 fs  r267485 : #i98272# when copy-constructing a FmFormPageImpl, use the XCloneable of the forms collection, instead of XPersistObject (which is incompletely implemented) 2009-02-07 21:07:26 +0100 fs  r267484 : removed obsolete include guards 2009-02-07 21:05:22 +0100 fs  r267483 : #i98272# implement XCloneable 2009-02-06 15:02:48 +0100 lla  r267467 : #i96523# add XImageControl 2009-02-06 14:41:38 +0100 oj  r267463 : #i98926# late init when connection disposed but only when asked for 2009-02-06 13:49:57 +0100 lla  r267457 : #i92860# bigint in forms doesn't allow input of values > 1, fixed 2009-02-06 13:03:55 +0100 oj  r267455 : ImageScaleMode 2009-02-05 14:48:19 +0100 lla  r267424 : #i89335# dropdown listboxes are 14 instead of 7 lines high 2009-02-05 13:40:00 +0100 oj  r267423 : #i96945# insert new prop Opaque 2009-02-05 13:39:19 +0100 oj  r267422 : #i96945# insert layer handling for hell and heaven 2009-02-05 13:29:32 +0100 lla  r267420 : #i89335# add is null, is not null, is not like filter condition 2009-02-04 12:23:02 +0100 oj  r267364 : #i98821# load table font settings 2009-02-04 10:05:27 +0100 oj  r267351 : #i98821# load table font settings 2009-02-04 09:23:22 +0100 fs  r267350 : checking persistency of UI settings in database documents - for the moment, capture table formattings (which is issue 98821) 2009-02-04 09:22:15 +0100 fs  r267349 : moved some methods which are of wider interest from DatabaseDocument to FileHelper resp. TestCase 2009-02-04 08:56:27 +0100 oj  r267347 : #i97586# UcbStreamHelper::CreateStream doesn't check all streamModes use different method 2009-02-04 08:23:26 +0100 oj  r267346 : #i98701# check key size is >= 3 and some redesign 2009-02-03 23:29:24 +0100 fs  r267345 : return the component (controller), not the frame 2009-02-03 23:28:53 +0100 fs  r267344 : openExisting returns a controller now, not the frame (this was a bug) 2009-02-03 23:28:25 +0100 fs  r267343 : openElement: properly return the component in the table/query case 2009-02-02 12:48:17 +0100 oj  r267261 : #i96013# fix for relative path 2009-02-02 10:33:28 +0100 lla  r267253 : #i98557# cleanups and consolidation 2009-02-02 09:37:23 +0100 lla  r267250 : #i88432# resize will no longer move components to other sections 2009-02-02 09:08:24 +0100 oj  r267245 : #i97475# write 0x1A at the end of the file 2009-01-30 19:39:20 +0100 lla  r267230 : #i10000# unused parameters 2009-01-30 09:51:09 +0100 fs  r267181 : onsolete 2009-01-30 09:49:27 +0100 fs  r267180 : onsolete 2009-01-29 14:28:22 +0100 oj  r267139 : #i96825# import cell style 2009-01-29 14:23:12 +0100 oj  r267137 : #i98601# export imagescalehandler 2009-01-29 14:19:57 +0100 lla  r267135 : #i98601# add ImageScaleMode 2009-01-29 13:21:08 +0100 oj  r267124 : #i98601# impl ScaleMode 2009-01-29 13:20:56 +0100 oj  r267123 : #i98601# impl ScaleMode 2009-01-29 08:46:40 +0100 oj  r267095 : new property: ScaleMode 2009-01-29 08:45:23 +0100 oj  r267094 : new ScaleMode from UnControlImageModel 2009-01-29 08:28:12 +0100 oj  r267093 : #i87930# close all sub forms/reports when the desktop is going to be terminated and no db frame exists 2009-01-28 19:54:34 +0100 lla  r267082 : #i98557# pictures in report wizard 2009-01-28 15:06:25 +0100 oj  r267060 : #i87930# close all sub forms/reports when the desktop is going to be terminated and no db frame exists 2009-01-28 11:38:41 +0100 lla  r267046 : #i76783# handle binary fields in forms 2009-01-28 09:24:43 +0100 lla  r267025 : #i10000# 2009-01-28 08:40:04 +0100 fs  r267024 : #i10000# 2009-01-28 08:04:43 +0100 oj  r267023 : #i93456# use resource strings for function names 2009-01-27 13:26:05 +0100 oj  r266988 : check data field is type field or expression 2009-01-27 13:07:17 +0100 oj  r266985 : check data field length 2009-01-27 11:48:19 +0100 oj  r266974 : #i96823# return dll string as column name when no alias exists 2009-01-27 09:53:11 +0100 fs  r266958 : display the message of a caught exception 2009-01-27 09:44:13 +0100 fs  r266957 : #i58313# when retrieving all tables, just set an empty table type filter - the connection will care for translating this, by respecting the TableTypeFilterMode setting 2009-01-27 09:36:09 +0100 fs  r266956 : #i58313# getTables: per JDBC spec,  is not a valid table type filter. Translate it to 'null'. 2009-01-26 11:24:49 +0100 lla  r266912 : #i97865# cleanups (AddField viewable in remote mode) 2009-01-26 07:49:27 +0100 lla  r266897 : #i97865# AddField opens in remote case 2009-01-26 07:48:58 +0100 lla  r266896 : #i97865# AddField opens in remote case 2009-01-26 07:48:42 +0100 lla  r266895 : #i97865# AddField opens in remote case 2009-01-23 15:04:40 +0100 fs  r266825 : consolidate the usage of OSQLMessageBox with MessageType==Warning into OSQLWarningBox 2009-01-23 10:47:33 +0100 fs  r266787 : +supportsUserAdministration 2009-01-23 10:47:11 +0100 fs  r266784 : use DatabaseMetaData.supportsUserAdministration 2009-01-23 07:55:59 +0100 lla  r266767 : #i10000# fix gcc compiler failures 2009-01-21 15:08:55 +0100 lla  r266673 : #i97265# Labels in HC (IsDark) with other color (viewable) 2009-01-19 14:58:54 +0100 lla  r266504 : #i96523# last problems with FormatKey and '0' values fixed 2009-01-19 14:58:00 +0100 lla  r266503 : #i96519# AddField help text 2009-01-19 11:59:02 +0100 fs  r266485 : #i96523# for formatted field models, init them with TreatAsNumber = false 2009-01-16 10:31:49 +0100 lla  r266405 : #i96793# add shrink to popup menu 2009-01-16 09:21:44 +0100 lla  r266401 : #i96519# AddField contains a help text 2009-01-15 11:21:49 +0100 lla  r266357 : #i96523# problem with XVclWindowPeer not fixed now 2009-01-15 09:19:20 +0100 lla  r266335 : #i96523# more crashes fixed. 2009-01-14 13:08:34 +0100 lla  r266291 : #i96523# problems with crashes fixed 2009-01-13 10:54:24 +0100 lla  r266199 : #i96523# show datasource in formattedfields new files 2009-01-13 10:52:39 +0100 lla  r266198 : #i96523# show datasource in formattedfields 2009-01-13 09:41:50 +0100 lla  r266197 : #i96526# handling none existance default.otr 2009-01-12 12:55:49 +0100 fs  r266151 : don't expect the control model to be a BoundComponent before adding as modify listener 2009-01-12 12:51:33 +0100 fs  r266149 : #i88458# let the ImageControl be an XModifyBroadcaster, so the forms runtime can notice when the user changes the control content while it does not have the focus 2009-01-09 13:41:22 +0100 fs  r266080 : doc 2009-01-09 13:14:14 +0100 fs  r266077 : #i97377# SetModified when order is changed via DnD 2009-01-07 09:55:40 +0100 oj  r265951 : merge from master 2009-01-07 09:55:24 +0100 oj  r265950 : removed observer 2009-01-07 09:55:06 +0100 oj  r265949 : merge from master 2009-01-07 07:29:11 +0100 oj  r265945 : shadow var changed 2009-01-06 07:25:57 +0100 oj  r265893 : CWS-TOOLING: rebase CWS dba32a to trunk@265758 (milestone: DEV300:m38) 2009-01-05 13:18:22 +0100 oj  r265865 : convert to unix le 2009-01-05 09:13:52 +0100 lla  r265857 : #i79423# lc_ sc_ permutation fix 2009-01-02 19:40:59 +0100 lla  r265847 : #i79423# section shrink icons 2008-12-22 11:37:57 +0100 lla  r265749 : #i97484# move component to negative Y-position 2008-12-22 11:37:05 +0100 lla  r265748 : #i97484# move component to negative Y-position 2008-12-22 11:35:33 +0100 lla  r265747 : #i97484# move component to negative Y-position 2008-12-22 11:25:07 +0100 lla  r265745 : #i96757# changes via property browser was not undoable 2008-12-18 15:10:38 +0100 fs  r265694 : corrected an condition in doFormListening, which otherwise leads to uncommitable grid columns in documents which are loaded from disc (not in documents which are newly created) 2008-12-18 14:54:39 +0100 fs  r265692 : Hide Columns text slightly changed 2008-12-18 13:44:15 +0100 fs  r265683 : #i94068# properly display erros happening during a form operation - at least once, and at most once 2008-12-18 11:28:29 +0100 fs  r265677 : document the new InputRequired property 2008-12-18 11:04:15 +0100 fs  r265676 : #i96530# createControlLabelPair: don't actually create a label for a checkbox 2008-12-18 10:35:53 +0100 fs  r265674 : #i95226# when a column is replaced, and it's the selected column, update the selection 2008-12-18 10:34:42 +0100 fs  r265673 : #i95226# refactoring of the implReplaced method 2008-12-18 10:34:28 +0100 fs  r265672 : #i95226# when replacing a grid column, update the property browser 2008-12-18 10:33:17 +0100 fs  r265671 : when an element is removed, remove it from m_aCurrentSelection, too (if necessary) 2008-12-18 10:31:57 +0100 fs  r265670 : Hide Columns text slightly changed 2008-12-18 10:15:56 +0100 lla  r265669 : #i14538# do not allow to press finish button twice 2008-12-18 08:56:33 +0100 lla  r265665 : #i10000# build depend=t problem hacked. 2008-12-17 20:59:10 +0100 fs  r265656 : #i89821# don't let a MultiLineEdit select all text when it receives the focus 2008-12-17 12:10:54 +0100 fs  r265594 : #i97356# 2008-12-17 12:06:29 +0100 fs  r265593 : #i97355# Print -> Printable 2008-12-17 11:59:31 +0100 fs  r265591 : #i97350# combo boxes comment on list selection (as list boxes already do) 2008-12-16 09:53:57 +0100 lla  r265527 : #i96526# handling none existance default.otr 2008-12-15 14:48:39 +0100 lla  r265500 : #i79423# reparing, was wrong implemented 2008-12-12 15:08:33 +0100 lla  r265424 : #i10000# remove wrong carridge returns 2008-12-12 15:07:55 +0100 lla  r265423 : #i10000# remove wrong carridge returns 2008-12-12 15:06:41 +0100 lla  r265422 : #i10000# remove wrong carridge returns 2008-12-12 10:23:13 +0100 lla  r265395 : #i95234# reset DragDelta 2008-12-12 10:11:02 +0100 lla  r265393 : #i79423# pre versions of shrink buttons 2008-12-11 15:32:13 +0100 fs  r265318 : prevent a deadlock during complex.dbaccess.DatabaseDocument test 2008-12-11 15:30:06 +0100 fs  r265316 : prevent a deadlock during complex.dbaccess.DatabaseDocument test 2008-12-11 15:07:05 +0100 fs  r265307 : removed superfluous text 2008-12-11 12:29:54 +0100 lla  r265282 : #i96757# cleanup second try 2008-12-11 12:09:15 +0100 lla  r265278 : #i96757# cleanup 2008-12-11 12:07:56 +0100 lla  r265277 : #i95234# 2008-12-10 14:04:39 +0100 lla  r265183 : #i93472# D&D fixes 2008-12-10 12:29:33 +0100 lla  r265168 : #i94067# add (APP|SYS)FONT to XUnitConversion 2008-12-10 12:15:02 +0100 lla  r265166 : #i94067# add APPFONT, SYSFONT to MeasureUnit 2008-12-10 11:52:10 +0100 lla  r265163 : #i94067# add comments 2008-12-06 20:33:05 +0100 fs  r264935 : #i10000# precompiled header 2008-12-05 09:29:26 +0100 fs  r264889 : #i10000# 2008-12-05 09:07:31 +0100 fs  r264888 : #i10000# 2008-12-04 13:25:46 +0100 fs  r264838 : CWS-TOOLING: rebase CWS dba32a to trunk@264807 (milestone: DEV300:m37) 2008-12-03 23:49:13 +0100 fs  r264808 : merge changes from trunk, to be able to do a rebase 2008-12-03 17:13:09 +0100 lla  r264801 : #i91041# update documentation 2008-12-03 16:57:04 +0100 lla  r264799 : #i94067# allow convert(Point|Size)ToLogic as pixel also 2008-12-02 12:36:32 +0100 lla  r264687 : #i96782# bring toolbar objects to menu structure 2008-12-02 10:32:44 +0100 lla  r264667 : #i86255# make property work 2008-12-02 09:22:47 +0100 lla  r264659 : #i79423# add section shrink toolbar 2008-12-02 07:41:22 +0100 lla  r264657 : #i86255# add check box for Escape DateTime property 2008-12-02 07:37:17 +0100 lla  r264656 : #i79423# new shrink buttons 2008-11-26 11:55:28 +0100 fs  r264362 : #i96541# FillPropertySet: do not only catch UnknownPropertyException when setting the Char/ParaAutoStyleName, but also care for the other exceptions which can be thrown by XPropertySet::setPropertyValue. This is actually not the real fix for #i96541#, but only a follow-up. The root cause of the issue was fixed in CWS dba301b, but this here was another (potential) bug which popped up during investigations. 2008-11-25 09:04:40 +0100 lla  r264273 : #i82083# new toolbox in GroupsSorting dialog 2008-11-25 08:56:08 +0100 lla  r264272 : #i94729# change token strings into string list, move class out of function 2008-11-24 15:52:22 +0100 fs  r264251 : #i96532# do not set AppendTableAlias, NameLengthLimit, etc., if the OXMLDataSourceInstance is used for elements at which those attributes never appear 2008-11-24 15:51:45 +0100 fs  r264249 : #i96532# do not set AppendTableAlias, NameLengthLimit, etc., if the OXMLDataSourceInstance is used for elements at which those attributes never appear 2008-11-24 15:45:21 +0100 fs  r264244 : #i96532# the API default for ParamNameSubst is false 2008-11-24 15:45:04 +0100 fs  r264243 : #i96532# do not set AppendTableAlias, NameLengthLimit, etc., if the OXMLDataSourceInstance is used for elements at which those attributes never appear 2008-11-24 15:44:14 +0100 fs  r264241 : #i96532# slight refactoring of exporting properties which have a XML default different from the API default 2008-11-24 10:50:01 +0100 lla  r264216 : #i82083# icons for new toolbox 2008-11-24 09:38:45 +0100 lla  r264205 : #i82083# new toolbox in GroupsSorting dialog 2008-11-24 09:32:20 +0100 lla  r264201 : #i96501# cleanup assertions 2008-11-24 09:12:55 +0100 lla  r264198 : #i83082# enhancement for toolboxes, better HC comfort 2008-11-24 08:46:43 +0100 lla  r264197 : #i96501# fix problem with negative positions 2008-11-21 11:44:47 +0100 fs  r264118 : #i57042# introduce a counter for suspending change notifications of a given property, so recursive calls are possible 2008-11-21 11:02:17 +0100 fs  r264116 : #i96388# don't call ExecuteContextMenuAction when no action was chosen by the user 2008-11-21 10:36:53 +0100 fs  r264114 : #i47384# assertion was wrong 2008-11-14 12:33:15 +0100 fs  r263673 : #i47318# XRowSetChangeBroadcaster/Listener, to be able to listen for changes in an XRowSetSupplier's RowSet 2008-11-14 12:30:29 +0100 fs  r263672 : #i47318# more refactoring - BoundControlModels now listen at the XRowSetSupplier for changes in the supplied   RowSet, to properly revoke/register old/new listeners at the RowSet - replaced ::osl::Mutex in various places with a ControlModelLock 2008-11-14 12:20:55 +0100 fs  r263671 : when BUILD_TYPE includes QADEVOOO, the BUILD_QADEVOOO needs to bet set, too 2008-11-14 12:19:21 +0100 fs  r263670 : oops, this was not intended to be committed 2008-11-12 11:08:10 +0100 fs  r263579 : #i96096# new ctors taking UNO_QUERY_THROW 2008-11-12 09:15:54 +0100 fs  r263576 : no need to load the complete dialog just to get a string which the dialog itself loads from resource 2008-11-10 17:55:45 +0100 fs  r263535 : spelling in comment 2008-11-10 15:51:14 +0100 fs  r263523 : #i47318# various refactorings 1. don't forward syntetic XLoadListener events from the grid control to    the grid columns. Instead, forward GridColumn::XChild::setParent to    the base class, which then can add itself as load listener 2. removed various occurances of XMultiServiceFactory, instead use the    ::comphelper::ComponentContext 3. in O(Bound)ControlModel, have a mechanism to lock the instance (using    ControlModelLock) and fire property changes when the last lock dies. 2008-11-10 12:49:24 +0100 oj  r263513 : #i94729# change token strings into string list 2008-11-10 12:13:15 +0100 oj  r263512 : #i95222# export chart:title style as well 2008-11-10 08:55:25 +0100 oj  r263507 : #i93471# show the correct tabpage when selecting a different object 2008-11-07 23:38:29 +0100 fs  r263490 : #i95977# for the event input controls, add a component extending their functionality so they're reset when the users presses DEL 2008-11-07 23:35:39 +0100 fs  r263489 : during #i95977#: When a VCL Window is deleted from within VCL code, the respective WindowPeer was never disposed. Corrected this. 2008-11-07 14:57:07 +0100 fs  r263420 : #i95963# human-readable display names for event bindings 2008-11-06 10:34:52 +0100 fs  r263366 : #i95865# don't use library names containing InvalidZipEntryFileNames - workaround until i95409 is fixed 2008-11-06 10:33:28 +0100 fs  r263365 : #i95865# copied the following change from CWS odfmetadata2 (not yet integrated) into CWS dba31d   - comphelper/inc/comphelper/storagehelper.hxx,     comphelper/source/misc/storagehelper.cxx:     + add function IsValidZipEntryFileName (moved from module package)


2009-04-02  Ivo Hinkelmann  <ihi@openoffice.org>  [4a81f3335037c05f8a2497fdfc77fc4889605b0b]

CWS-TOOLING: integrate CWS minimizer01 2009-03-30 11:06:17 +0200 sj  r270203 : #i100590# fixed crash


2009-03-25  Release Engineers  <releng@openoffice.org>  [2dcc90bfa2791210d5cc5c6939670d392655aa53]

Create DEV300_m45 milestone tag from trunk@270031


2009-03-25  Andre Fischer  <af@openoffice.org>  [098d57b9305844fa80697dc46ffc5ad1abd2c1c0]

#i48179# Added support for stepping back by effect.


2009-03-24  Andre Fischer  <af@openoffice.org>  [c188bbef17a7d6c5dbeceb005b4fd0d2568e5839]

#i98806# Added IsSoundEnabled property to mute sound in some slide show views.


2009-03-23  Hans-Joachim Lankenau  <hjs@openoffice.org>  [931a4457e409c12130b94673e55644e99ed503d0]

CWS-TOOLING: integrate CWS dba31j_DEV300 2009-03-11 12:24:24 +0100 iha  r269311 : #i100102# report donut charts crash on load 2009-03-11 10:44:35 +0100 oj  r269302 : #i100102# export meta.xml 2009-03-11 07:35:03 +0100 oj  r269296 : #i99686# not used anymore 2009-03-11 07:34:27 +0100 oj  r269295 : #i99686# not used anymore 2009-03-11 07:33:57 +0100 oj  r269294 : #i99686# change storage usage 2009-03-10 15:21:41 +0100 mav  r269275 : #i99686# test additional scenario 2009-03-10 08:37:10 +0100 mav  r269239 : #i100040# calculate the name length correctly 2009-03-10 08:25:16 +0100 mav  r269236 : #i99686# workaround to prevent crash while disposing the hierarchical stream 2009-03-10 07:14:05 +0100 oj  r269235 : #i99686# fix usage of storage api 2009-03-10 07:13:17 +0100 oj  r269234 : #i99686# fix usage of storage api 2009-03-09 13:33:26 +0100 fs  r269085 : #i100012# 2009-03-09 13:11:08 +0100 fs  r269081 : #i100036# don't store sub documents which have not been touched 2009-03-09 11:21:17 +0100 fs  r269070 : #i100040# don't silence errors in impl_storeToStorage_throw 2009-03-09 10:28:48 +0100 oj  r269065 : #i100036# throw exception when no activeConnection exists


2009-03-23  Hans-Joachim Lankenau  <hjs@openoffice.org>  [46f3c6483e708c44c50717772717cfa6cc189440]

CWS-TOOLING: integrate CWS rptfix06_DEV300 2009-03-19 08:14:23 +0100 rene  r269715 : #i10000# 2009-03-18 23:48:16 +0100 rene  r269709 : #i100334# also reportbuilder 2009-03-18 22:39:42 +0100 rene  r269706 : #i100334# fix build with system apache-commons 2009-03-18 22:34:24 +0100 rene  r269705 : #i100335# build libs only when needed 2009-03-17 13:24:17 +0100 rene  r269600 : fix system-* for the SRB


2009-03-20  Release Engineers  <releng@openoffice.org>  [d811c214d44df484483ed83399c14f5ac213731b]

Create DEV300_m44 milestone tag from trunk@269780


2009-03-10  Release Engineers  <releng@openoffice.org>  [1755203845a94c9fe416bdb2d2bce8fab0277fba]

#i10000# fix from OOO310


2009-03-09  Oliver Bolte  <obo@openoffice.org>  [7115b4118ebd2d5877c752dcd7eeaa2f68e0b42b]

#i10000# PATCH_FILE_NAME -> PATCH_FILES


2009-03-09  Rüdiger Timm  <rt@openoffice.org>  [3c34e0b10580ffaa0b933794f36c80785186e62a]

#i100009# Syntax: 'localize' fails on multi line tags, error message is 'Missplaced close tag'.


2009-03-04  Oliver Bolte  <obo@openoffice.org>  [b1ae5c65b99c8f527949291a681a70850725d5f3]

CWS-TOOLING: integrate CWS rptfix04 2009-02-23 01:59:54 +0100 rene  r268341 : #i10000# fix system-jfreereport build 2009-02-13 10:17:16 +0100 oj  r267696 : #i98549# integrate zip form pentaho package 2009-02-03 14:48:34 +0100 oj  r267330 : set formula locale to doc locale 2009-02-03 14:45:54 +0100 oj  r267329 : set formula locale to doc locale 2009-02-03 11:50:03 +0100 oj  r267311 : set formula locale to doc locale 2009-02-03 08:55:02 +0100 oj  r267297 : unix line ends 2009-01-28 11:21:24 +0100 rene  r267043 : #i98549# s/DESIGN/BUILDER/ also for Sun 2009-01-27 17:17:50 +0100 rene  r267012 : merge builfix from trunk 2009-01-27 14:16:30 +0100 rene  r266991 : #i10000# fix rebase which left out the whole changes in former config_office; sync variable names (s/LIB_//) and some other things 2009-01-27 10:01:09 +0100 oj  r266959 : CWS-TOOLING: rebase CWS rptfix04 to trunk@266944 (milestone: DEV300:m40) 2009-01-27 08:00:16 +0100 oj  r266951 : conflict in mergeinfo 2009-01-26 12:23:03 +0100 oj  r266914 : #i98383# fix grouping 2009-01-23 22:03:03 +0100 rene  r266852 : fix --enable-report-builder description 2009-01-23 10:37:27 +0100 oj  r266778 : set escape processing when set at query 2009-01-23 09:17:16 +0100 fs  r266770 : add CWS name to version 2009-01-21 13:57:35 +0100 oj  r266669 : merge for build bots 2009-01-20 09:07:24 +0100 oj  r266552 : CWS-TOOLING: rebase CWS rptfix04 to trunk@266428 (milestone: DEV300:m39) 2009-01-20 08:34:16 +0100 oj  r266551 : rebase 2009-01-20 08:33:59 +0100 oj  r266550 : rebase 2009-01-20 08:32:50 +0100 oj  r266549 : rebase 2009-01-20 08:30:13 +0100 oj  r266548 : rebase 2009-01-20 08:29:30 +0100 oj  r266547 : rebase 2009-01-20 08:22:33 +0100 oj  r266546 : merge short cuts from dba31g 2009-01-19 21:04:08 +0100 rene  r266525 : #i10000# we need officecfg for component-update.dtd 2009-01-19 21:01:26 +0100 rene  r266524 : #i10000# fix import 2009-01-19 20:26:20 +0100 rene  r266523 : #i10000# remove svn conflicts markers; fix build 2009-01-19 14:23:56 +0100 rene  r266496 : libbase depends on apache-commons.. 2009-01-19 14:00:42 +0100 oj  r266495 : merge from m39 2009-01-19 12:39:00 +0100 oj  r266489 : CWS-TOOLING: rebase CWS rptfix04 to trunk@266428 (milestone: DEV300:m39) 2009-01-16 11:47:04 +0100 oj  r266410 : #i97560# add , between expressions 2009-01-09 17:11:38 +0100 rene  r266103 : don't show "checking which Apache commons-* libs to use" when we neither build the wiki editor nor  the SRB 2009-01-09 16:48:02 +0100 rene  r266099 : #i10000# reportbuilder needs apache-commons 2009-01-09 15:43:35 +0100 oj  r266093 : use of new nspaces 2009-01-09 15:41:34 +0100 oj  r266092 : use of new nspaces 2009-01-09 14:44:15 +0100 rene  r266088 : fix typo/description 2009-01-09 12:48:51 +0100 rene  r266074 : #i10000# fix install 2009-01-09 11:52:53 +0100 rene  r266070 : #i10000# more build fixes 2009-01-09 10:53:13 +0100 rene  r266062 : #i10000# ENABLE_REPORTBUILDER also in set_soenv.in, fix typo 2009-01-09 10:40:24 +0100 rene  r266060 : #i10000# configure fix for new reportbuilder module, typo fix at libfonts 2009-01-09 10:01:52 +0100 rene  r266055 : #i10000# adapt to current configure.in 2009-01-09 09:59:32 +0100 oj  r266054 : add new pentaho jars 2009-01-09 09:47:54 +0100 oj  r266049 : merge changes from DEV300_m39 2009-01-09 09:14:08 +0100 oj  r266048 : merge from DEV300_m39 2009-01-09 08:28:43 +0100 oj  r266045 : merge changes from dba31g 2009-01-09 07:58:10 +0100 oj  r266044 : replace JCOMMON with LIB 2009-01-08 13:42:24 +0100 oj  r266005 : move ext to reportbuilder 2009-01-08 13:41:38 +0100 oj  r266004 : add dep for license 2009-01-08 13:27:56 +0100 oj  r266001 : new module for Sun report Builder extension 2009-01-07 12:58:13 +0100 oj  r265960 : CWS-TOOLING: rebase CWS rptfix04 to trunk@265758 (milestone: DEV300:m38) 2008-12-15 13:47:18 +0100 oj  r265481 : new pentaho resources 2008-12-15 10:04:01 +0100 oj  r265462 : integrate new pentaho sources 2008-12-15 10:02:54 +0100 oj  r265461 : #i96888# fix date time function 2008-12-12 09:23:29 +0100 oj  r265389 : #97174# check of res < 0 removed 2008-12-12 09:15:54 +0100 oj  r265388 : #i9716# fix for DayFunction 2008-12-11 12:24:24 +0100 oj  r265281 : integrate new pentaho sources 2008-12-11 11:49:16 +0100 oj  r265273 : integrate new pentaho sources 2008-12-11 09:34:07 +0100 oj  r265248 : integrate new pentaho sources 2008-12-10 18:58:06 +0100 oj  r265227 : introduce new pentaho sources 2008-12-10 18:56:43 +0100 oj  r265226 : introduce new pentaho sources 2008-12-10 18:54:26 +0100 oj  r265225 : introduce new pentaho sources 2008-12-10 18:42:59 +0100 oj  r265221 : introduce new pentaho sources 2008-12-10 17:24:23 +0100 oj  r265212 : introduce new pentaho sources 2008-12-10 17:24:07 +0100 oj  r265211 : new pentaho sources 2008-12-10 17:23:00 +0100 oj  r265210 : introduce new pentaho sources


2009-02-19  Oliver Bolte  <obo@openoffice.org>  [e9fca092951ed2c52ca5df25ebff7880a1f5d91d]

CWS-TOOLING: integrate CWS transogl03redux 2009-02-09 13:59:40 +0100 thb  r267511 : #i96946# Added seemingly missing change for the color space selection for the slide textures 2009-02-04 10:47:12 +0100 cmc  r267353 : #i96946# integrate ogltrans work


2009-02-19  Oliver Bolte  <obo@openoffice.org>  [d5a6df8b70e3a92d7a9cc35f6717d067f7b7de7e]

CWS-TOOLING: integrate CWS sb104 2009-01-27 13:09:06 +0100 sb  r266986 : #i97992# cws rebase: merged cws/sb104/config_office/set_soenv.in with moved tags/DEV300_m40/set_soenv.in 2009-01-27 10:56:40 +0100 sb  r266966 : CWS-TOOLING: rebase CWS sb104 to trunk@266944 (milestone: DEV300:m40) 2009-01-20 14:37:00 +0100 sb  r266581 : #i97992# missing treatment of Solaris-only adjustvisibility as build-internal tool 2009-01-20 09:32:38 +0100 sb  r266554 : CWS-TOOLING: rebase CWS sb104 to trunk@266428 (milestone: DEV300:m39) 2009-01-14 13:40:45 +0100 sb  r266296 : #i97992# do not pass comment lines to shell 2009-01-14 12:50:34 +0100 sb  r266290 : #i97992# avoid problems with checkdll not finding AWTLIB and its dependents 2009-01-14 12:49:20 +0100 sb  r266289 : #i97992# on Linux and Solaris, regxpcom apparently needs to be called with the libxpcom.so directory on the LD_LIBRARY_PATH 2009-01-13 09:41:37 +0100 sb  r266196 : #i97992# fixed AUGMENT_LIBRARY_PATH definitions 2009-01-12 18:02:03 +0100 sb  r266177 : #i97992# get rid of LD_LIBRARY_PATH in build environment


2009-02-19  Oliver Bolte  <obo@openoffice.org>  [9212b93f0feab8030f7ed74c385ca9e1192254e5]

CWS-TOOLING: integrate CWS ause099 2009-01-29 12:30:57 +0100 hjs  r267116 : #i98365# fix unsetting g+s bit 2009-01-23 14:21:19 +0100 hjs  r266819 : #i40246# - cleanup 2009-01-23 14:14:07 +0100 hjs  r266818 : #i40246# - fix quoting of final echo line 2009-01-23 12:42:33 +0100 hjs  r266807 : #i98365# leave higher bits alone 2009-01-23 11:23:42 +0100 rt  r266799 : Header 2009-01-22 19:14:25 +0100 hjs  r266753 : #i98365# remove unwanted file attributes from archives 2009-01-22 16:22:18 +0100 hjs  r266737 : #i98365# remove unwanted file attributes from archives 2009-01-22 16:20:54 +0100 hjs  r266736 : #i98365# remove unwanted file attributes from archives 2009-01-22 16:20:24 +0100 hjs  r266735 : #i98365# remove unwanted file attributes from archives 2009-01-22 16:08:33 +0100 hjs  r266734 : #i40246# renamed variable 2009-01-22 16:05:26 +0100 hjs  r266733 : #i40246# renamed variable 2009-01-20 17:46:54 +0100 hjs  r266610 : #i98290# cleanup 2009-01-19 19:32:19 +0100 hjs  r266522 : CWS-TOOLING: rebase CWS ause099 to trunk@266428 (milestone: DEV300:m39) 2008-12-08 21:00:09 +0100 hjs  r265049 : CWS-TOOLING: rebase CWS ause099 to trunk@264807 (milestone: DEV300:m37) 2008-11-27 18:25:18 +0100 hjs  r264513 : #i40246# - support multiple patches per archive 2008-11-17 19:00:12 +0100 hjs  r263738 : CWS-TOOLING: rebase CWS ause099 to trunk@263288 (milestone: DEV300:m35)


2009-02-18  Oliver Bolte  <obo@openoffice.org>  [2e68b43df4458ac0666840ecd96a9c51c817b2bf]

CWS-TOOLING: integrate CWS impress167 2009-02-02 16:32:46 +0100 sj  r267276 : build problem, removing build dependency to vcl 2009-01-30 16:45:22 +0100 sj  r267210 : CWS-TOOLING: rebase CWS impress167 to trunk@267171 (milestone: DEV300:m41) 2009-01-23 16:14:11 +0100 sj  r266833 : #98331# fixed: crop information is not saved and not read on loading 2009-01-23 10:45:11 +0100 af  r266780 : #158592# Made processing of slidesorter queue entries more robust. 2009-01-23 09:58:16 +0100 af  r266773 : #i93848# Fixed termination of timer thread.


2009-02-17  Oliver Bolte  <obo@openoffice.org>  [f16cccbe9d148cfe0ab97c7efdcd06ff885ab4fa]

CWS-TOOLING: integrate CWS pdfextfix 2009-01-30 15:01:16 +0100 pl  r267198 : remove an extra character produced by gperf, fix a warning 2009-01-26 12:55:07 +0100 pl  r266917 : #i92912# add: outline text 2009-01-14 17:03:30 +0100 pl  r266319 : #i94952# replace fonts in test files by DejaVu family 2009-01-14 14:29:05 +0100 pl  r266303 : #i91980# add standard style dependency for graphic styles


2009-02-11  Oliver Bolte  <obo@openoffice.org>  [9d150c6a55000427742d89eaccc6fe9dd703459f]

CWS-TOOLING: integrate CWS vcl98 2009-01-16 15:17:38 +0100 pl  r266422 : #i93515# add fix for compiz (thanks cmc) 2009-01-15 10:55:36 +0100 thb  r266352 : #i97399# start==end angle means no arc at all 2009-01-14 18:54:37 +0100 pl  r266327 : #i96536# #i96396# add: pagescroll for wheel events (thanks mod) 2009-01-14 18:21:06 +0100 pl  r266325 : #i96536# #i96396# add: gestures, bracket matching (thanks mod) 2009-01-13 12:03:29 +0100 hdu  r266206 : #i98024# preserve glyph zero-advance for artificial bold and vertical layout (thanks CMC!) 2009-01-12 16:32:20 +0100 hdu  r266167 : #i97991# fix rotated text: temporary workaround for #i87686# 2009-01-08 17:16:17 +0100 hdu  r266028 : #159054# ignore empty ATSULayout 2009-01-08 16:59:05 +0100 hdu  r266026 : #159054# prevent invalid ATSUStyle 2009-01-07 19:04:06 +0100 pl  r265976 : #158288# add extraction of fonts and individual object streams to pdfunzip 2009-01-07 14:42:17 +0100 pl  r265969 : #i93011# workaround our ancient accelerator mechanisms to have deeper child window hirearchies working 2009-01-07 14:39:15 +0100 pl  r265967 : #i93011# workaround our ancient accelerator mechanisms to have deeper child window hirearchies working 2009-01-07 11:10:58 +0100 hdu  r265956 : #i97522# getPixel() returns COL_BLACK on printers or when out of bounds 2009-01-06 18:41:48 +0100 pl  r265938 : #i97696# do not force user password to owner password after all 2009-01-06 18:00:52 +0100 pl  r265934 : #i97157# fix a snafu 2009-01-06 13:23:38 +0100 pl  r265914 : #i93515# support for _NET_WM_USER_TIME (thanks cmc) 2009-01-06 12:50:37 +0100 hdu  r265912 : #i97538# get rid of compiler warnings for complex logical expressions 2009-01-06 12:49:09 +0100 hdu  r265911 : #i97538# get rid of compiler warnings for complex logical expressions 2009-01-06 12:14:07 +0100 hdu  r265906 : #i97522# implemented AquaSalGraphics::getPixel() 2008-12-18 16:46:59 +0100 pl  r265706 : #i96343# reset quick job flag 2008-12-18 16:44:22 +0100 pl  r265705 : #i96343# reset quick job flag 2008-12-18 14:08:22 +0100 pl  r265688 : #i93241# fix bit field query 2008-12-18 12:41:52 +0100 pl  r265682 : #i93241# eliminate useless static locale variable 2008-12-17 19:23:07 +0100 pl  r265654 : #i97064# set language to OOo user configured UI language (thanks cmc) 2008-12-17 17:44:38 +0100 hdu  r265651 : #i97326# debug-helper: print cairo version 2008-12-17 17:43:15 +0100 hdu  r265650 : #i97326# ignore cairo changing the transformation of our FT_FACE 2008-12-17 14:44:32 +0100 pl  r265604 : #i93631# refine control positioning 2008-12-17 12:40:39 +0100 hdu  r265596 : #i97167# update VCL.xcu for MacOSX for Japanese (thanks maho!) 2008-12-17 11:59:51 +0100 hdu  r265592 : #i97317# code movement to prevent needless and expensive construction/destruction in error path 2008-12-17 11:54:43 +0100 hdu  r265590 : #i97317# workaround QUARTZ bug with drawing small polygons 2008-12-16 17:57:02 +0100 pl  r265567 : #i97138# select num copies when grabbing focus 2008-12-16 17:15:11 +0100 pl  r265561 : #i93173# lazy deletion of toolbars 2008-12-16 16:33:51 +0100 pl  r265558 : #i93173# lazy deletion of toolbars: reparent floating DockingWindows in doLazyDelete 2008-12-16 13:23:17 +0100 pl  r265536 : #i97196# ensure style engine has been loaded (thanks cmc)


2009-02-02  Rüdiger Timm  <rt@openoffice.org>  [d223fcfb6326ab55d9c781df5a3ce3293900d61f]

#98631# sdext needs vcl.


2009-01-30  Release Engineers  <releng@openoffice.org>  [33c73e335357857de941618707cb4c2aef1aaf21]

Create DEV300_m41 milestone tag from trunk@267170


2009-01-28  Kurt Zenker  <kz@openoffice.org>  [7dfcf07e83cc8a1e02f4e041d9ddad2c2436de7c]

CWS-TOOLING: integrate CWS rt37 2009-01-22 17:00:00 +0100 rt  r266743 : Clean up. 2009-01-22 15:05:47 +0100 rt  r266718 : #i98313# Add 'officecfg', because component-update.dtd is needed. 2009-01-21 17:50:11 +0100 rt  r266696 : Avoid creating unneeded directories. 2009-01-21 13:47:02 +0100 rt  r266665 : #i98313# Nothing needed from 'goodies'. 2009-01-21 12:52:06 +0100 rt  r266659 : #i98313# Nothing needed from 'svtools' nor 'xmloff'. 2009-01-21 12:15:57 +0100 rt  r266650 : #i98313# Nothing needed from 'jvmaccess' nor 'svx'. 2009-01-21 12:03:45 +0100 rt  r266648 : #i98313# 'canvas' not needed either. 2009-01-21 11:54:47 +0100 rt  r266647 : #i98313# We do not need anything from 'slideshow' here. slideshow.rdb is not needed; it does not even exist. 2009-01-20 17:47:27 +0100 rt  r266611 : #i98248# With all checkout action gone we do not need perl modules 'Cws' and 'CwsConfig' any more. 2009-01-20 14:27:49 +0100 rt  r266579 : #i98248# Remove remaining, now obsolete cvs related code. In case someone wants to undo any of the previous changes on this CWS, he also has to get back this. 2009-01-20 10:11:42 +0100 rt  r266555 : #i98248# if a module explicitly specified in '--since <module>' or '--all:<module>' does not exist, not even linked, it's an error. Give an error message and exit. 2009-01-19 18:11:37 +0100 rt  r266517 : #i98248# This version of build.pl is for svn hosted workspaces. No need to check for 'is_svn'. 2009-01-19 18:03:40 +0100 rt  r266516 : #i98248 # Do not checkout missing modules. 2009-01-19 18:00:22 +0100 rt  r266515 : #i98248 # Do not try to cvs checkout a module when it's build list cannot be found. 2009-01-19 17:17:06 +0100 rt  r266512 : #i98248 # No need to check out '.lnk' linked modules. Just rename the link. 2009-01-19 16:43:45 +0100 rt  r266511 : #i98248 # No need to check out '.lnk' linked modules. Just rename the link.


2009-01-21  Vladimir Glazounov  <vg@openoffice.org>  [a9b2cc7e9ac46bd37e60a525443426334d3e9d2d]

CWS-TOOLING: integrate CWS configuretoplevel 2009-01-19 15:47:39 +0100 rene  r266508 : CWS-TOOLING: rebase CWS configuretoplevel to trunk@266428 (milestone: DEV300:m39) 2009-01-18 00:35:31 +0100 rene  r266462 : #i10000# Mac OS X "of course" has other paths... 2009-01-16 13:24:23 +0100 rene  r266415 : make OS2 use STLport... 2009-01-15 22:08:38 +0100 rene  r266393 : STLport for FreeBSD 2009-01-15 01:23:51 +0100 rene  r266333 : #i98048# harmonize STL default; default to *NOT* use STLport 2009-01-09 22:44:43 +0100 rene  r266120 : #i97428# try to find out XLIB via pkg-config 2009-01-09 22:41:18 +0100 rene  r266119 : #i97827# fail when we don't find make 2008-12-27 01:19:34 +0100 rene  r265812 : add make (dis)clean; force /bin/sh as we source *Enc.Set.sh 2008-12-27 01:16:31 +0100 rene  r265811 : fix makefile.rc for config.*/config_office move 2008-12-26 22:37:54 +0100 rene  r265810 : #i91641# in some cases, we also need the -Xbootclasspath at the second javac call 2008-12-26 17:55:11 +0100 rene  r265806 : actually commit Makefile.in 2008-12-25 19:24:24 +0100 rene  r265803 : CWS-TOOLING: rebase CWS configuretoplevel to trunk@265758 (milestone: DEV300:m38) 2008-12-10 22:51:06 +0100 rene  r265232 : #i96912# revert, cws swffixes02 has the right fix 2008-12-08 18:47:10 +0100 rene  r265014 : xulrunner has no /plugin or /nspr 2008-12-08 17:51:28 +0100 rene  r265013 : i96912# fix --with-system-mozilla 2008-12-05 13:05:55 +0100 rene  r264903 : #i95339# 2008-12-04 17:53:53 +0100 rene  r264865 : fix merge error #i80238# add help for --with-epm 2008-12-04 17:44:28 +0100 rene  r264864 : #i91641# fix build with JDKs already including a version of rhino which conflicts with our ancient one 2008-12-04 17:40:48 +0100 rene  r264863 : i93429# check for sanity for expand.exe 2008-12-04 17:34:20 +0100 rene  r264862 : config_office changes from m33 to m37 2008-12-04 17:28:55 +0100 rene  r264861 : CWS-TOOLING: rebase CWS configuretoplevel to trunk@264807 (milestone: DEV300:m37) 2008-12-04 16:49:03 +0100 rene  r264856 : fix cws. part 5 2008-12-04 16:45:06 +0100 rene  r264855 : fix cws, part 4 2008-12-04 16:01:49 +0100 rene  r264850 : fix cws, part 3 2008-12-04 15:14:12 +0100 rene  r264848 : fix cws, part 2


2009-01-21  Vladimir Glazounov  <vg@openoffice.org>  [73c01940679cf33b2f2ec1b97dd7acb5d23e7fb2]

CWS-TOOLING: integrate CWS sjfixes10 2009-01-15 14:02:24 +0100 af  r266369 : #i88851# Finding the right font size is now an iterative process. 2009-01-15 11:01:59 +0100 wg  r266354 : i97985 2009-01-15 10:57:33 +0100 wg  r266353 : i97985 2009-01-15 10:48:53 +0100 wg  r266347 : i97985 2009-01-15 10:48:23 +0100 wg  r266346 : i97985 2009-01-15 10:46:47 +0100 wg  r266345 : i97985 2009-01-15 10:45:43 +0100 wg  r266344 : i97985 2009-01-15 10:45:14 +0100 wg  r266343 : i97985 2009-01-15 10:44:38 +0100 wg  r266342 : i97985 2009-01-15 10:43:56 +0100 wg  r266341 : i97985 2009-01-15 10:42:50 +0100 wg  r266340 : i97985 2009-01-15 10:41:40 +0100 wg  r266339 : i97985 2009-01-15 10:39:46 +0100 wg  r266337 : i97985 2009-01-15 10:00:09 +0100 hde  r266336 : i98065 2009-01-13 15:48:20 +0100 wg  r266232 : i97985 2009-01-13 13:22:05 +0100 wg  r266217 : i97985 2009-01-13 12:34:05 +0100 wg  r266210 : i97985 2009-01-13 12:30:56 +0100 wg  r266209 : i97985 2009-01-13 12:26:56 +0100 wg  r266208 : i97985 2009-01-12 15:58:06 +0100 wg  r266165 : i97985 2009-01-12 15:43:24 +0100 wg  r266163 : i97985 2009-01-08 16:21:47 +0100 sj  r266023 : fixed warning 2009-01-08 15:33:34 +0100 sj  r266017 : fixed warning 2009-01-06 18:13:42 +0100 sj  r265935 : CWS-TOOLING: rebase CWS sjfixes10 to trunk@265758 (milestone: DEV300:m38) 2008-12-10 16:54:02 +0100 af  r265206 : #i43354# Do not delete all unused master pages automatically. 2008-12-04 13:12:50 +0100 af  r264836 : #i92795# Use BitmapEx for icons to allow transparency. 2008-12-02 17:01:49 +0100 af  r264723 : #i93082# Fixed SID_INSERTPAGE_LAYOUT_MENU. 2008-11-28 14:37:28 +0100 af  r264555 : #i88851# Changed association of Ctrl-'?' to views. 2008-11-28 11:38:52 +0100 af  r264535 : #i96681# Set version to 1.0.2 2008-11-28 11:30:04 +0100 af  r264533 : #i88851# Ctrl-1,2,3 switch to slide overview, notes, normal view. 2008-11-27 16:41:25 +0100 af  r264505 : #i92144# Removed unused code. 2008-11-26 15:29:56 +0100 af  r264401 : #i92574# Do not lock configuration controller when main pane is not available. 2008-11-21 10:13:40 +0100 sj  r264112 : #i96146# applied patch (ambiguous && ||) 2008-11-20 20:12:06 +0100 sj  r264097 : #i96083# applied patch (ambigous && ||) 2008-11-20 19:13:53 +0100 sj  r264096 : #i96163# applied patch (ambigous && ||) 2008-11-20 18:39:10 +0100 sj  r264093 : #i96165# applied patch (ambigous && ||) 2008-11-03 18:12:29 +0100 sj  r263303 : #i93996# fixed word wrapping problem 2008-11-03 18:11:02 +0100 sj  r263302 : #i93996# fixed word wrapping problem 2008-11-03 18:08:41 +0100 sj  r263301 : #i93996# fixed word wrapping problem 2008-11-03 18:06:45 +0100 sj  r263300 : #i93996# fixed word wrapping problem 2008-11-03 18:05:00 +0100 sj  r263299 : #i94831,i93616# fixed crash when importing diagonal cell border lines, fixed table import 2008-11-03 18:00:43 +0100 sj  r263298 : #i93718# spellchecking is no longer triggering the autolayout of connector objects


2009-01-08  Jens-Heiner Rechtien  <hr@openoffice.org>  [0c5c7635f77654653f0dd039dc97cd4ede84ecbb]

#i10000#: add missing backslash


2009-01-08  Jens-Heiner Rechtien  <hr@openoffice.org>  [5d644686f41d329a88f026383017cec57e476c24]

CWS-TOOLING: integrate CWS frmdlg 2008-12-18 09:13:09 +0100 oj  r265667 : merge from odff05 2008-12-18 07:58:16 +0100 oj  r265658 : #i94555# patch from <regina>, ODFF: Add GAMMA, CHISQDIST, CHISQINV. Make the 'cumulative' parameter of GAMMADIST optional. Adapt the domain of CHIDIST to allow negative x. Remove the constraint "degrees of freedom < 1.0E5" from CHIDIST and CHIINV. Plus a mechanism to write the now optional parameter of GAMMADIST to PODF and ODFF if omitted, for backwards compatibility. 2008-12-15 14:06:11 +0100 oj  r265490 : CWS-TOOLING: rebase CWS frmdlg to trunk@264807 (milestone: DEV300:m37) 2008-12-15 13:55:28 +0100 oj  r265488 : CWS-TOOLING: do not delete this file, it's needed for 'cws rebase -C' CWS: frmdlg New MWS: DEV300 New milestone: m37 2008-12-15 13:55:07 +0100 oj  r265487 : CWS-TOOLING: do not delete this file, it's needed for 'cws rebase -C' CWS: frmdlg New MWS: DEV300 New milestone: m37 2008-12-15 13:54:48 +0100 oj  r265486 : CWS-TOOLING: do not delete this file, it's needed for 'cws rebase -C' CWS: frmdlg New MWS: DEV300 New milestone: m37 2008-12-15 13:54:36 +0100 oj  r265485 : CWS-TOOLING: do not delete this file, it's needed for 'cws rebase -C' CWS: frmdlg New MWS: DEV300 New milestone: m37 2008-12-15 13:54:24 +0100 oj  r265484 : CWS-TOOLING: do not delete this file, it's needed for 'cws rebase -C' CWS: frmdlg New MWS: DEV300 New milestone: m37 2008-12-15 13:48:11 +0100 oj  r265483 : CWS-TOOLING: do not delete this file, it's needed for 'cws rebase -C' CWS: frmdlg New MWS: DEV300 New milestone: m37 2008-12-15 13:31:12 +0100 oj  r265479 : CWS-TOOLING: do not delete this file, it's needed for 'cws rebase -C' CWS: frmdlg New MWS: DEV300 New milestone: m37 2008-12-15 13:13:58 +0100 oj  r265477 : CWS-TOOLING: do not delete this file, it's needed for 'cws rebase -C' CWS: frmdlg New MWS: DEV300 New milestone: m37 2008-12-15 13:10:09 +0100 oj  r265476 : CWS-TOOLING: do not delete this file, it's needed for 'cws rebase -C' CWS: frmdlg New MWS: DEV300 New milestone: m37 2008-12-15 13:05:11 +0100 oj  r265475 : CWS-TOOLING: do not delete this file, it's needed for 'cws rebase -C' CWS: frmdlg New MWS: DEV300 New milestone: m37 2008-12-15 10:47:17 +0100 oj  r265467 : CWS-TOOLING: do not delete this file, it's needed for 'cws rebase -C' CWS: frmdlg New MWS: DEV300 New milestone: m37 2008-12-15 10:46:19 +0100 oj  r265466 : CWS-TOOLING: do not delete this file, it's needed for 'cws rebase -C' CWS: frmdlg New MWS: DEV300 New milestone: m37 2008-12-15 10:45:47 +0100 oj  r265465 : CWS-TOOLING: do not delete this file, it's needed for 'cws rebase -C' CWS: frmdlg New MWS: DEV300 New milestone: m37 2008-12-15 07:35:07 +0100 oj  r265458 : add dependency to formula 2008-12-15 07:34:24 +0100 oj  r265457 : add dependency to formula 2008-12-12 13:22:00 +0100 msc  r265413 : #i97089# 2008-12-12 13:20:25 +0100 msc  r265412 : #i97089# 2008-12-12 12:35:12 +0100 msc  r265406 : #i97089# 2008-12-12 12:34:16 +0100 msc  r265405 : #i97089# 2008-12-12 12:33:05 +0100 msc  r265404 : #i97089# 2008-12-12 12:31:11 +0100 msc  r265403 : #i97089# 2008-12-08 11:59:10 +0100 oj  r264981 : insert RTL_LOG 2008-12-08 11:50:17 +0100 oj  r264980 : some small changes 2008-12-05 12:57:57 +0100 oj  r264902 : eof changed 2008-12-05 12:56:46 +0100 oj  r264901 : eof changed 2008-12-05 12:28:47 +0100 oj  r264899 : wrong var used 2008-12-05 10:08:57 +0100 oj  r264890 : token order reversed 2008-12-04 13:49:22 +0100 oc  r264843 : #i96688: Adapt autotests because of outsourced functionwizard 2008-12-04 13:45:27 +0100 oc  r264842 : #i96688: Adapt autotests because of outsourced functionwizard 2008-12-04 13:42:54 +0100 oc  r264841 : #i96688: Adapt autotests because of outsourced functionwizard 2008-12-04 13:37:41 +0100 oc  r264840 : #i96688: Adapt autotests because of outsourced functionwizard 2008-12-04 13:34:11 +0100 oc  r264839 : #i96688: Adapt autotests because of outsourced functionwizard 2008-12-04 12:35:31 +0100 oj  r264835 : new help ids for struct and function tabpage 2008-12-04 12:00:35 +0100 oj  r264828 : set explicit help id 2008-12-03 14:53:27 +0100 oj  r264786 : #i96845# change ref button 2008-12-03 14:51:49 +0100 oj  r264785 : #i96845# change ref button 2008-12-03 08:51:57 +0100 oj  r264746 : convert dos to unix lineends 2008-12-03 08:50:45 +0100 oj  r264745 : convert dos to unix lineends 2008-12-03 08:50:05 +0100 oj  r264744 : convert dos to unix lineends 2008-12-02 12:28:33 +0100 oj  r264686 : clear help text when new helpid is set 2008-12-02 12:28:02 +0100 oj  r264685 : set help id for listbox category 2008-12-02 07:15:56 +0100 oj  r264655 : remove define to auto generate help ids 2008-12-01 14:36:43 +0100 oj  r264604 : use temp var 2008-12-01 14:18:31 +0100 oj  r264601 : moved ScJumpToken to formula 2008-12-01 14:18:11 +0100 oj  r264600 : moved ScJumpToken to formula 2008-12-01 14:14:35 +0100 oj  r264599 : moved ScJumpToken from sc 2008-12-01 10:48:51 +0100 oj  r264589 : change quickhelptext from Shrink to Select 2008-12-01 10:28:41 +0100 oj  r264588 : fix opcode data, has to be Any.Void 2008-11-28 11:16:48 +0100 oj  r264532 : add help ids 2008-11-28 10:16:56 +0100 oj  r264529 : set help id 2008-11-28 10:16:43 +0100 oj  r264528 : set help id 2008-11-26 13:55:04 +0100 oj  r264381 : #94535# use of optional instead of deleting a string myself and some small changes 2008-11-26 09:53:20 +0100 oj  r264346 : compile error with debug/without debug 2008-11-25 07:41:28 +0100 oj  r264271 : put static into the method which make use of them 2008-11-24 08:16:07 +0100 oj  r264196 : removed not needed classes for op code 2008-11-24 08:13:44 +0100 oj  r264195 : removed not needed classes for op code 2008-11-21 14:05:53 +0100 oj  r264135 : make GetOpCode inline 2008-11-21 12:35:27 +0100 oj  r264124 : hold symbols 2008-11-20 09:27:27 +0100 oj  r264028 : merged code from DEV300_m35 which got lost 2008-11-19 20:42:12 +0100 oj  r264022 : more changes for formula dialog remove 2008-11-19 20:37:41 +0100 oj  r264021 : removed unused var 2008-11-19 20:35:35 +0100 oj  r264020 : some more changes at token 2008-11-19 10:59:47 +0100 oj  r263967 : deleted 2008-11-19 10:58:24 +0100 oj  r263966 : add forui and for res files 2008-11-18 15:27:36 +0100 oj  r263777 : unused para removed 2008-11-18 15:23:23 +0100 oj  r263775 : add insert button to add field dlg 2008-11-18 13:39:53 +0100 oj  r263764 : enable the formula dialog as well for conditional print as for conditional formatting 2008-11-18 12:03:25 +0100 oj  r263760 : rename isRef in IsRef 2008-11-17 11:46:16 +0100 oj  r263711 : patches for function handling 2008-11-17 11:36:22 +0100 oj  r263710 : add new for forui and res file 2008-11-17 09:21:12 +0100 oj  r263704 : patches for some resource for libformula 2008-11-15 12:45:30 +0100 oj  r263701 : changes for formula editor extraction 2008-11-07 08:23:27 +0100 oj  r263416 : merge from DEV300:m35 2008-11-07 08:22:35 +0100 oj  r263415 : merge from DEV300:m35 2008-11-07 08:22:16 +0100 oj  r263414 : merge from DEV300:m35 2008-11-07 08:21:41 +0100 oj  r263413 : merge from DEV300:m35 2008-11-07 08:21:31 +0100 oj  r263412 : merge from DEV300:m35 2008-11-07 08:20:38 +0100 oj  r263411 : merge from DEV300:m35 2008-11-07 08:20:00 +0100 oj  r263410 : merge from DEV300:m35 2008-11-07 08:18:50 +0100 oj  r263409 : merge from DEV300:m35 2008-11-07 08:18:19 +0100 oj  r263408 : merge from DEV300:m35 2008-11-07 08:10:27 +0100 oj  r263407 : merge from DEV300:m35 2008-10-21 07:43:46 +0200 oj  r262560 : some compile errors resolved 2008-10-17 16:40:01 +0200 oj  r262291 : dep for 1st target 2008-10-07 10:08:39 +0200 oj  r262077 : copy 2008-10-07 09:45:31 +0200 oj  r262076 : #i94535# 2008-10-07 09:44:26 +0200 oj  r262075 : #i94535# new base class 2008-10-07 09:43:21 +0200 oj  r262074 : moved to formula 2008-10-07 09:41:51 +0200 oj  r262073 : new images 2008-10-07 09:03:01 +0200 oj  r262072 : new ids for formula 2008-10-02 08:46:27 +0200 oj  r262024 : #i94535# move the formula compiler to formula 2008-10-02 08:08:54 +0200 oj  r262023 : #i94535# 2008-10-02 08:06:28 +0200 oj  r262022 : #i94535# 2008-10-02 08:05:52 +0200 oj  r262021 : #i94535# 2008-10-01 17:15:29 +0200 oj  r262014 : #i94535# 2008-10-01 17:12:40 +0200 oj  r262013 : new module formula 2008-10-01 17:04:55 +0200 oj  r262012 : #i94535# 2008-10-01 16:49:03 +0200 oj  r262010 : #i94535# 2008-10-01 16:46:59 +0200 oj  r262009 : #i94535#


2008-12-11  Rüdiger Timm  <rt@openoffice.org>  [47640b208a41d0da49d9b72a9f2894f9b9eed427]

CWS-TOOLING: integrate CWS cmcfixes51 2008-12-08 10:12:55 +0100 cmc  r264975 : #i96203# protect with ifdefs to avoid unused symbol on mac 2008-12-05 12:23:47 +0100 cmc  r264898 : CWS-TOOLING: rebase CWS cmcfixes51 to trunk@264807 (milestone: DEV300:m37) 2008-12-01 14:45:17 +0100 cmc  r264606 : #i76655# ehlos apparently required 2008-11-28 17:49:30 +0100 cmc  r264567 : #i96655# remove newly unused method 2008-11-28 10:41:28 +0100 cmc  r264531 : #i96647# better ppc-bridges flushCode impl 2008-11-27 12:58:40 +0100 cmc  r264478 : #i96084# confirm existing logic with explicit brackets to remove new gcc warnings 2008-11-27 12:32:49 +0100 cmc  r264476 : #i96084# confirm existing logic with explicit brackets to remove new gcc warnings 2008-11-27 12:26:02 +0100 cmc  r264475 : #i96655# redundant old table export helpers 2008-11-27 11:49:06 +0100 cmc  r264473 : #i96084# confirm existing logic with explicit brackets to remove new gcc warnings 2008-11-27 11:38:35 +0100 cmc  r264471 : #i96084# confirm existing logic with explicit brackets to remove new gcc warnings 2008-11-27 11:14:21 +0100 cmc  r264467 : #i96084# confirm existing logic with explicit brackets to remove new gcc warnings 2008-11-27 11:06:22 +0100 cmc  r264464 : #i96084# confirm existing logic with explicit brackets to remove new gcc warnings 2008-11-27 10:58:18 +0100 cmc  r264462 : #i96084# confirm existing logic with explicit brackets to remove new gcc warnings 2008-11-27 10:41:44 +0100 cmc  r264461 : #i96084# confirm existing logic with explicit brackets to remove new gcc warnings 2008-11-27 10:19:24 +0100 cmc  r264460 : #i96084# confirm existing logic with explicit brackets to remove new gcc warnings 2008-11-27 10:13:39 +0100 cmc  r264459 : #i96084# confirm existing logic with explicit brackets to remove new gcc warnings 2008-11-27 10:06:14 +0100 cmc  r264458 : #i96084# confirm existing logic with explicit brackets to remove new gcc warnings 2008-11-27 09:59:54 +0100 cmc  r264457 : #i96084# confirm existing logic with explicit brackets to remove new gcc warnings 2008-11-27 09:52:51 +0100 cmc  r264456 : #i96084# confirm existing logic with explicit brackets to remove new gcc warnings 2008-11-27 09:48:26 +0100 cmc  r264454 : #i96084# confirm existing logic with explicit brackets to remove new gcc warnings 2008-11-27 09:40:20 +0100 cmc  r264452 : #i96084# confirm existing logic with explicit brackets to remove new gcc warnings 2008-11-27 09:35:26 +0100 cmc  r264451 : #i96084# confirm existing logic with explicit brackets to remove new gcc warnings 2008-11-27 09:31:00 +0100 cmc  r264450 : #i96084# confirm existing logic with explicit brackets to remove new gcc warnings 2008-11-27 09:24:08 +0100 cmc  r264449 : #i96084# confirm existing logic with explicit brackets to remove new gcc warnings 2008-11-27 00:26:15 +0100 cmc  r264443 : #i96084# confirm existing logic with explicit brackets to remove new gcc warnings 2008-11-27 00:21:01 +0100 cmc  r264442 : #i96084# confirm existing logic with explicit brackets to remove new gcc warnings 2008-11-27 00:09:40 +0100 cmc  r264441 : #i96084# confirm existing logic with explicit brackets to remove new gcc warnings 2008-11-26 23:51:56 +0100 cmc  r264440 : #i96084# confirm existing logic with explicit brackets to remove new gcc warnings 2008-11-26 23:49:09 +0100 cmc  r264439 : #i96084# confirm existing logic with explicit brackets to remove new gcc warnings 2008-11-26 18:09:54 +0100 cmc  r264432 : #i96084# confirm existing logic with explicit brackets to remove new gcc warnings 2008-11-26 18:07:40 +0100 cmc  r264431 : #i96084# confirm existing logic with explicit brackets to remove new gcc warnings 2008-11-26 17:28:02 +0100 cmc  r264429 : #i96084# confirm existing logic with explicit brackets to remove new gcc warnings 2008-11-26 17:27:39 +0100 cmc  r264428 : #i96084# confirm existing logic with explicit brackets to remove new gcc warnings 2008-11-26 17:18:36 +0100 cmc  r264426 : #i96084# confirm existing logic with explicit brackets to remove new gcc warnings 2008-11-26 16:22:16 +0100 cmc  r264415 : #i96624# make implicit braces and brackets explicit to avoid warnings 2008-11-26 16:00:23 +0100 cmc  r264409 : #i90426# remove warnings from svtools 2008-11-26 15:59:17 +0100 cmc  r264408 : #i90426# remove warnings 2008-11-26 15:47:32 +0100 cmc  r264404 : #i96084# confirm existing logic with explicit brackets to remove new gcc warnings 2008-11-26 14:46:57 +0100 cmc  r264394 : #i96084# confirm existing logic with explicit brackets to remove new gcc warnings 2008-11-26 14:19:50 +0100 cmc  r264387 : #i96084# confirm existing logic with explicit brackets to remove new gcc warnings 2008-11-26 14:15:26 +0100 cmc  r264386 : #i96084# confirm existing logic with explicit brackets to remove new gcc warnings 2008-11-26 14:11:26 +0100 cmc  r264384 : #i96084# confirm existing logic with explicit brackets to remove new gcc warnings 2008-11-26 13:44:23 +0100 cmc  r264380 : #i96084# comfirm existing logic with explicit brackets to remove new gcc warnings 2008-11-26 13:12:24 +0100 cmc  r264372 : #i96604# silence new warnings 2008-11-26 12:35:02 +0100 cmc  r264369 : #i96203# make qstarter work in 3-layer land 2008-11-26 12:33:04 +0100 cmc  r264368 : #i96170# ensure gtypes are up and running


2008-12-10  Rüdiger Timm  <rt@openoffice.org>  [990afd5d5b631b78d360e1909a12f5fd3eafae97]

CWS-TOOLING: integrate CWS dba31f 2008-12-10 14:16:09 +0100 oj  r265185 : #i96658# remove is 2008-12-10 08:46:07 +0100 oj  r265147 : remove duplicate ids 2008-12-10 08:35:02 +0100 oj  r265146 : #i96658# remove is 2008-12-09 11:44:35 +0100 oj  r265072 : use of tools::StringresourceList 2008-12-09 11:43:41 +0100 oj  r265071 : new class to read string elements from a Resource 2008-12-09 11:41:56 +0100 oj  r265070 : export StringListResource 2008-12-09 11:38:17 +0100 oj  r265068 : change string ; to more string objects 2008-12-08 12:11:43 +0100 oj  r264985 : change default-license-id to lic-en-US 2008-12-05 12:06:09 +0100 oj  r264896 : disable check to uncheck 2008-12-04 08:58:50 +0100 oj  r264814 : #i96517,i96520,i96522# d&d, background, state fixed 2008-12-04 08:53:29 +0100 oj  r264813 : #i96434# use document ui name from filter 2008-12-04 08:41:06 +0100 oj  r264812 : #i96434# use document ui name from filter 2008-12-02 13:48:49 +0100 lla  r264697 : #i96526# extra string for default otr wasn't found 2008-11-28 11:46:31 +0100 oj  r264536 : move toolbar and resize add field dlg 2008-11-28 08:38:22 +0100 oj  r264526 : load string resources 2008-11-27 19:28:52 +0100 oj  r264520 : unsigned 2008-11-27 19:10:19 +0100 oj  r264517 : move class into unnamed namespace 2008-11-27 18:33:38 +0100 oj  r264514 : wrong param 2008-11-27 16:52:39 +0100 oj  r264510 : #i96622# wrong string replacement 2008-11-27 16:46:03 +0100 oj  r264509 : remove unused var 2008-11-27 13:37:16 +0100 oj  r264484 : #i96432# notify only when not in special mode of the page 2008-11-27 13:16:47 +0100 oj  r264479 : #i95224# accept alias in group by 2008-11-27 12:35:19 +0100 oj  r264477 : #i95416# always show localized strings in the start marker 2008-11-27 09:49:29 +0100 oj  r264455 : #i93460# set split pos 2008-11-27 09:05:27 +0100 oj  r264447 : #i96453# use extension from mimetype / mediatype 2008-11-26 16:24:43 +0100 oj  r264416 : #i96520# #i96522# #i96519# some changes at the add field dialog 2008-11-26 16:20:27 +0100 oj  r264414 : #i93420# prevent to register a none system file  url 2008-11-26 16:19:02 +0100 oj  r264413 : #i96522# new class to paste multiple objects 2008-11-26 10:06:12 +0100 oj  r264349 : #i96191# introduce new error message and check if type was defined aand should not be changed 2008-11-26 10:06:12 +0100 oj  r264348 : #i96191# throw error when decimal is to big 2008-11-25 12:08:59 +0100 oj  r264281 : #i96431# correct state for align and move 2008-11-25 11:54:47 +0100 oj  r264280 : #i96428# when new bind to first table 2008-11-25 11:49:55 +0100 oj  r264279 : #i96434# add report output format to inspection 2008-11-25 11:49:05 +0100 oj  r264278 : #i96434# add report output format to inspection 2008-11-24 10:46:23 +0100 oj  r264215 : #i96458# size width for controls 2008-11-24 09:28:56 +0100 oj  r264199 : #i96459# mark detail section when nothing is selected 2008-11-20 12:02:35 +0100 oj  r264038 : #i96191# fix check for prec 2008-11-20 08:06:32 +0100 oj  r264026 : #i90949# patch MID function 2008-11-11 13:14:58 +0100 oj  r263555 : #i96086# apply patch 2008-11-11 11:34:46 +0100 oj  r263549 : #i94128# correct height of section when controls moved outside 2008-11-11 07:52:08 +0100 oj  r263544 : #i94729# fix string with ; as sep 2008-11-11 07:45:27 +0100 oj  r263543 : #i95222# export chart title style 2008-11-11 07:43:37 +0100 oj  r263542 : #i92541# fix line height


2008-10-29  Rüdiger Timm  <rt@openoffice.org>  [a11caf35bf706e80a2f242ff23fda36c18b5fa82]

CWS-TOOLING: integrate CWS vcl95


2008-10-17  Oliver Bolte  <obo@openoffice.org>  [efe43f410923315b95621631c1deee884df75f14]

CWS-TOOLING: integrate CWS aw057


2008-10-15  Oliver Bolte  <obo@openoffice.org>  [b53de6317f9149fac0d4420929adb8c9d36cbb74]

CWS-TOOLING: integrate CWS rt33


2008-10-14  Oliver Bolte  <obo@openoffice.org>  [0b8bdda44c71c2b04db73b0221048304e8ac7deb]

CWS-TOOLING: integrate CWS mba30fixes02


2008-10-10  Oliver Bolte  <obo@openoffice.org>  [dcca783c258bf7be265f5f333e8bbe05843f7090]

CWS-TOOLING: integrate CWS cmcfixes49


2008-10-01  Vladimir Glazounov  <vg@openoffice.org>  [05ff40a6f063175168a922be3ab2157a12c6448e]

CWS-TOOLING: integrate CWS sb93


2008-09-26  Rüdiger Timm  <rt@openoffice.org>  [45a8a7215fd3a273d16a464c0ec99d3a22dbfbec]

CWS-TOOLING: integrate CWS impress157_DEV300


2008-08-29  Rüdiger Timm  <rt@openoffice.org>  [c075ab837b15126b754ab4a02353d5c535198c2b]

#i10000# Missing precompiled header directive added.


2008-08-29  Rüdiger Timm  <rt@openoffice.org>  [10dda2c78424363bcb8bea4b978ea4826a2129a9]

#i10000# source\presenter and source\minimizer use precompiled headers, so they depend on inc.


2008-08-29  Rüdiger Timm  <rt@openoffice.org>  [e445056b2bb61e5d07d925fc8eb6954d2e7f2d1d]

#i10000# PRJNAME corrected.


2008-08-28  Rüdiger Timm  <rt@openoffice.org>  [f4037076f8e263a5cf2989190cd7869ad16ece0d]

#i10000# Introduce ENABLE_PDFIMPORT condition.


2008-08-27  Rüdiger Timm  <rt@openoffice.org>  [3302e844920b1abd226d72e0da27db193dfbe2ba]

INTEGRATION: CWS sb91 (1.4.30); FILE MERGED 2008/07/11 09:24:50 sb 1.4.30.1: #i91042# #include <cXXX> vs. <XXX.h> and using identifiers without std:: prefix (which is necessary for old MSVC versions)


2008-08-27  Rüdiger Timm  <rt@openoffice.org>  [356a410d7433c1556d9d7c8289eebfa43c28142e]

INTEGRATION: CWS sb91 (1.5.6); FILE MERGED 2008/07/16 07:18:56 sb 1.5.6.2: RESYNC: (1.5-1.6); FILE MERGED 2008/07/11 09:24:50 sb 1.5.6.1: #i91042# #include <cXXX> vs. <XXX.h> and using identifiers without std:: prefix (which is necessary for old MSVC versions)


2008-08-27  Rüdiger Timm  <rt@openoffice.org>  [0060814348ea9820d068d291775daba56609cf90]

INTEGRATION: CWS sb91 (1.4.30); FILE MERGED 2008/07/16 07:18:45 sb 1.4.30.2: RESYNC: (1.4-1.5); FILE MERGED 2008/07/11 09:24:50 sb 1.4.30.1: #i91042# #include <cXXX> vs. <XXX.h> and using identifiers without std:: prefix (which is necessary for old MSVC versions)


2008-08-25  Rüdiger Timm  <rt@openoffice.org>  [eafb9b2ab115c0e0cd22ca837182d41cef0b0998]

#i10000# There is no module 'xalan' any more, has been removed by CWS xsltfilter10.


2008-08-21  Vladimir Glazounov  <vg@openoffice.org>  [540b854275af2c11b9224a1e3151f5443edad9f6]

#i100000# educated guess...


2008-08-19  Vladimir Glazounov  <vg@openoffice.org>  [92c0b016ac849e6f49f845b21e7e50d5d50a4aa4]

INTEGRATION: CWS xsltfilter10 (1.7.22); FILE MERGED 2008/07/12 12:01:00 sus 1.7.22.1: #i91376# removed unnecessary xalan dependency


2008-08-14  Kurt Zenker  <kz@openoffice.org>  [47ece984fed99face79df8b96cbb1f465bed8a30]

INTEGRATION: CWS pdf25 (1.1.2); FILE ADDED 2008/08/05 09:59:17 akhva 1.1.2.2: #i90061 2008/07/24 11:37:44 akhva 1.1.2.1: #90061


2008-08-14  Kurt Zenker  <kz@openoffice.org>  [280c78ed5d1a74eb49f807e608529597a321e9c8]

INTEGRATION: CWS pdf25 (1.1.2); FILE ADDED 2008/07/24 11:37:44 akhva 1.1.2.1: #90061


2008-08-14  Kurt Zenker  <kz@openoffice.org>  [f44872ec1c9d4b897b8802d0ef57706047cd0112]

INTEGRATION: CWS pdf25 (1.1.2); FILE ADDED 2008/07/24 12:32:59 akhva 1.1.2.1: #90061


2008-08-14  Kurt Zenker  <kz@openoffice.org>  [1f8c032cacf28a113e175aa9efbb906de711ef35]

INTEGRATION: CWS pdf25 (1.1.2); FILE ADDED 2008/08/05 09:59:17 akhva 1.1.2.2: #i90061 2008/07/24 12:33:00 akhva 1.1.2.1: #90061


2008-08-14  Kurt Zenker  <kz@openoffice.org>  [a31cc2276c48c3094553c8ddba97760e55998de4]

INTEGRATION: CWS pdf25 (1.1.2); FILE ADDED 2008/08/05 09:59:17 akhva 1.1.2.2: #i90061 2008/07/24 12:32:59 akhva 1.1.2.1: #90061


2008-08-14  Kurt Zenker  <kz@openoffice.org>  [265a8982379aa4db0d0b81898d0e502b0908bb23]

INTEGRATION: CWS pdf25 (1.1.2); FILE ADDED 2008/08/05 09:59:16 akhva 1.1.2.2: #i90061 2008/07/24 12:32:59 akhva 1.1.2.1: #90061


2008-08-14  Kurt Zenker  <kz@openoffice.org>  [382a49e311cb0000da960847d99d0cb260a0d6c2]

INTEGRATION: CWS pdf25 (1.1.2); FILE ADDED 2008/07/24 12:15:31 akhva 1.1.2.1: #90061


2008-08-14  Kurt Zenker  <kz@openoffice.org>  [fea31dbf465df7367e3d24c57fbc28c6b1f34144]

INTEGRATION: CWS pdf25 (1.1.2); FILE ADDED 2008/07/24 12:15:30 akhva 1.1.2.1: #90061


2008-08-14  Kurt Zenker  <kz@openoffice.org>  [f4853ff5086926bd16c20dd45972593f4243ff8f]

INTEGRATION: CWS pdf25 (1.1.2); FILE ADDED 2008/08/05 09:59:16 akhva 1.1.2.2: #i90061 2008/07/24 12:15:31 akhva 1.1.2.1: #90061


2008-08-14  Kurt Zenker  <kz@openoffice.org>  [3219d3794149ff8c3a60956b5aab53c2298f85c1]

INTEGRATION: CWS pdf25 (1.1.2); FILE ADDED 2008/08/05 09:59:16 akhva 1.1.2.2: #i90061 2008/07/24 11:45:27 akhva 1.1.2.1: #90061


2008-08-14  Kurt Zenker  <kz@openoffice.org>  [8dccb331fc48f20be252061e27e9901858537c71]

INTEGRATION: CWS pdf25 (1.1.2); FILE ADDED 2008/07/24 11:45:27 akhva 1.1.2.1: #90061


2008-08-14  Kurt Zenker  <kz@openoffice.org>  [1b1ee1f51f898b2de712bfa45f145c4c8293f27d]

INTEGRATION: CWS pdf25 (1.1.2); FILE ADDED 2008/07/24 11:36:10 akhva 1.1.2.1: #90061


2008-08-14  Kurt Zenker  <kz@openoffice.org>  [bd213706321643ca082038906f6f752cba1e461f]

INTEGRATION: CWS pdf25 (1.1.2); FILE ADDED 2008/08/05 09:59:16 akhva 1.1.2.2: #i90061 2008/07/24 11:36:10 akhva 1.1.2.1: #90061


2008-08-14  Kurt Zenker  <kz@openoffice.org>  [2274fceedef33667a2dafd7bf899ead3af7a03ba]

INTEGRATION: CWS pdf25 (1.1.2); FILE ADDED 2008/08/05 09:59:15 akhva 1.1.2.2: #i90061 2008/07/24 11:36:10 akhva 1.1.2.1: #90061


2008-08-14  Kurt Zenker  <kz@openoffice.org>  [284b2f38f67c212b1d6f1c638d2b9da9bdcb089b]

INTEGRATION: CWS pdf25 (1.1.2); FILE ADDED 2008/07/24 11:36:09 akhva 1.1.2.1: #90061


2008-08-14  Kurt Zenker  <kz@openoffice.org>  [149036042a18b44b06d4cb3aeff95baa7bed69c4]

INTEGRATION: CWS pdf25 (1.1.2); FILE ADDED 2008/08/05 09:59:15 akhva 1.1.2.2: #i90061 2008/07/24 11:36:09 akhva 1.1.2.1: #90061


2008-08-14  Kurt Zenker  <kz@openoffice.org>  [4a993ae98498d998b2d83ac0dd067fb0a5fc7998]

INTEGRATION: CWS pdf25 (1.1.2); FILE ADDED 2008/08/05 09:59:15 akhva 1.1.2.2: #i90061 2008/07/24 12:30:50 akhva 1.1.2.1: #90061


2008-08-14  Kurt Zenker  <kz@openoffice.org>  [b91b6bb713d9a8f2abc905d1da005c351681a7be]

INTEGRATION: CWS pdf25 (1.1.2); FILE ADDED 2008/08/05 09:59:15 akhva 1.1.2.2: #i90061 2008/07/24 12:29:06 akhva 1.1.2.1: #90061


2008-08-14  Kurt Zenker  <kz@openoffice.org>  [ca8d26613d494f4cf32c3a1e35bbb67ea5f1ea53]

INTEGRATION: CWS pdf25 (1.1.2); FILE ADDED 2008/08/05 09:59:14 akhva 1.1.2.2: #i90061 2008/07/24 11:41:28 akhva 1.1.2.1: #90061


2008-08-14  Kurt Zenker  <kz@openoffice.org>  [59866973aec1e953de9ec52620aeb7b258137ea9]

INTEGRATION: CWS pdf25 (1.1.2); FILE ADDED 2008/07/24 11:34:10 akhva 1.1.2.1: #90061


2008-08-14  Kurt Zenker  <kz@openoffice.org>  [bd231de03c48d00ef91f5569fda5229fd6654ae5]

INTEGRATION: CWS pdf25 (1.1.2); FILE ADDED 2008/07/24 12:28:05 akhva 1.1.2.1: #90061


2008-08-14  Kurt Zenker  <kz@openoffice.org>  [7e79f3c83b8b0d108099a978855c3dfb6f134dcf]

INTEGRATION: CWS pdf25 (1.1.2); FILE ADDED 2008/07/24 12:27:00 akhva 1.1.2.1: #90061


2008-08-14  Kurt Zenker  <kz@openoffice.org>  [5ecca1783a33e00472fb7d9fa13c41fdfc5ab4db]

INTEGRATION: CWS pdf25 (1.1.2); FILE ADDED 2008/07/24 11:40:03 akhva 1.1.2.1: #90061


2008-08-14  Kurt Zenker  <kz@openoffice.org>  [9031deec6d042d301998f2aafaf30036d1f08d35]

INTEGRATION: CWS pdf25 (1.1.2); FILE ADDED 2008/07/24 11:40:02 akhva 1.1.2.1: #90061


2008-08-14  Kurt Zenker  <kz@openoffice.org>  [a33d7ebcc9ce4f83237940b7500a7a9b0f7a3a6e]

INTEGRATION: CWS pdf25 (1.1.2); FILE ADDED 2008/08/05 09:59:14 akhva 1.1.2.2: #i90061 2008/07/24 12:36:38 akhva 1.1.2.1: #90061


2008-08-14  Kurt Zenker  <kz@openoffice.org>  [733d542f8ac2a29c7e648d8ed175bc39d918a6b9]

INTEGRATION: CWS pdf25 (1.1.2); FILE ADDED 2008/07/24 11:29:03 akhva 1.1.2.1: #90061


2008-08-14  Kurt Zenker  <kz@openoffice.org>  [6aa21938b78559565e2b68dd85f834827631a107]

INTEGRATION: CWS pdf25 (1.1.2); FILE ADDED 2008/08/05 09:59:14 akhva 1.1.2.2: #i90061 2008/07/24 11:29:03 akhva 1.1.2.1: #90061


2008-08-14  Kurt Zenker  <kz@openoffice.org>  [ac6a6a0dc04a2ef25d3ef53932fc3fa1c3c773d6]

INTEGRATION: CWS pdf25 (1.1.2); FILE ADDED 2008/07/24 12:36:38 akhva 1.1.2.1: #90061


2008-08-14  Kurt Zenker  <kz@openoffice.org>  [ffda6160ab313abde3ee4d52483bfa15d91f03e8]

INTEGRATION: CWS pdf25 (1.1.2); FILE ADDED 2008/08/05 09:59:13 akhva 1.1.2.2: #i90061 2008/07/24 11:29:03 akhva 1.1.2.1: #90061


2008-08-14  Kurt Zenker  <kz@openoffice.org>  [9ce3e63afc945c65187ee833eb55eca2259adb9a]

INTEGRATION: CWS pdf25 (1.4.8); FILE MERGED 2008/07/24 13:23:38 akhva 1.4.8.1: #90061


2008-08-14  Kurt Zenker  <kz@openoffice.org>  [4bd7825bedc64c2c0422317da571be82f62da059]

INTEGRATION: CWS pdf25 (1.8.28); FILE MERGED 2008/07/24 13:23:38 akhva 1.8.28.1: #90061


2008-08-14  Kurt Zenker  <kz@openoffice.org>  [8fc5123e23fcd714bc97cf7098e0f345a34c1e4a]

INTEGRATION: CWS pdf25 (1.1.2); FILE ADDED 2008/08/05 09:54:18 akhva 1.1.2.1: *** empty log message ***


2008-08-14  Kurt Zenker  <kz@openoffice.org>  [24eeecaa5bb8479037e8cc28830913fde40901b0]

INTEGRATION: CWS pdf25 (1.1.2); FILE ADDED 2008/08/05 09:54:47 akhva 1.1.2.1: *** empty log message ***


2008-08-14  Kurt Zenker  <kz@openoffice.org>  [34a01ed2518966f99d0ee05b7b1fb065f489c05d]

INTEGRATION: CWS pdf25 (1.1.2); FILE ADDED 2008/07/24 12:50:13 akhva 1.1.2.1: #90061


2008-08-01  Hans-Joachim Lankenau  <hjs@openoffice.org>  [b96cb0cdb0c88905b25569729a10905bd060f766]

#i10000# missing dependency


2008-07-25  Oliver Bolte  <obo@openoffice.org>  [58d316b6480fa818ca9c787b843939954e9263de]

INTEGRATION: CWS impress148 (1.4.34); FILE MERGED 2008/07/16 12:47:57 af 1.4.34.1: #i91701# Use only 4 component colors.


2008-07-25  Oliver Bolte  <obo@openoffice.org>  [bec28e61fa3836a5f7ba905f8e8887dcf4156d79]

INTEGRATION: CWS impress148 (1.2.34); FILE MERGED 2008/07/16 12:47:57 af 1.2.34.1: #i91701# Use only 4 component colors.


2008-07-25  Oliver Bolte  <obo@openoffice.org>  [acbbfdd89293f4dcc8ef26f698a0847b6b0a8f79]

INTEGRATION: CWS impress148 (1.5.10); FILE MERGED 2008/07/23 15:54:04 cl 1.5.10.2: RESYNC: (1.5-1.6); FILE MERGED 2008/07/16 12:47:57 af 1.5.10.1: #i91701# Use only 4 component colors.


2008-07-25  Oliver Bolte  <obo@openoffice.org>  [066e090e8a3600654f19e60b109854d2ba6a0cb2]

INTEGRATION: CWS impress148 (1.4.30); FILE MERGED 2008/07/23 15:53:51 cl 1.4.30.2: RESYNC: (1.4-1.5); FILE MERGED 2008/07/16 12:47:57 af 1.4.30.1: #i91701# Use only 4 component colors.


2008-07-25  Oliver Bolte  <obo@openoffice.org>  [3998aae9766cf8becee22c99cd49509fe7ed9f9d]

INTEGRATION: CWS impress148 (1.4.34); FILE MERGED 2008/07/23 15:53:57 cl 1.4.34.2: RESYNC: (1.4-1.5); FILE MERGED 2008/07/16 12:47:57 af 1.4.34.1: #i91701# Use only 4 component colors.


2008-07-25  Oliver Bolte  <obo@openoffice.org>  [7dd9b64f3cdf3433736b5209816a8252c5fef7ea]

INTEGRATION: CWS impress148 (1.5.30); FILE MERGED 2008/07/24 07:59:18 cl 1.5.30.3: fixed merge conflicts 2008/07/23 15:53:54 cl 1.5.30.2: RESYNC: (1.5-1.6); FILE MERGED 2008/07/16 12:47:57 af 1.5.30.1: #i91701# Use only 4 component colors.


2008-07-25  Oliver Bolte  <obo@openoffice.org>  [22e822f08b0a9c14e6f3b829d88d3398b37c5bd4]

INTEGRATION: CWS impress148 (1.4.10); FILE MERGED 2008/07/16 12:47:57 af 1.4.10.1: #i91701# Use only 4 component colors.


2008-07-25  Oliver Bolte  <obo@openoffice.org>  [943e6e3a753d8ffcd1f2c0a6f79d4935a912e806]

INTEGRATION: CWS impress148 (1.2.30); FILE MERGED 2008/07/24 07:59:18 cl 1.2.30.3: fixed merge conflicts 2008/07/23 15:53:47 cl 1.2.30.2: RESYNC: (1.2-1.3); FILE MERGED 2008/07/16 12:47:57 af 1.2.30.1: #i91701# Use only 4 component colors.


2008-07-25  Oliver Bolte  <obo@openoffice.org>  [b92fe8202df601b7ad97389e9e6d99b1651c6271]

INTEGRATION: CWS impress148 (1.3.6); FILE MERGED 2008/07/23 15:54:01 cl 1.3.6.2: RESYNC: (1.3-1.4); FILE MERGED 2008/07/16 12:47:57 af 1.3.6.1: #i91701# Use only 4 component colors.


2008-07-17  Ivo Hinkelmann  <ihi@openoffice.org>  [ba3315deee05cb683bd59e5f6916df59d34cba58]

INTEGRATION: CWS extensionupdate03 (1.8.72); FILE MERGED 2008/07/16 13:28:37 sj 1.8.72.2: #90903# fixed problem with placeholder in dialog title 2008/07/14 14:23:49 sj 1.8.72.1: #90903# fixed dialog title problem


2008-07-17  Ivo Hinkelmann  <ihi@openoffice.org>  [7f004e259ec7ff31db85a898f726e975478b7fe8]

INTEGRATION: CWS extensionupdate03 (1.10.24); FILE MERGED 2008/07/16 13:28:37 sj 1.10.24.1: #90903# fixed problem with placeholder in dialog title


2008-07-17  Ivo Hinkelmann  <ihi@openoffice.org>  [53764c9c7b93c7e4d37779e862b8e9a3f0fa0d6f]

INTEGRATION: CWS extensionupdate03 (1.8.42); FILE MERGED 2008/07/16 13:28:36 sj 1.8.42.1: #90903# fixed problem with placeholder in dialog title


2008-07-17  Ivo Hinkelmann  <ihi@openoffice.org>  [cae5e228f74c44d5023c43ecdd3ea981b8bdbac8]

INTEGRATION: CWS extensionupdate03 (1.9.42); FILE MERGED 2008/07/16 13:28:36 sj 1.9.42.1: #90903# fixed problem with placeholder in dialog title


2008-07-17  Ivo Hinkelmann  <ihi@openoffice.org>  [597a20a7927d012d4dcbe40e94a91ca7dc5c26d8]

INTEGRATION: CWS extensionupdate03 (1.7.42); FILE MERGED 2008/07/16 13:28:36 sj 1.7.42.1: #90903# fixed problem with placeholder in dialog title


2008-07-17  Ivo Hinkelmann  <ihi@openoffice.org>  [13f1a6ed3971814c9c8b353c4bc0744c56472adf]

INTEGRATION: CWS extensionupdate03 (1.6.20); FILE MERGED 2008/07/16 13:28:36 sj 1.6.20.2: #90903# fixed problem with placeholder in dialog title 2008/07/14 14:22:44 sj 1.6.20.1: #i90934# fixed ok button layout


2008-07-17  Ivo Hinkelmann  <ihi@openoffice.org>  [d9bdd216462f6373d6f911097c73d67f0227f651]

INTEGRATION: CWS ause095 (1.1.8); FILE MERGED 2008/07/09 08:31:06 hjs 1.1.8.1: #i90789# - no dos lineends


2008-07-17  Ivo Hinkelmann  <ihi@openoffice.org>  [76411190da2dd60bd424a2dae61790683f32be39]

INTEGRATION: CWS ause095 (1.3.6); FILE MERGED 2008/06/25 09:51:47 hjs 1.3.6.1: #i90789# - referencing patch with relative path from current directory


2008-07-17  Ivo Hinkelmann  <ihi@openoffice.org>  [08db3dc58e2011970ab765bbfcec288d5dc70eaa]

INTEGRATION: CWS ause095 (1.2.6); FILE MERGED 2008/06/25 09:51:47 hjs 1.2.6.1: #i90789# - referencing patch with relative path from current directory


2008-07-17  Ivo Hinkelmann  <ihi@openoffice.org>  [88593c56041ff4568e615106a30ed265cdb71bc6]

INTEGRATION: CWS ause095 (1.2.6); FILE MERGED 2008/06/25 09:51:46 hjs 1.2.6.1: #i90789# - referencing patch with relative path from current directory


2008-07-17  Ivo Hinkelmann  <ihi@openoffice.org>  [9eea90bf86a467526cc978511941060a7bebe3a9]

INTEGRATION: CWS ause095 (1.3.6); FILE MERGED 2008/06/25 09:45:53 hjs 1.3.6.1: #i90789# - referencing patch with relative path from current directory


2008-07-17  Ivo Hinkelmann  <ihi@openoffice.org>  [95545989864ef4966bf151f8a94be9c09b768271]

INTEGRATION: CWS ause095 (1.5.6); FILE MERGED 2008/06/25 09:45:53 hjs 1.5.6.1: #i90789# - referencing patch with relative path from current directory


2008-07-17  Ivo Hinkelmann  <ihi@openoffice.org>  [25fc474315a7777945ed1c2599edc9e365d6aba0]

INTEGRATION: CWS ause095 (1.5.6); FILE MERGED 2008/06/25 09:45:52 hjs 1.5.6.1: #i90789# - referencing patch with relative path from current directory


2008-07-17  Ivo Hinkelmann  <ihi@openoffice.org>  [eda654ea3d60c2478ebd95049426cbf51beabf57]

INTEGRATION: CWS ause095 (1.5.6); FILE MERGED 2008/06/25 09:45:51 hjs 1.5.6.1: #i90789# - referencing patch with relative path from current directory


2008-07-17  Ivo Hinkelmann  <ihi@openoffice.org>  [6c6dafc0d79fb153767371977ec305b800167ddd]

INTEGRATION: CWS ause095 (1.3.6); FILE MERGED 2008/06/25 09:45:51 hjs 1.3.6.1: #i90789# - referencing patch with relative path from current directory


2008-07-17  Ivo Hinkelmann  <ihi@openoffice.org>  [cc9c73f8910bf82dd7ca3a5d3cd228456d7c64a8]

INTEGRATION: CWS ause095 (1.6.6); FILE MERGED 2008/06/25 09:45:51 hjs 1.6.6.1: #i90789# - referencing patch with relative path from current directory


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [b045f84951d3a7f7f1f7d03965c71eaf5f12df2f]

INTEGRATION: CWS presenterfixes (1.2.4); FILE MERGED 2008/06/05 15:09:38 af 1.2.4.1: #i90407# Changed vertical offset of button frame bitmaps.


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [3195e22853ae2c05e460a2a7b13fc983fafef694]

INTEGRATION: CWS presenterfixes (1.5.2); FILE MERGED 2008/06/18 08:03:49 af 1.5.2.2: RESYNC: (1.5-1.6); FILE MERGED 2008/06/05 12:40:20 af 1.5.2.1: #i90379# Added support for older runtime dlls.


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [ff79e9d47b1e3614ba07fe9985a4d9fad69ef891]

INTEGRATION: CWS presenterfixes (1.4.2); FILE MERGED 2008/05/27 07:41:30 af 1.4.2.1: #i88854# Added ReleaseView to CachablePresenterView.


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [4346f8077540e96c162275995efc87c976294ed5]

INTEGRATION: CWS presenterfixes (1.4.2); FILE MERGED 2008/06/11 07:47:56 af 1.4.2.1: #i88837# Adjusting scroll amount.


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [9450ed971e89c755928e69942438efd7d5d92ff7]

INTEGRATION: CWS presenterfixes (1.4.2); FILE MERGED 2008/06/09 09:34:45 af 1.4.2.2: #i90512# Improved the ForceRepaint() method. 2008/05/27 07:41:30 af 1.4.2.1: #i88854# Added ReleaseView to CachablePresenterView.


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [ab032326f39a4af813becb9f0d87e11fb88b45af]

INTEGRATION: CWS presenterfixes (1.4.2); FILE MERGED 2008/06/23 12:49:11 af 1.4.2.2: Fixed build problem. 2008/06/11 07:45:58 af 1.4.2.1: #i88837# Added support for repeating scroll events.


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [f601deb031e08547b9b62a5b6bcbac8ee50fe672]

INTEGRATION: CWS presenterfixes (1.4.2); FILE MERGED 2008/06/23 12:49:32 af 1.4.2.2: Fixed build problem. 2008/06/11 07:46:49 af 1.4.2.1: #i88837# Added support for repeating scroll events.


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [1a1889a059a7b3f853b071f21f5ca25181922a84]

INTEGRATION: CWS presenterfixes (1.4.2); FILE MERGED 2008/06/11 07:44:44 af 1.4.2.1: #i88837# Signature of PresenterNotesView::ChangeFontSize() has changed.


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [2723dfb4851b87c502b8d39effb3db1d4f4fefd7]

INTEGRATION: CWS presenterfixes (1.4.2); FILE MERGED 2008/06/23 12:49:55 af 1.4.2.2: Fixed build problem. 2008/06/11 07:53:35 af 1.4.2.1: #i88837# Adaption to changes of the scroll bar.  Reimplementation of the notes display.


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [0faf86611f4b74c0279547e6d3d8d16ab0f955dd]

INTEGRATION: CWS presenterfixes (1.5.2); FILE MERGED 2008/06/11 07:53:59 af 1.5.2.1: #i88837# Adaption to changes of the scroll bar.  Reimplementation of the notes display.


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [384761eaaa6842c2e865c92d3b76dc1e2cfaeaa3]

INTEGRATION: CWS presenterfixes (1.2.4); FILE MERGED 2008/06/11 07:38:40 af 1.2.4.1: #i88837# Made some methods static.


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [7a877097ab8db822f92b827ebb73296efce07f78]

INTEGRATION: CWS presenterfixes (1.2.4); FILE MERGED 2008/06/11 07:40:35 af 1.2.4.1: #i88837# Made some methods static.


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [7aa2dfa303212994668d2b51f1b8be5f6d4b6a40]

INTEGRATION: CWS presenterfixes (1.2.4); FILE MERGED 2008/06/05 15:11:39 af 1.2.4.1: #i90407# Use vertical offset of frame bitmaps.


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [49d285b9dc817edd4fa8d7817f813bffdcad0d2e]

INTEGRATION: CWS presenterfixes (1.2.4); FILE MERGED 2008/06/05 15:12:22 af 1.2.4.1: #i90407# Use vertical offset of frame bitmaps.


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [b7392dc58296652006493abf1c82649e5a1bfc31]

INTEGRATION: CWS thb30fixes (1.6.2); FILE MERGED 2008/06/23 09:25:08 thb 1.6.2.1: #i88228# Making sure xpdf lib is built with similar alignment under MacOS PPC


2008-07-07  Rüdiger Timm  <rt@openoffice.org>  [318701538215592b58b16d100d8859ef7a82e52e]

INTEGRATION: CWS extensionupdate02 (1.3.26); FILE MERGED 2008/07/07 05:52:33 ka 1.3.26.2: follow-ups to CWS extensionupdate01 2008/07/06 22:02:59 ka 1.3.26.1: follow ups for CWS extensionupdate01


2008-07-07  Rüdiger Timm  <rt@openoffice.org>  [f8b1344e34ea05673b25a8a43e12656057fa7791]

#i10000# fix the problems from extensionupdate01


2008-07-07  Rüdiger Timm  <rt@openoffice.org>  [80d7d759db3db7f9816c5d57fa9d288012a9f474]

#i10000# fix the problems from extensionupdate01


